# SMTP

Cette sous-section du [mode Configuration](./index.rst) présente une dizaine de champs :

- **Adresse expéditeur** : adresse e-mail utilisée pour l'envoi d'e-mails


- **Nom expéditeur** : nom d'affichage de l'expéditeur


- **Serveur SMTP** : adresse du serveur SMTP utilisé pour l'envoi d'e-mails. Par exemple : *smtp.gmail.com*.


- **Port serveur SMTP** : le port utilisé, lié au serveur précédemment indiqué. Cette information se trouve dans les paramètres SMTP du fournisseur


- **Protocole de sécurité** : choix du mode de sécurité de la configuration SMTP (Aucun, TSl - par défaut et préconisé-, SSL). Notez que le protcole a un impact sur le Port serveur SMTP défini précédemment


- **Activation et verbosité des logs** : l'activation des logs a un impact sur les performances de l'application. En cas d'activation, veuillez vérifier que le paramètre "Niveau d'écriture des logs" soit en mode "Debug".
  - ***Niveau 0 (Désactivé)*** : les logs sont désactivés
  - ***Niveau 1 (Client)*** : affichage des messages envoyés par le client
  - ***Niveau 2 (Client et serveur)*** : affichage des messages envoyés par le client et des réponses envoyées par le serveur
  - ***Niveau 3 (Verbeux)*** :  affichage des messages envoyés par le client et des réponses envoyées par le serveur ainsi que des informations de connexion
  - ***Niveau 4 (Exhaustif)*** : affichage des messages envoyés par le client et des réponses envoyées par le serveur, des informations de connexion ainsi que des informations sur des éléments de bas niveau (ce niveau impacte fortement les performances de l'application)


- **Authentification SMTP** : si "Oui", affiche les champs "Compte SMTP" et "Mot de passe SMTP"


- **Compte SMTP** : compte SMTP utilisé pour l'authentification, si "Authentification SMTP" vaut "Oui"


- **Mot de passe SMTP** : mot de passe du compte SMTP utilisé pour l'authentification, si "Authentification SMTP" vaut "Oui"


Le bouton **Tester la connexion** permet de tester les informations du formulaire avant de sauvegarder.

## Résolution des problèmes

En cas de problème de connexion au SMTP :
- Activer les logs en niveau 3 ou 4 (vous aurez le motif d'erreur)
- Essayer d'utiliser [telnet](https://linux.die.net/man/1/telnet) ou un autre outil similaire pour tester la connexion.

![SMTP](../../images/administrator/configuration/configuration_SMTP.png)
