# vMap2 2022.05.00

Le document ci-dessous présente une liste non exhaustive d'évolutions / corrections à retrouver dans la version 2022.05.00 de vMap2.

## Évolutions

### 1. Logs lors du test d'une couche.

![](images/log_couche.png)

Ajout d'un onglet log permettant de voir en temps réel les logs d'erreurs lors du test d'une couche.

### 2. Amélioration du champ "URL" du studio

Amélioration du champ URL du studio afin de réaliser des liens cliquables de type "téléphone". Cela permet d'ouvrir automatiquement une application qui permet de téléphoner.

### 3. Commentaire d'une carte.

![](images/commentaire_carte.png)

Possibilité de rédiger et d'activer un commentaire pour chaque carte. Pour l'utilisateur, ce commentaire est visible sous forme de popup. Il peut être ouvert et fermé à tout moment.

### 4. Pictogramme d'une couche

![](images/pictogramme_couche.png)

Possibilité de rajouter un pictogramme pour une couche. Le pictogramme est visible dans les trois onglets qui liste les couches.

### 5. Légende d'une couche

Possibilité de renseigner une image afin de définir la légende d'une couche. <br>
La légende d'une couche peut ainsi être réalisée manuellement (image) ou automatiquement (Mapserver)

### 6. Gestion du format "date"

L'affichage des dates est correctement gérées dans les formulaires, les sous formulaires (les grilles), le requêteur ainsi que les filtres

### 7. Couches de type cluster

![](images/cluster.png)

Gestion des couches de types cluster permettant de réaliser des regroupements d'entités.

### 8. Meilleure gestion des couches "non géométrique"

### 9. Filtre appliqué dans les recherches graphique

![](images/filtre_requeteur.png)

La sélection par géométrie prend en compte le fait qu'il y ait un filtre actif. Une petite pastille verte matérialise un filtre actif sur la carte.

### 10. Etendue de la carte

Possibilité de garder l'étendue de la carte en cours lors d'un changement de carte.

### 11. Lecture seule pour plusieurs champs du studio

![](images/read_only.png)

Studio : Possibilité de paramétrer les champs suivants en "consultation uniquement" afin de permettre un meilleur affichage dans les formulaires.

- Bouton radio
- Boîte à cocher
- Date
- Date et heure
- Liste
- Liste déroulante
- Couleur

### 12. Nouvelle condition "Toutes les autres valeurs" dans les symbologies de couches

![](images/expression_autre.png)

Ajout d'une condition "Toutes les autres valeurs" permettant de gérer plus facilement certaines expressions dans la symbologies d'une couche.

### 13. Lancement de traitement FME via GTF depuis vMap2


Possibilité de lancer des traitement FME via GTF depuis le requêteur de vMap2.
GTF et vMap2 doivent être installés sur le même serveur. Un utilisateur commun doit exister sur les deux applications.

### 14. vMap2 devient un générateur de flux WFS

vMap2 permet de générer et de lire des flux WMS. Désormais l'application permet aussi de générer des flux WFS (elle ne permet pas de les lire).

### 15. Découpe de géométries

![](images/decoupe_geometrie.png)

Possibilité de découper des géométries de types polygone et ligne. Cette fonctionnalité est disponible lors de l'édition de la géométrie d'un objet.
Fonctionnellement, un nouvel identifiants unique est généré alors que les informations attributaires de l'objet sont dupliquées. 

### 16. Gestion du type date dans les formulaires et le requêteur

### 17. Optimisation du fichier Json généré pour créer le mapfile des cartes

## Corrections / Erreurs fixées

### 1. Gestion des attributs SYMBOLSCALEDENOM, UNITS et SIZEUNITS dans la symbologie des couches

### 2. Amélioration des affichages des imagettes des cartes

![](images/redimensionnement_image_carte.png)

### 3. Gestion des sous-thèmes des couches

La création d'un sous-thème s'effectue par l'ajout d'un slash dans le label du thème :

![](images/sous_theme_couche.png)

### 4. Gestion des titres trop longs

Gestions des titres trop long dans les formulaires et les filtres

### 5. Gestion des noms de couches trop longs

Gestions des noms de couches trop long dans les onglets du requêteur

### 6. Correction d'une erreur Javascript lorsqu'un champ de type "Lien" n'a pas de valeur
 
### 7. Prise de la hauteur de l'écran pour la saisie en mode mobile

### 8. Correction d'erreur d'affichage des grilles présentes dans les "Sources de données"

### 9. Correction de l'affichage des grilles lors de la présence d'onglets dans le formulaire

![](images/erreur_grille_onglets.png)

### 10. Requêteur : La suppression d'aucun élément renvoie une erreur

### 11. Le filtre se désactive lors de la création d'un nouvel enregistrement

### 12. Source de données : La reprojection n'est pas réalisée lorsque la donnée est stockée en EPSG:3857

![](images/source_donnee_reprojection.png)

### 13. Erreur d'installation si le nom de la base de données choisie en paramètre n'est pas vmap

### 14. Studio : Erreur d'affichage sur les champs de type "Liste double"

### 15. Couche non requêtables se trouvant, quand même, dans le requêteur

### 16. Requêteur : Problème d'affichage lorsqu'une valeur contient le caractère pipe "|"

### 17. Symbologie : Définition du label écrasée lors d'une modification de style dans la symbologie.

### 18. Erreur lors de la recherche d'une donnée stockée en EPSG:3948 en base de données

### 19. Erreur d'insertion lorsqu'un formulaire contient un champ de type "Fichier"

### 20. Module cadastre non fonctionnel lorsque le système de projection des données est différent de EPSG:2154


