# vMap2 2023.01.00

Le document ci-dessous présente une liste non exhaustive d'évolutions / corrections à retrouver dans la version 2023.01.00 de vMap2.

## Évolutions

### 1. Amélioration des performances

Minification des formulaires JSON pour améliorer les performances au moment de l'ouverture d'une carte

### 2. Ajout de la gestion des systèmes de projection dans l'application

![](images/srid.png)

### 3. Amélioration du passage en mode mobile

Configuration possible de la largueur à partir de laquelle l'application passe en mode mobile.

### 4. Uniformisation des formulaires de couches

![](images/sources-de-donnees.png)

- La modification des informations de la couche se gère désormais dans le menu "Carte et couche"
- La modification de la symbologie d'une couche se gère désormais dans le menu "Carte et couche"
- La sélection d'un thème est désormais disponible pour les couches de type "Fichier"

### 5. Amélioration du champ liste déroulante en affichage seulement

La valeur s'affiche sous forme de label.

![](images/liste-deroulante-avant.png)
![](images/liste-deroulante-apres.png)

### 6. Ajout du filtre par date dans les filtres de la couche

![](images/filtre-date-admin.png)
![](images/filtre-date-user.png)

### 7. Ajout du bouton "Tester" dans l'appel externe d'une carte

![](images/appel-externe-btn-test.png)

### 8. Amélioration sélection par cercle avec saisie du rayon - Module Cadastre

La sélection d'objets cadastraux peut être réalisée par point, ligne, polygone ou cercle. 

![](images/cadastre-selection-cercle.png)

### 9. Amélioration des options de saisie d'une géométrie de type "polygone"

La saisie d'une géométrie de type polygone peut être de type : 

- saisie d'un polygone libre
- saisie d'un cercle (avec rayon)
- saisie d'un carré
- saisie d'un rectangle

![](images/geom-polygon.png)

### 10. Génération d'une symbologie par défaut

Lors de la création d'une couche, une symbologie par défaut est réalisée par l'application. Cette symbologie peut être éditée et modifiée par l'administrateur.
Attention : Elle n'est pas enregistrée.

### 11. Suppression d'un vertex (un sommet)

Possibilité de supprimer un vertex (un sommet) lors de la modification d'une géométrie de type ligne ou polygon.
Point particulier : La suppression d'un vertex a été rendue impossible lorsque le polygone modifié ne possède que 3 côtés ou qu'une ligne ne possède qu'un seul vertex.

![](images/suppression-vertex1.png)

![](images/suppression-vertex2.png)


## Corrections / Erreurs fixées

### 1.Traductions manquantes et fautes d'orthographe

### 2. Correction de l'option "Dupliquer la couche" dans l'arbre des sources de données

![](images/dupliquer-couche.png)

### 3. Légende des impressions tronquée

### 4. Noms de couches trop long en mode mobile

![](images/mode-mobile.png)

### 5. Nom de carte incohérent

![](images/nom-carte.png)

![](images/nom-carte2.png)
