
# Menu administration des cartes

## 1. Jeux de données

Menu dans lequel l'administrateur peut déclarer les différentes sources de données (Postgres, WMS, XYZ etc..)

Dans ce menu il peut tester la source de donnée et l'afficher (mini-PgAdmin, GetCapabilities etc.)

Ce menu s'affiche sous forme d'arbre dans qui servira de point d'entrée à la création de couches, publications etc.

![img](img/jdd-1.jpg)

L'interface d'ajout d'une nouvelle source de données s'ouvre sur une nouvelle page. Elle permet de sélectionner le type et en fonction de se dernier les informations de connexion.

![img](img/jdd-5.jpg)

En modification, l'administrateur voit un arbre avec comme point de départ l'ensemble des couches de données, en fonction du type la structure sera différente.

L'interface est à ce moment divisé avec l'arbre à gauche et des potentiels formulaires à droite.


### 1.1. JDD Postgres (Connexion publique)

#### Formulaire d'ajout/modification

* Server
* Port
* Login
* Pass

#### Structure

* Dbs
  * Schémas
    * Tables
        * Couches
        * Publications
    * Vues

#### Modification table/vue

Au clic sur une table/vue on affiche les infos sur le formulaire (nom, propriétaire, schéma, commentaire)

L'interface reste à dinir mais on peut envisager dans ce formulaire un onglet permet de visualiser les colonnes et un onglet permet la gestion des droits.

On peut également imaginer un onglet pour la visualisation des données (carto ou attributaires)


#### Couches

À partir de la table il est possible de créer une ou plusieurs couches.

Au clic sur une couche il faudra afficher le formulaire de cette dernière mentionné dans les chapitres suivants.

Il est possible également de supprimer la couche.


#### Publications

Une publication est une couche qui sera publiée dans un flux WMS ou WFS pour l'utiliser dans une application tierce.

L'interface est quasiment le même que pour les couches, à l'exception du formulaire qui est différent.


### 1.2. JDD Interne (Connexion privée)

Basé sur postgres, utilise le même socle que la connexion postgres publique.

À l'installation de l'application la connexion interne est créée, elle utilise le compte u_vitis pour son administration, et les couches qui en découleront utiliseront la connexion de l'utilisateur.

La source de données interne se comporte comme la source de données de type Postgres définie ci-dessus à quelques exceptions près.

* La source de données interne ne peut faire de publications.
* Seules les couches du JDD interne peuvent être interrogeables sous la forme de formulaires
* Doit-on autoriser le modification des droits des tables pour une connexion publique ?


### 1.3. JDD Fichier

Le formulaire consiste à spécifier le chemin vers le dossier.

L'abre consiste à la navigation dans ce dossier.

Sur les fichiers de type SIG (ECW, Tiff ...) il est comme sur Postgres possible de créer des couches ou des publications

* Dossier1
  * SousDossier1
    * monfichier.ecw
        * Couches
        * Publications
    * monfichier.pdf

Faut-il afficher les fichiers non SIG ?

Faut-il rendre possible l'administration complète ? créer des dossiers, uploader des gros fichiers, supprimer etc.


### 1.4. JDD WMS
### 1.5. JDD WMTS
### 1.6. JDD XYZ
### 1.7. JDD OSM




## 2. Couches

Ce menu ressemble et procure les mêmes fonctionnalités que le menu JDD, il s'agit ici d'un espace avec un point de vue différent où ne seront affichées que les couches.

L'illustration peut se faire sous la forme d'une grille comme on en a l'habitude.

Faut-il implémenter le regroupement par thématique ?

Différents types de couches à identifier en fonction du type de JDD utilisé, en fonction du type certaines champs et sections du formulaire seront présents

* Couches vMap internes : utilisant le JDD interne, permettent l'édition de la symbologie ainsi que l'édition de formulaires
* Couches vMap publiques : utilisent un JDD Postgres publique, permettent l'édition de la symbologie
* Couches vMap fichier : utilisent un JDD type fichier
* Couches type flux : utilisent des flux WMS/WMTS...


### 2.1. Section général

Général
* Nom : texte avec espaces, accents etc. à afficher sur l'interface - dispo pour tous les types
* JDD : non modifiable - dispo pour tous les types
* Source : liste déroulante avec possibilité d'ajout - dispo pour tous les types

Accès à la donnée
* flux_id : texte sans accents ni espaces - dispo pour les type flux
* Base de données - dispo pour types Postgres
* Schéma - dispo pour types Postgres
* Table - dispo pour types Postgres
* Colonne identifiant - dispo pour types Postgres
* Colonne géométrique - dispo pour types Postgres
* Type de géométrique (Point, Ligne, Polygone, Multi-types) - dispo pour types Postgres
* Système de coordonnées - dispo pour types Postgres
* Chemin vers le fichier - dispo pour type vMap fichier

Fonctionnalités d'interrogation - Uniquement pour type vMap interne
* Interrogeable (oui/non)
* Disponible en recherche localisation (Oui/Non)
    * Colonne de recherche pour la localisation
    * Champ à afficher pour la localisation
    * Mode de recherche
* Disponible en sélection cartographique (Oui/Non)
    * Buffer de sélection
* Disponible en tableau attributaire (Oui/Non)
    * Liste des clés/valeurs à afficher sur le tableau attributaire
* Disponible en saisie
    * Échelle minimale de saisie
    * Échelle maximale de saisie
* Taille du formulaire
* Tri par défaut (sorted by)
* Édition multiple (Oui/Non)
* Clonnable (Oui/Non)
* Édition automatique (Oui/Non)
* Champ à afficher pour la sélection multiple


### 2.2. Section symbologie

Dispo pour vMap interne et vMap public

Symbologie qui sera appliquée par défaut sur le calque

* Label (Oui/Non)
    * Champ à utiliser pour le label
    * Taille du texte
    * Couleur du texte
    * Épaisseur de contour : 0 par défaut
    * Couleur de contour
    * Opacité
* Géométrie (Oui/Non)
    * Épaisseur/Taille
    * Couleur de fond
    * Couleur de contour
    * Opacité

* Icones ????

Il faut pouvoir ajouter des conditions, pour cela un étage au dessus des champs précédents contient la condition par défaut.

L'administrateur peut ajouter une nouvelle condition ce qui va ajouter un nouveau block dupliquer les champs d'édition.

Il faut aussi pouvoir éditer et supprimer les conditions.

Une carte lui permet de prévisualiser ses modifications.

### 2.3. Section formulaires

Dispo pour vMap interne uniquement

Studio




## 3. Cartes

Une carte est à voir comme une "application" qui permettrait de gérer une certaine problématique métier, elle est définie par des infos fixes ainsi que par des relations.

Bien que les cartes soient listés dans une grille de la partie admin, leur édition nécessite un interface carto qui permettra d'avoir un rendu en temps réel.

### 3.1. Infos générales

* Nom
* Description
* Coordsys
* Viniette
* Ordre
* Thème
* Étendue

### 3.2. Couches

* Ajout/suppression de couches à la carte
* Organisation avec ordre et thématiques
* Couches visibles/invisibles par défaut

Pour les couches de type vMap
* Pour chaque couche il est possible de définir une symbologie propre à la carte
* Pour chaque couche il est possible d'activer/desactiver la partie interrogation

### 3.3. Outils

Dans cette version de vMap il est possible de configurer les coutils disponibles pour la carte

* Nom de la carte
* Projection en cours
* Slider de zoom
* Boutons zoom
* Carte de supervision
* Échelle graphique
* Échelle numérique
* Position de la souris
* Sources

* Localisation suivant/précédent
* Localisation GPS
* Localisation X/Y
* Localisation position initiale
* Localisation recherche
* Localisation étendue max
* Comparaison de cartes
* Raifraichissement des couches
* URL de la carte en cours
* Mesures
* Impressions


### 3.4. Droits

Affectation de groupes d'utilisateurs à la carte





# Menu publication

## 1. Publications

## 2. Flux








# Symbologies variables

Les couches mapserver sont générées avec une symbologie par défaut.

Un menu (studio) permet de les éditer et de stocker les symbologies variables en base.

La symbologie variable peut être associée à un calque (valeur par défaut) ou à une carte (deuxième valeur par défaut).
* Il faudra pour cela la modéliser au niveau de deux tables différentes.
* Le format utilisé doit être évolutif car les possibilités de personnalisation se multiplieront avec le temps, pour cela nous préconisons le format JSON.

Lorsque l'utilisateur demande une carte un fonction PHP va lire les différentes symbologies variables (JSON) et générer un mapfile spécifique privé qui sera utilisé lors de la consultation.

