Les requêtes SQL de MajicLib 
=

# Mj_Compte_Communal 
## compte_communal : 
``` sql 
SELECT proprietaire.ccodep, proprietaire.ccodir, proprietaire.ccocom,  libcom, dnupro,  id_dnupro  
FROM s_majic.proprietaire  
LEFT JOIN s_majic.fantoir_commune  
ON proprietaire.id_com=fantoir_commune.id_com  
WHERE id_dnupro=\'$sIdDnupro\''; 
```

## get_id_pro: 
``` sql  
SELECT DISTINCT id_pro 
FROM s_majic.proprietaire  
WHERE id_dnupro=\'$sIdDnupro\' 
ORDER BY id_pro 

```
## get_id_bat:
``` sql  
SELECT id_local  
FROM s_majic.bati_0010_local  
WHERE id_dnupro=\'$sIdDnupro\'  
ORDER BY id_local 
```

## get_id_par: 
``` sql 
SELECT DISTINCT nb_10_parcelle.id_par  
FROM s_majic.nb_10_parcelle  
LEFT JOIN s_majic.nb_21_suf_descr  
ON nb_10_parcelle.id_par=nb_21_suf_descr.id_par  
WHERE (nb_10_parcelle.dnupro=\'$sDnupro\'  
OR nb_21_suf_descr.dnupro=\'$sDnupro\') 
AND nb_21_suf_descr.id_com=\'$sIdCom\'  
ORDER BY nb_10_parcelle.id_par 
```

## get_id_par_bnd: 
``` sql  
SELECT nb_10_parcelle.id_par  
FROM s_majic.nb_21_suf_descr  
INNER JOIN s_majic.nb_10_parcelle  
ON nb_21_suf_descr.id_par = nb_10_parcelle.id_par  
WHERE nb_21_suf_descr.dnupro = \'$sDnupro\'  
AND nb_10_parcelle.id_dnupro != \'$sIdDnupro\'  
AND nb_10_parcelle.id_com=\'sIdCom\' 
```

## annee_reference 
``` sql  
SELECT annee  
FROM s_majic.annee_reference 
```

# Mj_Compte_Communal_Parcelle 
## get_id_dnupro
``` sql     
SELECT  id_dnupro as iddnupro, dnupro  
FROM s_majic.nb_10_parcelle  
WHERE id_par=\'idparpro\'   
 ```

## compte_communal_parcelle
``` sql     
SELECT proprietaire.ccodep , libdep, proprietaire.ccodir, proprietaire.ccocom ,  libcom, proprietaire.dnupro, proprietaire.id_dnupro,  id_par  
FROM s_majic.nb_10_parcelle, s_majic.proprietaire  
LEFT JOIN s_majic.fantoir_commune  
ON proprietaire.id_com=fantoir_commune.id_com  
LEFT JOIN s_majic.fantoir_direction  
ON fantoir_commune.ccodep= fantoir_direction.ccodep  
WHERE proprietaire.id_dnupro=\'$sIdDnupro\' and id_par=\'$sIdPar\'   
```

## get_id_bat_parcelle  
``` sql  
SELECT id_local as id_bat  
FROM s_majic.bati_0010_local  
WHERE id_dnupro=\'$sIdDnupro\' and id_par=\'$sIdPar\'  
ORDER BY id_local  
```

## annee_reference 
``` sql
SELECT annee  
FROM s_majic.annee_reference 
```

# Mj_Bati 
## bati
``` sql 
SELECT fantoir_commune.libcom, bati_0010_local.dnbniv, bati_0010_local.jdatat, bati_0010_local.jannat, bati_0010_local.dnatlc, bati_0010_local.id_dnupro as b_iddnupro, bati_0010_local.dnupro as b_dnupro, bati_0010_local.id_local, bati_0010_local.dteloc, l_dteloc, bati_0010_local.dvltrt, jdatat, ccosec, dnupla, ccoplc, dnvoiri, dindic,  dvoilib, ccoriv,  dnubat, nesc, dniv, dpor, bati_0010_local. invar, ccoeva, bati_0010_local.cconlc, l_cconlc, dvlpera, gtauom, cconad,	lot_local.dnumql, lot_local.ddenql  
FROM s_majic.bati_0010_local  
LEFT JOIN s_majic.bati_60_descr_dep  
ON bati_0010_local.id_local=bati_60_descr_dep.id_local  
LEFT JOIN s_majic.bati_21_pev_descr  
ON bati_0010_local.id_local=bati_21_pev_descr.id_local   
LEFT JOIN s_majic.tc_dteloc_type_local  
ON bati_0010_local.dteloc=tc_dteloc_type_local.dteloc  
LEFT JOIN s_majic.lot_local  
ON bati_0010_local.id_local=lot_local.id_local  
LEFT JOIN s_majic.fantoir_commune  
ON bati_0010_local.ccocom=fantoir_commune.ccocom  
LEFT JOIN s_majic."tc_cconlc_nature_local"  
ON bati_0010_local.cconlc="tc_cconlc_nature_local".cconlc  
WHERE bati_0010_local.id_local=\'$sIdBat\'  
ORDER BY ccosec, dnupla, bati_0010_local.invar'; 
```

## get_id_pro 
``` sql 
SELECT DISTINCT id_pro  
FROM s_majic.proprietaire  
WHERE id_dnupro=\'$sIdDnupro\'  
ORDER BY id_pro 
```

## get_id_pev 
``` sql 
SELECT id_pev  
FROM s_majic.bati_21_pev_descr  
WHERE id_local=\'$sIdBat\'  
ORDER BY id_pev 
```

## get_klot
``` sql  
SELECT klot  
FROM s_majic.lot_local  
WHERE id_local=\'$sIdBat\'  
ORDER BY klot 
```

# Mj_Pev 
## pev 
``` sql 
SELECT bati_21_pev_descr.id_pev as id_pev, ccostb, ccoaff, dcapec, dcsglc,  bipeva, gnexpl, dvlpera, bati_21_pev_descr.dnupev, bati_21_pev_descr.dvlper, bati_21_pev_descr.dnuref  
FROM s_majic.bati_21_pev_descr  
LEFT JOIN s_majic.bati_36_pev_tax  
ON bati_21_pev_descr.id_pev=bati_36_pev_tax.id_pev  
WHERE bati_21_pev_descr.id_pev=\'$sIdPev\' 
```

## get_id_ex_pev
``` sql  
SELECT id_ex  
FROM s_majic.bati_30_pev_exo  
WHERE id_pev=\'$sIdPev\'  
ORDER BY id_ex 
```

## get_id_descr_hab
``` sql  
SELECT dnudes, id_pev as id_pev  
FROM s_majic.bati_40_descr_hab  
WHERE id_pev=\'$sIdPev\'  
ORDER BY dnudes 
```

## get_id_descr_depend 
``` sql 
SELECT id_dep  
FROM s_majic.bati_60_descr_dep  
WHERE id_pev=\'$sIdPev\'  
ORDER BY "id_dep" 
```

# Mj_LotLocal 
## lot_local 
``` sql
SELECT id_local , klot, dnupdl, dnulot, dnumql, ddenql 
FROM s_majic.lot_local WHERE id_local=\'$sIdBat\' and klot=\'$sKlot\' 
```

# Mj_Proprietaire 
## Proprietaire 
``` sql
SELECT  id_dnupro, dnupro, id_pro, l_ccodro, l_ccodem, dnuper, dqualp, ddenom, dnomlp, dprnlp, epxnee, dnomcp, dprncp, jdatnss, dldnss, dlign3, dlign4, dlign5, dlign6, gtoper  
FROM s_majic.proprietaire  
LEFT JOIN s_majic.tc_ccodro_code_droit  
ON proprietaire.ccodro=tc_ccodro_code_droit.ccodro  
LEFT JOIN s_majic.tc_ccodem_nature_demembrement  
ON proprietaire.ccodem=tc_ccodem_nature_demembrement.ccodem  
WHERE id_dnupro=\'$sIdDnupro\'  
AND id_pro=\'$sIdPro\'' 
```

# Mj_Exone_pev 
## exon_pev
``` sql 
SELECT id_ex, ccolloc, gnextl, janimp, jandeb, rcexba2, pexb  
FROM s_majic.bati_30_pev_exo  
WHERE id_ex=\'$sIdEx\' 
```

# Mj_Habit_Descr 
## habit_descr
``` sql 
SELECT dnupev,  invar, cconad1, cconad2, cconad3, cconad4, dsueic1,  dsueic2, dsueic3, dsueic4, geaulc, gelelc, gesclc, ggazlc, gasclc, gchclc, gvorlc, gteglc, dnbbai, dnbdou,  dnblav, dnbwc, dnbppr, dnbsam, dnbcha, dnbcu8, dnbcu9, dnbsea, dnbann, dnbpdc, dsupdc, dmagtm, dmatto,  jannat, detent,  dnbniv  
FROM s_majic.bati_40_descr_hab 
WHERE id_pev=\'$sIdPev\' 
AND dnudes=\'$sDnudes\' 
```

# Mj_Depend_Descr 
## depend_descr
``` sql 
SELECT dnudes, dnupev,  invar, bati_60_descr_dep.cconad, tc_cconad_nature_dependance.l_cconad, dsudep, dcimlc, geaulc, geaulc, gelelc, gchclc, dnbbai, dnbdou,  dnblav, dnbwc, dmatgm, dmatto, detent  
FROM s_majic.bati_60_descr_dep   
INNER JOIN s_majic.tc_cconad_nature_dependance  
ON bati_60_descr_dep.cconad=tc_cconad_nature_dependance.cconad  
WHERE id_dep=\'$sIdDep\' 
```

# Mj_Prof_Descr 
## prof_descr
``` sql 
SELECT dnudes, dnupev,  invar, vsurzt   
FROM s_majic.bati_50_descr_pro  
WHERE id_pev=\'$sIdPev\' 
```

# Mj_Parcelle 
## parcelle 
``` sql
SELECT  id_par,  jdatat, ccosec, dnupla, dnvoiri, dindic, cconvo,  dvoilib,typevoie, ccoriv, dparpi, gparnf, dcntpa, dnupro , gparbat  
FROM s_majic.nb_10_parcelle  
LEFT JOIN s_majic.fantoir_voie  
ON nb_10_parcelle.id_voie=fantoir_voie.id_voie 
WHERE id_par=\'$sIdPar\' 
```

## get_id_pos_plu 
Null 

## get_codcom 
Null 

## get_id_suf
``` sql 
SELECT id_suf  
FROM s_majic.nb_10_parcelle  
RIGHT JOIN s_majic.nb_21_suf_descr  
ON nb_10_parcelle.id_par=nb_21_suf_descr.id_par  
WHERE (nb_10_parcelle.dnupro=\'sDnupro\'  
OR nb_21_suf_descr.dnupro=\'sDnupro\')  
AND nb_21_suf_descr.id_par=\'sIdPar\'  
AND (nb_10_parcelle.id_dnupro=\'sIdDnupro\'  
OR nb_21_suf_descr.dnupro=\'sDnupro\' 
```

# Mj_Suf / Mj_suf_bnd 
## get_id_suf
``` sql 
SELECT id_suf  
FROM s_majic.nb_10_parcelle  
RIGHT JOIN s_majic.nb_21_suf_descr  
ON nb_10_parcelle.id_par=nb_21_suf_descr.id_par  
WHERE (nb_10_parcelle.dnupro=\'sDnupro\'  
OR nb_21_suf_descr.dnupro=\'sDnupro\')  
AND nb_21_suf_descr.id_par=\'sIdPar\'  
AND (nb_10_parcelle.id_dnupro=\'sIdDnupro\'  
OR nb_21_suf_descr.dnupro=\'sDnupro\') 
```

## suf_dnupro
``` sql 
SELECT nb_21_suf_descr.dnupro  
FROM s_majic.nb_10_parcelle  
RIGHT JOIN s_majic.nb_21_suf_descr  
ON nb_10_parcelle.id_par=nb_21_suf_descr.id_par  
WHERE id_suf=\'$sIdSuf\' 
```

## suf 
``` sql
SELECT dnupro,nb_21_suf_descr.ccodep || nb_21_suf_descr.ccocom || nb_21_suf_descr.dnupro as id_dnupro , id_suf, gnexps, ccostn, ccosub,nb_21_suf_descr.dsgrpf, l_dsgrpf, dclssf, cnatsp, dcntsf, drcsuba, drcsub  
FROM s_majic.nb_21_suf_descr  
LEFT JOIN s_majic.tc_dsgrpf_sousgroupe_suf  
ON nb_21_suf_descr.dsgrpf = tc_dsgrpf_sousgroupe_suf.dsgrpf  
WHERE id_suf=\'$sIdSuf\' 
```
## suf_bnd_all 
Null 

## suf_bnd
``` sql 
SELECT DISTINCT id_suf, dnupro,nb_21_suf_descr.ccodep || nb_21_suf_descr.ccocom || nb_21_suf_descr.dnupro as id_dnupro , gnexps, ccostn, ccosub,nb_21_suf_descr.dsgrpf as dsgrpf, l_dsgrpf, dclssf, cnatsp, dcntsf, drcsuba, drcsub, nb_21_suf_descr.dnupdl, nb_21_suf_descr.dnulot, dnumql, ddenql FROM (s_majic.nb_21_suf_descr  
LEFT JOIN s_majic.tc_dsgrpf_sousgroupe_suf  
ON nb_21_suf_descr.dsgrpf = tc_dsgrpf_sousgroupe_suf.dsgrpf)  
LEFT JOIN s_majic.pdl_30_descr_lot  
ON pdl_30_descr_lot.klot=nb_21_suf_descr.klot  
WHERE id_suf=\'$sIdSuf\' 
```

## get_id_pro
``` sql 
SELECT DISTINCT id_pro  
FROM s_majic.proprietaire  
WHERE id_dnupro=\'$sIdDnupro\'  
ORDER BY id_pro 
```

## get_rnuexn 
Null 

# Mj_Exon_suf 
## exon_suf 
``` sql
SELECT id_suf, rnuexn, ccolloc, gnexts, jfinex, pexn, rcexnba  
FROM s_majic.nb_30_suf_exo  
WHERE id_suf=\'$sIdSuf\' and rnuexn=\'$sRnuexn\' 
```

# Mj_Emprises 
## PcrsTableSRIDSql 
``` sql
SELECT st_srid(".$sPrcTable.".geom) as prcsrid  
FROM ".$sPrcTable."  
LIMIT 1 
```

## ViewTableSRIDSql
``` sql 
SELECT st_srid(".$sView.".geom) as viewsrid  
FROM ".$sView."  
LIMIT 1 
```

## IsSameSRID
``` sql 
"SELECT CAST(".$sFunction."(st_intersection(".$sPrcTable.".geom, ".$sView.".geom)) AS DECIMAL(10,1)) AS intersect, ""st_area2d(".$sPrcTable.".geom) AS suf_parcelle, ".$sView.".*  
FROM ".$sPrcTable.", ".$sView."  
WHERE ""st_intersects(".$sPrcTable.".geom, ".$sView.".geom) "" 
AND ".$sPrcTable.".id_par = '".$sIdPar."' ;" 
```
``` sql 
"SELECT CAST(".$sFunction."(st_intersection(".$sPrcTable.".geom, st_transform(".$sView.".geom, st_srid(".$sPrcTable.".geom)))) AS DECIMAL(10,1)) AS intersect, ";"st_area2d(".$sPrcTable.".geom) AS suf_parcelle, ".$sView.".*  
FROM ".$sPrcTable.", ".$sView."  
WHERE ""st_intersects(".$sPrcTable.".geom, st_transform(".$sView.".geom, st_srid(".$sPrcTable.".geom))) "" 
AND ".$sPrcTable.".id_par = '".$sIdPar."' ;" 
```