<?php

namespace App\Module\Cadastre\WebService\Collection;

/**
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 */

class BatiParcelleCollection extends MajicCollection {
  /**
   * @return integer
   * récupération de la surface totale des parcelles en mettre carré.
   */
  public function getSurfaceCadastraleM2(): int {
    $dSurfaceCadastraleM2 = 0;
    foreach ($this->toArray() as $oBatiPar) {
      $dSurfaceCadastraleM2 += intval($oBatiPar->getDcntpa());
    }
    return $dSurfaceCadastraleM2;
  }

  /**
   * @return float
   * récupération des valeurs locatives
   */
  public function getValeurLocative(): float {
    $dValeurLocative = 0;
    foreach ($this->toArray() as $oBatiPar) {
      $dValeurLocative += $oBatiPar->getValeurLocativeBati();
    }
    return $dValeurLocative;
  }

  /**
   * @return string|null
   * Cette méthode permet de récupérer l'année de référence
   */
  public function getAnneeReference(): ?string {
    if ($this->isEmpty()) {
      return null;
    }
    return $this->first()->getAnneeReference();
  }

  /**
   * @return array
   * cette méthode permet de construire un tableau pour BatiParcelle.
   */
  public function getMajicData(): array{
    return [
      'sum_contenance_m2' => $this->getSurfaceCadastraleM2(),
      'sum_valeur_locative' => $this->getValeurLocative(),
      'aBatiParcelle' => $this->toMajicData(),
    ];
  }
}
