<?php

namespace App\Module\Cadastre\WebService\Collection;

use App\Module\Cadastre\WebService\Entity\Majic\ExonSuf;

/**
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 */

class ExonSufCollection extends MajicCollection {
  /**
   * Cette méthode permet de diviser l'attribut rcexnba par 100
   * Méthode corrigée
   * @param array $aCollectivite tableau des exonérations de la collectivité
   * @return float|null
   */
  public function getRevenuCadastralExo(array $aCollectivite = []): ?float {
    foreach ($this->toArray() as $oExo) {
      if (in_array(rtrim($oExo->getCcolloc()), $aCollectivite)) {
        return floatval($oExo->getRcexnba()) / 100;
      }
    }
    return null;
  }

  /**
   * Cette méthode permet de récupérer la valeur de l'attribut 'ccolloc' du tableau aExonSuf
   * Méthode corrigée
   * @param array $aCollectivite tableau des exonérations de la collectivité
   * @return bool
   */
  public function getCcolloc(array $aCollectivite = []): bool {
    foreach ($this->toArray() as $oExo) {
      if (in_array(rtrim($oExo->getCcolloc()), $aCollectivite)) {
        return true;
      }
    }
    return false;
  }

  /**
   * Cette méthode permet de récupérer la valeur de l'attribut 'nat_exo' du tableau aExonSuf
   * Méthode corrigée
   * @return string|null
   */
  public function getNatExo(): ?string {
    if ($this->count() > 0) {
      return $this->first()->getNatExo();
    }
    return null;
  }
}
