<?php

namespace App\Module\Cadastre\WebService\Collection;

use App\Module\Cadastre\WebService\Entity\Majic\MajicInterface;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * Collection générique pour Majic
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 */

class MajicCollection extends ArrayCollection {
  /**
   * @return array
   * Formatage de la collection
   */
  protected function toMajicData(): array{
    $aMajicData = [];
    foreach ($this->toArray() as $oMajicItem) {
      // si l'objet dans la collection n'implémente pas MajicInterface alors il ne sera pas 
      // visible dans le résultat
      if (!$oMajicItem instanceof MajicInterface) {
        continue;
      }
      $aMajicData[] = $oMajicItem->getMajicData();
    }
    return $aMajicData;
  }

  /**
   * @return array
   * cette méthode permet de construire un tableau pour LotLocal.
   */
  public function getMajicData(): array{
    return $this->toMajicData();
  }
}
