<?php

namespace App\Module\Cadastre\WebService\Entity;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour la vue "cadastre_views.daresse" dans les properties.
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="@prop(cadastre_views:adresse)")
 */
class Adresse extends AbstractEntity {
  /**
   * @var string
   * @Column(type="string", name="id_par")
   * @Id
   */
  private $id_par;

  /**
   * @var string
   * @Column(type="string", name="id_com")
   */
  private $id_com;

  /**
   * @var string
   * @Column(type="string", name="ccodep")
   */
  private $ccodep;

  /**
   * @var string
   * @Column(type="string", name="ccodir")
   */
  private $ccodir;

  /**
   * @var string
   * @Column(type="string", name="ccocom")
   */
  private $ccocom;

  /**
   * @var string
   * @Column(type="string", name="ccopre")
   */
  private $ccopre;

  /**
   * @var string
   * @Column(type="string", name="ccosec")
   */
  private $ccosec;

  /**
   * @var string
   * @Column(type="string", name="dnupla")
   */
  private $dnupla;

  /**
   * @var string
   * @Column(type="string", name="dcntpa")
   */
  private $dcntpa;

  /**
   * @var string
   * @Column(type="string", name="ccoriv")
   */
  private $ccoriv;

  /**
   * @var string
   * @Column(type="string", name="id_voie")
   */
  private $id_voie;

  /**
   * @var string
   * @Column(type="string", name="dnvoiri")
   */
  private $dnvoiri;

  /**
   * @var string
   * @Column(type="string", name="dindic")
   */
  private $dindic;

  /**
   * @var string
   * @Column(type="string", name="l_nature_voie", nullable=true)
   */
  private $l_nature_voie;

  /**
   * @var string
   * @Column(type="string", name="dvoilib")
   */
  private $dvoilib;

  /**
   * @return string
   */
  public function getIdPar(): string {
    return $this->id_par;
  }

  /**
   * @return string
   */
  public function getIdCom(): string {
    return $this->id_com;
  }

  /**
   * @return string
   */
  public function getCcodep(): string {
    return $this->ccodep;
  }

  /**
   * @return string
   */
  public function getCcodir(): string {
    return $this->ccodir;
  }

  /**
   * @return string
   */
  public function getCcocom(): string {
    return $this->ccocom;
  }

  /**
   * @return string
   */
  public function getCcopre(): string {
    return $this->ccopre;
  }

  /**
   * @return string
   */
  public function getCcosec(): string {
    return $this->ccosec;
  }

  /**
   * @return string
   */
  public function getDnupla(): string {
    return $this->dnupla;
  }

  /**
   * @return string
   */
  public function getDcntpa(): string {
    return $this->dcntpa;
  }

  /**
   * @return string
   */
  public function getCcoriv(): string {
    return $this->ccoriv;
  }

  /**
   * @return string
   */
  public function getIdVoie(): string {
    return $this->id_voie;
  }

  /**
   * @return string
   */
  public function getDnvoiri(): string {
    return $this->dnvoiri;
  }

  /**
   * @return string
   */
  public function getDindic(): string {
    return $this->dindic;
  }

  /**
   * @return string|null
   */
  public function getLNatureVoie(): ?string {
    return $this->l_nature_voie;
  }

  /**
   * @return string
   */
  public function getDvoilib(): string {
    return $this->dvoilib;
  }
}
