<?php

namespace App\Module\Cadastre\WebService\Entity;

use App\Module\Vitis\WebService\Entity\AbstractGeomEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour la vue "cadastre_views.commune" dans les properties.
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Cadastre\WebService\Repository\GeometryRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_cadastre)",name="@prop(cadastre_views:commune)")
 */
class Commune extends AbstractGeomEntity {
  /**
   * @var string
   * @Column(type="string", name="id_com")
   * @Id
   */
  private $id_com;

  /**
   * @var string
   * @Column(type="string", name="nom")
   */
  private $nom;

  /**
   * @var string
   * @Column(type="string", name="dep_code")
   */
  private $dep_code;

  /**
   * @var string
   * @Column(type="geometry", name="geom")
   */
  private $geom;

  /**
   * @return string
   */
  public function getIdCom(): string {
    return $this->id_com;
  }

  /**
   * @return string
   */
  public function getCodeCom(): string {
    return substr($this->id_com, 2, 3);
  }

  /**
   * @return string
   */
  public function getNom(): string {
    return $this->nom;
  }

  /**
   * @return string geometry ewkt 2154
   */
  public function getGeom(): string {
    return $this->getReprojectedGeomForAPI($this->geom);
  }

  /**
   * @return string code du département
   */
  public function getDepCode(): string {
    return $this->dep_code;
  }
}
