<?php

namespace App\Module\Cadastre\WebService\Entity;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour la vue "cadastre_views.description_parcelle" dans les properties.
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="@prop(cadastre_views:description_parcelle)")
 */
class DescriptionParcelle extends AbstractEntity {
  /**
   * @var string
   * @Column(type="string", name="id_par")
   * @Id
   */
  private $id_par;

  /**
   * @var string
   * @Column(type="string", name="id_com")
   */
  private $id_com;

  /**
   * @var string
   * @Column(type="string", name="ccodep")
   */
  private $ccodep;

  /**
   * @var string
   * @Column(type="string", name="ccodir")
   */
  private $ccodir;

  /**
   * @var string
   * @Column(type="string", name="ccocom")
   */
  private $ccocom;

  /**
   * @var string
   * @Column(type="string", name="ccopre")
   */
  private $ccopre;

  /**
   * @var string
   * @Column(type="string", name="ccosec")
   */
  private $ccosec;

  /**
   * @var string
   * @Column(type="string", name="dnupla")
   */
  private $dnupla;

  /**
   * @var string
   * @Column(type="string", name="cenr")
   */
  private $cenr;

  /**
   * @var string
   * @Column(type="string", name="dcntpa")
   */
  private $dcntpa;

  /**
   * @var string
   * @Column(type="string", name="dsrpar")
   */
  private $dsrpar;

  /**
   * @var string
   * @Column(type="string", name="dnupro")
   */
  private $dnupro;

  /**
   * @var string
   * @Column(type="string", name="jdatat")
   */
  private $jdatat;

  /**
   * @var string
   * @Column(type="string", name="dreflf")
   */
  private $dreflf;

  /**
   * @var string
   * @Column(type="string", name="gpdl")
   */
  private $gpdl;

  /**
   * @var string
   * @Column(type="string", name="cprsecr")
   */
  private $cprsecr;

  /**
   * @var string
   * @Column(type="string", name="ccosecr")
   */
  private $ccosecr;

  /**
   * @var string
   * @Column(type="string", name="dnuplar")
   */
  private $dnuplar;

  /**
   * @var string
   * @Column(type="string", name="dnupdl")
   */
  private $dnupdl;

  /**
   * @var string
   * @Column(type="string", name="gurbpa")
   */
  private $gurbpa;

  /**
   * @var string
   * @Column(type="string", name="dparpi")
   */
  private $dparpi;

  /**
   * @var string
   * @Column(type="string", name="ccoarp")
   */
  private $ccoarp;

  /**
   * @var string
   * @Column(type="string", name="gparnf")
   */
  private $gparnf;

  /**
   * @var string
   * @Column(type="string", name="gparbat")
   */
  private $gparbat;

  /**
   * @var string
   * @Column(type="string", name="ccovoi")
   */
  private $ccovoi;

  /**
   * @var string
   * @Column(type="string", name="ccoriv")
   */
  private $ccoriv;

  /**
   * @var string
   * @Column(type="string", name="ccocif")
   */
  private $ccocif;

  /**
   * @var string
   * @Column(type="string", name="id_voie")
   */
  private $id_voie;

  /**
   * @var string
   * @Column(type="string", name="id_dnupro")
   */
  private $id_dnupro;

  /**
   * @var string
   * @Column(type="string", name="dnvoiri")
   */
  private $dnvoiri;

  /**
   * @var string
   * @Column(type="string", name="dindic")
   */
  private $dindic;

  /**
   * @var string
   * @Column(type="string", name="l_nature_voie", nullable=true)
   */
  private $l_nature_voie;

  /**
   * @var string
   * @Column(type="string", name="dvoilib")
   */
  private $dvoilib;

  /**
   * @return string
   */
  public function getIdPar(): string {
    return $this->id_par;
  }

  /**
   * @return string
   */
  public function getIdCom(): string {
    return $this->id_com;
  }

  /**
   * @return string
   */
  public function getCcodep(): string {
    return $this->ccodep;
  }

  /**
   * @return string
   */
  public function getCcodir(): string {
    return $this->ccodir;
  }

  /**
   * @return string
   */
  public function getCcocom(): string {
    return $this->ccocom;
  }

  /**
   * @return string
   */
  public function getCcopre(): string {
    return $this->ccopre;
  }

  /**
   * @return string
   */
  public function getCcosec(): string {
    return $this->ccosec;
  }

  /**
   * @return string
   */
  public function getDnupla(): string {
    return $this->dnupla;
  }

  /**
   * @return string
   */
  public function getCenr(): string {
    return $this->cenr;
  }

  /**
   * @return string
   */
  public function getDcntpa(): string {
    return $this->dcntpa;
  }

  /**
   * @return string
   */
  public function getDsrpar(): string {
    return $this->dsrpar;
  }

  /**
   * @return string
   */
  public function getDnupro(): string {
    return $this->dnupro;
  }

  /**
   * @return string
   */
  public function getJdatat(): string {
    return $this->jdatat;
  }

  /**
   * @return string
   */
  public function getDreflf(): string {
    return $this->dreflf;
  }

  /**
   * @return string
   */
  public function getGpdl(): string {
    return $this->gpdl;
  }

  /**
   * @return string
   */
  public function getCprsecr(): string {
    return $this->cprsecr;
  }

  /**
   * @return string
   */
  public function getCcosecr(): string {
    return $this->ccosecr;
  }

  /**
   * @return string
   */
  public function getDnuplar(): string {
    return $this->dnuplar;
  }

  /**
   * @return string
   */
  public function getDnupdl(): string {
    return $this->dnupdl;
  }

  /**
   * @return string
   */
  public function getGurbpa(): string {
    return $this->gurbpa;
  }

  /**
   * @return string
   */
  public function getDparpi(): string {
    return $this->dparpi;
  }

  /**
   * @return string
   */
  public function getCcoarp(): string {
    return $this->ccoarp;
  }

  /**
   * @return string
   */
  public function getGparnf(): string {
    return $this->gparnf;
  }

  /**
   * @return string
   */
  public function getGparbat(): string {
    return $this->gparbat;
  }

  /**
   * @return string
   */
  public function getCcovoi(): string {
    return $this->ccovoi;
  }

  /**
   * @return string
   */
  public function getCcoriv(): string {
    return $this->ccoriv;
  }

  /**
   * @return string
   */
  public function getCcocif(): string {
    return $this->ccocif;
  }

  /**
   * @return string
   */
  public function getIdVoie(): string {
    return $this->id_voie;
  }

  /**
   * @return string
   */
  public function getIdDnupro(): string {
    return $this->id_dnupro;
  }

  /**
   * @return string
   */
  public function getDnvoiri(): string {
    return $this->dnvoiri;
  }

  /**
   * @return string
   */
  public function getDindic(): string {
    return $this->dindic;
  }

  /**
   * @return string|null
   */
  public function getLNatureVoie(): ?string {
    return $this->l_nature_voie;
  }

  /**
   * @return string
   */
  public function getDvoilib(): string {
    return $this->dvoilib;
  }
}
