<?php

namespace App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\JoinColumn;
use Doctrine\ORM\Mapping\ManyToOne;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour v_vmap_maj_fiche_inv_dep_v2
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="v_vmap_maj_fiche_inv_dep_v2")
 */
class Dependance extends AbstractEntity {
  /**
   * @var array
   * @ManyToOne(targetEntity="App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant\Description", inversedBy="aDep")
   * @JoinColumn(name="id_local", referencedColumnName="id_local")
   */
  private $InvariantDescription;

  /**
   * @var string
   * @Column(type="string", name="id_dep")
   * @Id
   */
  private $id_dep;

  /**
   * @var string
   * @Column(type="string", name="id_local")
   */
  private $id_local;

  /**
   * @var string|null
   * @Column(type="string", name="dnupev")
   */
  private $dnupev;

  /**
   * @var integer|null
   * @Column(type="integer", name="dsudep")
   */
  private $dsudep;

  /**
   * @var string|null
   * @Column(type="string", name="geaulc")
   */
  private $geaulc;

  /**
   * @var string|null
   * @Column(type="string", name="gelelc")
   */
  private $gelelc;

  /**
   * @var string|null
   * @Column(type="string", name="gchclc")
   */
  private $gchclc;

  /**
   * @var string|null
   * @Column(type="string", name="dnbbai")
   */
  private $dnbbai;

  /**
   * @var string|null
   * @Column(type="string", name="dnbdou")
   */
  private $dnbdou;

  /**
   * @var string|null
   * @Column(type="string", name="dnblav")
   */
  private $dnblav;

  /**
   * @var string|null
   * @Column(type="string", name="dnbwc")
   */
  private $dnbwc;

  /**
   * @var string|null
   * @Column(type="string", name="l_dmagtm")
   */
  private $l_dmagtm;

  /**
   * @var string|null
   * @Column(type="string", name="l_dmatto")
   */
  private $l_dmatto;

  /**
   * @var string|null
   * @Column(type="string", name="l_detent")
   */
  private $l_detent;

  /**
   * @var string|null
   * @Column(type="string", name="l_cconad")
   */
  private $l_cconad;

  /**
   * @return string
   */
  public function getIdDep(): string {
    return $this->id_dep;
  }

  /**
   * @return string
   */
  public function getIdLocal(): string {
    return $this->id_local;
  }

  /**
   * @return string|null
   */
  public function getDnupev(): ?string {
    return $this->dnupev;
  }

  /**
   * @return integer|null
   */
  public function getDsudep(): ?int {
    return $this->dsudep;
  }

  /**
   * @return string|null
   */
  public function getGeaulc(): ?string {
    return $this->geaulc;
  }

  /**
   * @return string|null
   */
  public function getGelelc(): ?string {
    return $this->gelelc;
  }

  /**
   * @return string|null
   */
  public function getGchclc(): ?string {
    return $this->gchclc;
  }

  /**
   * @return string|null
   */
  public function getDnbbai(): ?string {
    return $this->dnbbai;
  }

  /**
   * @return string|null
   */
  public function getDnbdou(): ?string {
    return $this->dnbdou;
  }

  /**
   * @return string|null
   */
  public function getDnblav(): ?string {
    return $this->dnblav;
  }

  /**
   * @return string|null
   */
  public function getDnbwc(): ?string {
    return $this->dnbwc;
  }

  /**
   * @return string|null
   */
  public function getLDmagtm(): ?string {
    return $this->l_dmagtm;
  }

  /**
   * @return string|null
   */
  public function getLDmatto(): ?string {
    return $this->l_dmatto;
  }

  /**
   * @return string|null
   */
  public function getLDetent(): ?string {
    return $this->l_detent;
  }

  /**
   * @return string|null
   */
  public function getLCconad(): ?string {
    return $this->l_cconad;
  }

  public function getInvariantDepData(): array{
    return [
      'ID_BAT' => $this->id_local,
      'DNUPEV' => $this->dnupev,
      'DSUDEP' => $this->dsudep,
      'GEAULC' => $this->geaulc,
      'GELELC' => $this->gelelc,
      'GCHCLC' => $this->gchclc,
      'DNBBAI' => $this->dnbbai,
      'DNBDOU' => $this->dnbdou,
      'DNBLAV' => $this->dnblav,
      'DNBWC' => $this->dnbwc,
      'L_DMATGM' => $this->l_dmagtm,
      'L_DMATTO' => $this->l_dmatto,
      'L_DETENT' => $this->l_detent,
      'L_CCONAD' => $this->l_cconad,
    ];
  }
}
