<?php

namespace App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

use Doctrine\ORM\Mapping\JoinColumn;
use Doctrine\ORM\Mapping\ManyToOne;

/**
 *  Objet ORM pour v_vmap_maj_fiche_inv_hab_v2
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="v_vmap_maj_fiche_inv_hab_v2")
 */
class Habitation extends AbstractEntity {
  /**
   * @var array
   * @ManyToOne(targetEntity="App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant\Description", inversedBy="aHab")
   * @JoinColumn(name="id_local", referencedColumnName="id_local")
   */
  private $InvariantDescription;

  /**
   * @var string
   * @Column(type="string", name="id")
   * @Id
   */
  private $id;

  /**
   * @var string
   * @Column(type="string", name="id_local")
   */
  private $id_local;

  /**
   * @var string|null
   * @Column(type="string", name="dnupev")
   */
  private $dnupev;

  /**
   * @var string|null
   * @Column(type="string", name="geaulc")
   */
  private $geaulc;

  /**
   * @var string|null
   * @Column(type="string", name="gelelc")
   */
  private $gelelc;

  /**
   * @var string|null
   * @Column(type="string", name="gchclc")
   */
  private $gchclc;

  /**
   * @var string|null
   * @Column(type="string", name="gteglc")
   */
  private $gteglc;

  /**
   * @var string|null
   * @Column(type="string", name="dnbbai")
   */
  private $dnbbai;

  /**
   * @var string|null
   * @Column(type="string", name="dnbdou")
   */
  private $dnbdou;

  /**
   * @var string|null
   * @Column(type="string", name="dnblav")
   */
  private $dnblav;

  /**
   * @var string|null
   * @Column(type="string", name="dnbwc")
   */
  private $dnbwc;

  /**
   * @var string|null
   * @Column(type="string", name="deqdha")
   */
  private $deqdha;

  /**
   * @var string|null
   * @Column(type="string", name="dnbppr")
   */
  private $dnbppr;

  /**
   * @var string|null
   * @Column(type="string", name="dnbpdc")
   */
  private $dnbpdc;

  /**
   * @var integer|null
   * @Column(type="integer", name="dsupdc")
   */
  private $dsupdc;

  /**
   * @var string|null
   * @Column(type="string", name="l_dmatgm")
   */
  private $l_dmatgm;

  /**
   * @var string|null
   * @Column(type="string", name="l_dmatto")
   */
  private $l_dmatto;

  /**
   * @var string|null
   * @Column(type="string", name="jannat")
   */
  private $jannat;

  /**
   * @var string|null
   * @Column(type="string", name="l_detent")
   */
  private $l_detent;

  /**
   * @var string|null
   * @Column(type="string", name="dnbniv")
   */
  private $dnbniv;

  /**
   * @var string|null
   * @Column(type="string", name="dnbsam")
   */
  private $dnbsam;

  /**
   * @var string|null
   * @Column(type="string", name="dnbcha")
   */
  private $dnbcha;

  /**
   * @var string|null
   * @Column(type="string", name="dnbcu8")
   */
  private $dnbcu8;

  /**
   * @var string|null
   * @Column(type="string", name="dnbcu9")
   */
  private $dnbcu9;

  /**
   * @var string|null
   * @Column(type="string", name="dnbsea")
   */
  private $dnbsea;

  /**
   * @var string|null
   * @Column(type="string", name="dnbann")
   */
  private $dnbann;

  /**
   * @var string|null
   * @Column(type="string", name="cconad1")
   */
  private $cconad1;

  /**
   * @var string|null
   * @Column(type="string", name="l_cconad1")
   */
  private $l_cconad1;

  /**
   * @var integer|null
   * @Column(type="integer", name="dsueic1")
   */
  private $dsueic1;

  /**
   * @var string|null
   * @Column(type="string", name="cconad2")
   */
  private $cconad2;

  /**
   * @var string|null
   * @Column(type="string", name="l_cconad2")
   */
  private $l_cconad2;

  /**
   * @var integer|null
   * @Column(type="integer", name="dsueic2")
   */
  private $dsueic2;

  /**
   * @var string|null
   * @Column(type="string", name="cconad3")
   */
  private $cconad3;

  /**
   * @var string|null
   * @Column(type="string", name="l_cconad3")
   */
  private $l_cconad3;

  /**
   * @var integer|null
   * @Column(type="integer", name="dsueic3")
   */
  private $dsueic3;

  /**
   * @var string|null
   * @Column(type="string", name="cconad4")
   */
  private $cconad4;

  /**
   * @var string|null
   * @Column(type="string", name="l_cconad4")
   */
  private $l_cconad4;

  /**
   * @var integer|null
   * @Column(type="integer", name="dsueic4")
   */
  private $dsueic4;

  /**
   * @return string
   */
  public function getId(): string {
    return $this->id;
  }

  /**
   * @return string
   */
  public function getIdLocal(): string {
    return $this->id_local;
  }

  /**
   * @return string|null
   */
  public function getDnupev(): ?string {
    return $this->dnupev;
  }

  /**
   * @return string|null
   */
  public function getGeaulc(): ?string {
    return $this->geaulc;
  }

  /**
   * @return string|null
   */
  public function getGelelc(): ?string {
    return $this->gelelc;
  }

  /**
   * @return string|null
   */
  public function getGchclc(): ?string {
    return $this->gchclc;
  }

  /**
   * @return string|null
   */
  public function getGteglc(): ?string {
    return $this->gteglc;
  }

  /**
   * @return string|null
   */
  public function getDnbbai(): ?string {
    return $this->dnbbai;
  }

  /**
   * @return string|null
   */
  public function getDnbdou(): ?string {
    return $this->dnbdou;
  }

  /**
   * @return string|null
   */
  public function getDnblav(): ?string {
    return $this->dnblav;
  }

  /**
   * @return string|null
   */
  public function getDnbwc(): ?string {
    return $this->dnbwc;
  }

  /**
   * @return string|null
   */
  public function getDeqdha(): ?string {
    return $this->deqdha;
  }

  /**
   * @return string|null
   */
  public function getDnbppr(): ?string {
    return $this->dnbppr;
  }

  /**
   * @return string|null
   */
  public function getDnbpdc(): ?string {
    return $this->dnbpdc;
  }

  /**
   * @return integer|null
   */
  public function getDsupdc(): ?int {
    return $this->dsupdc;
  }

  /**
   * @return string|null
   */
  public function getLDmatgm(): ?string {
    return $this->l_dmatgm;
  }

  /**
   * @return string|null
   */
  public function getLDmatto(): ?string {
    return $this->l_dmatto;
  }

  /**
   * @return string|null
   */
  public function getJannat(): ?string {
    return $this->jannat;
  }

  /**
   * @return string|null
   */
  public function getLDetent(): ?string {
    return $this->l_detent;
  }

  /**
   * @return string|null
   */
  public function getDnbniv(): ?string {
    return $this->dnbniv;
  }

  /**
   * @return string|null
   */
  public function getDnbsam(): ?string {
    return $this->dnbsam;
  }

  /**
   * @return string|null
   */
  public function getDnbcha(): ?string {
    return $this->dnbcha;
  }

  /**
   * @return string|null
   */
  public function getDnbcu8(): ?string {
    return $this->dnbcu8;
  }

  /**
   * @return string|null
   */
  public function getDnbcu9(): ?string {
    return $this->dnbcu9;
  }

  /**
   * @return string|null
   */
  public function getDnbsea(): ?string {
    return $this->dnbsea;
  }

  /**
   * @return string|null
   */
  public function getDnbann(): ?string {
    return $this->dnbann;
  }

  /**
   * @return string|null
   */
  public function getCconad1(): ?string {
    return $this->cconad1;
  }

  /**
   * @return string|null
   */
  public function getLCconad1(): ?string {
    return $this->l_cconad1;
  }

  /**
   * @return integer|null
   */
  public function getDsueic1(): ?int {
    return $this->dsueic1;
  }

  /**
   * @return string|null
   */
  public function getCconad2(): ?string {
    return $this->cconad2;
  }

  /**
   * @return string|null
   */
  public function getLCconad2(): ?string {
    return $this->l_cconad2;
  }

  /**
   * @return integer|null
   */
  public function getDsueic2(): ?int {
    return $this->dsueic2;
  }

  /**
   * @return string|null
   */
  public function getCconad3(): ?string {
    return $this->cconad3;
  }

  /**
   * @return string|null
   */
  public function getLCconad3(): ?string {
    return $this->l_cconad3;
  }

  /**
   * @return integer|null
   */
  public function getDsueic3(): ?int {
    return $this->dsueic3;
  }

  /**
   * @return string|null
   */
  public function getCconad4(): ?string {
    return $this->cconad4;
  }

  /**
   * @return string|null
   */
  public function getLCconad4(): ?string {
    return $this->l_cconad4;
  }

  /**
   * @return integer|null
   */
  public function getDsueic4(): ?int {
    return $this->dsueic4;
  }

  public function getInvariantHabData(): array{
    return [
      "ID_BAT" => $this->id_local,
      "DNUPEV" => $this->dnupev,
      "GEAULC" => $this->geaulc,
      "GELELC" => $this->gelelc,
      "GCHCLC" => $this->gchclc,
      "GTEGLC" => $this->gteglc,
      "DNBBAI" => $this->dnbbai,
      "DNBDOU" => $this->dnbdou,
      "DNBLAV" => $this->dnblav,
      "DNBWC" => $this->dnbwc,
      "DEQDHA" => $this->deqdha,
      "DNBPPR" => $this->dnbppr,
      "DNBPDC" => $this->dnbpdc,
      "DSUPDC" => $this->dsupdc,
      "L_DMATGM" => $this->l_dmatgm,
      "L_DMATTO" => $this->l_dmatto,
      "JANNAT" => $this->jannat,
      "L_DETENT" => $this->l_detent,
      "DNBNIV" => $this->dnbniv,
      "DNBSAM" => $this->dnbsam,
      "DNBCHA" => $this->dnbcha,
      "DNBCU8" => $this->dnbcu8,
      "DNBCU9" => $this->dnbcu9,
      "DNBSEA" => $this->dnbsea,
      "DNBANN" => $this->dnbann,
      "CCONAD1" => $this->cconad1,
      "L_CCONAD1" => $this->l_cconad1,
      "DSUEIC1" => $this->dsueic1,
      "CCONAD2" => $this->cconad2,
      "L_CCONAD2" => $this->l_cconad2,
      "DSUEIC2" => $this->dsueic2,
      "CCONAD3" => $this->cconad3,
      "L_CCONAD3" => $this->l_cconad3,
      "DSUEIC3" => $this->dsueic3,
      "CCONAD4" => $this->cconad4,
      "L_CCONAD4" => $this->l_cconad4,
      "DSUEIC4" => $this->dsueic4,
    ];
  }
}
