<?php

namespace App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

use Doctrine\ORM\Mapping\JoinColumn;
use Doctrine\ORM\Mapping\ManyToOne;

/**
 *  Objet ORM pour v_vmap_maj_fiche_inv_local_pro_v2
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="v_vmap_maj_fiche_inv_local_pro_v2")
 */
class LocalPro extends AbstractEntity {
  /**
   * @var array
   * @ManyToOne(targetEntity="App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant\Description", inversedBy="aLocPro")
   * @JoinColumn(name="id_local", referencedColumnName="id_local")
   */
  private $InvariantDescription;

  /**
   * @var string
   * @Column(type="string", name="id_pev")
   * @Id
   */
  private $id_pev;

  /**
   * @var string
   * @Column(type="string", name="id_local")
   */
  private $id_local;

  /**
   * @var string|null
   * @Column(type="string", name="dnupev")
   * @Id
   */
  private $dnupev;

  /**
   * @var string|null
   * @Column(type="string", name="dnudes")
   * @Id
   */
  private $dnudes;

  /**
   * @var string|null
   * @Column(type="string", name="vsurzt")
   * @Id
   */
  private $vsurzt;

  /**
   * @var string|null
   * @Column(type="string", name="dsupot")
   * @Id
   */
  private $dsupot;

  /**
   * @var string|null
   * @Column(type="string", name="dsup1")
   * @Id
   */
  private $dsup1;

  /**
   * @var string|null
   * @Column(type="string", name="dsup2")
   * @Id
   */
  private $dsup2;

  /**
   * @var string|null
   * @Column(type="string", name="dsup3")
   * @Id
   */
  private $dsup3;

  /**
   * @var string|null
   * @Column(type="string", name="dsupk1")
   * @Id
   */
  private $dsupk1;

  /**
   * @var string|null
   * @Column(type="string", name="dsupk2")
   * @Id
   */
  private $dsupk2;

  /**
   * @return string
   */
  public function getIdPev(): string {
    return $this->id_pev;
  }

  /**
   * @return string
   */
  public function getIdLocal(): string {
    return $this->id_local;
  }

  /**
   * @return string|null
   */
  public function getDnupev(): ?string {
    return $this->dnupev;
  }

  /**
   * @return string|null
   */
  public function getDnudes(): ?string {
    return $this->dnudes;
  }

  /**
   * @return string|null
   */
  public function getVsurzt(): ?string {
    return $this->vsurzt;
  }

  /**
   * @return string|null
   */
  public function getDsupot(): ?string {
    return $this->dsupot;
  }

  /**
   * @return string|null
   */
  public function getDsup1(): ?string {
    return $this->dsup1;
  }

  /**
   * @return string|null
   */
  public function getDsup2(): ?string {
    return $this->dsup2;
  }

  /**
   * @return string|null
   */
  public function getDsup3(): ?string {
    return $this->dsup3;
  }

  /**
   * @return string|null
   */
  public function getDsupk1(): ?string {
    return $this->dsupk1;
  }

  /**
   * @return string|null
   */
  public function getDsupk2(): ?string {
    return $this->dsupk2;
  }

  public function getInvariantLocalProData(): array{
    return [
      'ID_BAT' => $this->id_local,
      'DNUPEV' => $this->dnupev,
      'DNUDES' => $this->dnudes,
      'VSURZT' => $this->vsurzt,
      'DSUPOT' => $this->dsupot,
      'DSUP1' => $this->dsup1,
      'DSUP2' => $this->dsup2,
      'DSUP3' => $this->dsup3,
      'DSUPK1' => $this->dsupk1,
      'DSUPK2' => $this->dsupk2,
    ];
  }
}
