<?php

namespace App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

use Doctrine\ORM\Mapping\JoinColumn;
use Doctrine\ORM\Mapping\ManyToOne;
/**
 *  Objet ORM pour v_vmap_maj_fiche_inv_lot
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="v_vmap_maj_fiche_inv_lot")
 * id_local as "ID_BAT"', 'klot as "KLOT"', 'dnumql as "DNUMQL"', 'ddenql as "DDENQL"'
 */
class Lot extends AbstractEntity {
  /**
   * @var array
   * @ManyToOne(targetEntity="App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant\Description", inversedBy="aLot")
   * @JoinColumn(name="id_local", referencedColumnName="id_local")
   */
  private $InvariantDescription;

  /**
   * @var string
   * @Column(type="string", name="id_local")
   * @Id
   */
  private $id_local;

  /**
   * @var string
   * @Column(type="string", name="klot")
   */
  private $klot;

  /**
   * @var integer|null
   * @Column(type="integer", name="dnumql")
   */
  private $dnumql;

  /**
   * @var integer|null
   * @Column(type="integer", name="ddenql")
   */
  private $ddenql;

  /**
   * @return string
   */
  public function getIdLocal(): string {
    return $this->id_local;
  }

  /**
   * @return string
   */
  public function getKlot(): string {
    return $this->klot;
  }

  /**
   * @return integer|null
   */
  public function getDnumql(): ?int {
    return $this->dnumql;
  }

  /**
   * @return integer|null
   */
  public function getDdenql(): ?int {
    return $this->ddenql;
  }

  public function getInvariantLotData(): array{
    return [
      'ID_BAT' => $this->id_local,
      'KLOT' => $this->klot,
      'DNUMQL' => $this->dnumql,
      'DDENQL' => $this->ddenql,
    ];
  }
}
