<?php

namespace App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

use Doctrine\ORM\Mapping\ManyToOne;
use Doctrine\ORM\Mapping\JoinColumn;

/**
 *  Objet ORM pour v_vmap_maj_fiche_inv_pev_v2
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="v_vmap_maj_fiche_inv_pev_v2")
 */
class Pev extends AbstractEntity {
  /**
   * @var array
   * @ManyToOne(targetEntity="App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant\Description", inversedBy="aPev")
   * @JoinColumn(name="id_local", referencedColumnName="id_local")
   */
  private $InvariantDescription;

  /**
   * @var string
   * @Column(type="string", name="id_pev")
   * @Id
   */
  private $id_pev;

  /**
   * @var string
   * @Column(type="string", name="id_local")
   */
  private $id_local;

  /**
   * @var string|null
   * @Column(type="string", name="dnupev")
   */
  private $dnupev;

  /**
   * @var string|null
   * @Column(type="string", name="l_ccoaff")
   */
  private $l_ccoaff;

  /**
   * @var string|null
   * @Column(type="string", name="dcapec")
   */
  private $dcapec;

  /**
   * @var string|null
   * @Column(type="string", name="ccostb")
   */
  private $ccostb;

  /**
   * @var string|null
   * @Column(type="string", name="dnuref")
   */
  private $dnuref;

  /**
   * @var integer|null
   * @Column(type="integer", name="bipeva")
   */
  private $bipeva;

  /**
   * @var integer|null
   * @Column(type="integer", name="vlbaia1")
   */
  private $vlbaia1;

  /**
   * @return string
   */
  public function getIdPev(): string {
    return $this->id_pev;
  }

  /**
   * @return string
   */
  public function getIdLocal(): string {
    return $this->id_local;
  }

  /**
   * @return string|null
   */
  public function getDnupev(): ?string {
    return $this->dnupev;
  }

  /**
   * @return string|null
   */
  public function getLCcoaff(): ?string {
    return $this->l_ccoaff;
  }

  /**
   * @return string|null
   */
  public function getDcapec(): ?string {
    return $this->dcapec;
  }

  /**
   * @return string|null
   */
  public function getCcostb(): ?string {
    return $this->ccostb;
  }

  /**
   * @return string|null
   */
  public function getDnuref(): ?string {
    return $this->dnuref;
  }

  /**
   * @return integer|null
   */
  public function getBipeva(): ?int {
    return $this->bipeva;
  }

  /**
   * @return integer|null
   */
  public function getVlbaia1(): ?int {
    return $this->vlbaia1;
  }

  public function getInvariantPevData(): array{
    return [
      'ID_BAT' => $this->id_local,
      'DNUPEV' => $this->dnupev,
      'L_CCOAFF' => $this->l_ccoaff,
      'DCAPEC' => $this->dcapec,
      'CCOSTB' => $this->ccostb,
      'DNUREF' => $this->dnuref,
      'BIPEVA' => $this->bipeva,
      'VLBAIA1' => $this->vlbaia1,
    ];
  }
}
