<?php

namespace App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant;

use App\Module\Cadastre\WebService\Entity\FicheDescriptive\AbstractProprietaire;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

use Doctrine\ORM\Mapping\ManyToOne;
use Doctrine\ORM\Mapping\JoinColumn;

/**
 *  Objet ORM pour v_vmap_maj_fiche_inv_prop_v2
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="v_vmap_maj_fiche_inv_prop_v2")
 */
class Proprietaire extends AbstractProprietaire {
  /**
   * @var array
   * @ManyToOne(targetEntity="App\Module\Cadastre\WebService\Entity\FicheDescriptive\Invariant\Description", inversedBy="aProp")
   * @JoinColumn(name="id_local", referencedColumnName="id_local")
   */
  private $InvariantDescription;

  /**
   * @var string
   * @Column(type="string", name="id_local")
   */
  private $id_local;

  /**
   * @return string
   */
  public function getIdLocal(): string {
    return $this->id_local;
  }

  public function getInvariantPropData(): array{
    return [
      'ID_BAT' => $this->id_local,
      'DQUALP' => $this->dqualp,
      'DDENOM' => $this->ddenom,
      'JDATNSS' => $this->jdatnss,
      'DLDNSS' => $this->dldnss,
      'DLIGN3' => $this->dlign3,
      'DLIGN4' => $this->dlign4,
      'DLIGN6' => $this->dlign6,
      'L_CCODEM' => $this->l_ccodem,
      'L_CCODRO' => $this->l_ccodro,
    ];
  }
}
