<?php

namespace App\Module\Cadastre\WebService\Entity\FicheDescriptive\Parcelle;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\JoinColumn;
use Doctrine\ORM\Mapping\ManyToOne;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour v_vmap_maj_fiche_prc_bat
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="v_vmap_maj_fiche_prc_bat")
 */
class Bati extends AbstractEntity {
  /**
   * @var array
   * @ManyToOne(targetEntity="App\Module\Cadastre\WebService\Entity\FicheDescriptive\Parcelle\Description", inversedBy="aBat")
   * @JoinColumn(name="id_par", referencedColumnName="id_par")
   */
  private $ParcelleDescription;

  /**
   * @var string
   * @Column(type="string", name="id_local")
   * @Id
   */
  private $id_local;

  /**
   * @var string
   * @Column(type="string", name="id_par")
   */
  private $id_par;

  /**
   * @var string|null
   * @Column(type="string", name="invar")
   */
  private $invar;

  /**
   * @var string|null
   * @Column(type="string", name="l_dteloc")
   */
  private $l_dteloc;

  /**
   * @var string|null
   * @Column(type="string", name="l_cconlc")
   */
  private $l_cconlc;

  /**
   * @var string|null
   * @Column(type="string", name="l_dnatlc")
   */
  private $l_dnatlc;

  /**
   * @var string|null
   * @Column(type="string", name="jdatat")
   */
  private $jdatat;

  /**
   * @var string|null
   * @Column(type="string", name="jannat")
   */
  private $jannat;

  /**
   * @var string|null
   * @Column(type="string", name="ddenom")
   */
  private $ddenom;

  /**
   * @return string
   */
  public function getIdLocal(): ?string {
    return $this->id_local;
  }

  /**
   * @return string
   */
  public function getIdPar(): ?string {
    return $this->id_par;
  }

  /**
   * @return string|null
   */
  public function getInvar(): ?string {
    return $this->invar;
  }

  /**
   * @return string|null
   */
  public function getLDteloc(): ?string {
    return $this->l_dteloc;
  }

  /**
   * @return string|null
   */
  public function getLCconlc(): ?string {
    return $this->l_cconlc;
  }

  /**
   * @return string|null
   */
  public function getLDnatlc(): ?string {
    return $this->l_dnatlc;
  }

  /**
   * @return string|null
   */
  public function getJdatat(): ?string {
    return $this->jdatat;
  }

  /**
   * @return string|null
   */
  public function getJannat(): ?string {
    return $this->jannat;
  }

  /**
   * @return string|null
   */
  public function getDdenom(): ?string {
    return $this->ddenom;
  }

  public function getParcelleBatiData(): array{
    return [
      'ID_BAT' => $this->id_local,
      'ID_PAR' => $this->id_par,
      'INVAR' => $this->invar,
      'L_DTELOC' => $this->l_dteloc,
      'L_CCONLC' => $this->l_cconlc,
      'L_DNATLC' => $this->l_dnatlc,
      'JDATAT' => $this->jdatat,
      'JANNAT' => $this->jannat,
      'DDENOM' => $this->ddenom,
    ];
  }
}
