<?php

namespace App\Module\Cadastre\WebService\Entity\FicheDescriptive\Parcelle;

use App\Module\Cadastre\WebService\Entity\FicheDescriptive\AbstractProprietaire;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\JoinColumn;
use Doctrine\ORM\Mapping\ManyToOne;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour v_vmap_maj_fiche_prc_prop_v2
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="v_vmap_maj_fiche_prc_prop_v2")
 */
class Proprietaire extends AbstractProprietaire {
  /**
   * @var array
   * @ManyToOne(targetEntity="App\Module\Cadastre\WebService\Entity\FicheDescriptive\Parcelle\Description", inversedBy="aProp")
   * @JoinColumn(name="id_par", referencedColumnName="id_par")
   */
  private $ParcelleDescription;

  /**
   * @var string
   * @Column(type="string", name="id_par")
   */
  private $id_par;

  /**
   * @var string|null
   * @Column(type="string", name="dnupro")
   */
  private $dnupro;

  /**
   * @var string|null
   * @Column(type="string", name="gdesip")
   */
  private $gdesip;

  /**
   * @return string
   */
  public function getIdPar(): string {
    return $this->id_par;
  }

  /**
   * @return string|null
   */
  public function getDnupro(): ?string {
    return $this->dnupro;
  }

  /**
   * @return string|null
   */
  public function getGdesip(): ?string {
    return $this->gdesip;
  }

  public function getParcellePropData(): array{
    return [
      'ID_PAR' => $this->id_par,
      'DQUALP' => $this->dqualp,
      'DNUPRO' => $this->dnupro,
      'DDENOM' => $this->ddenom,
      'JDATNSS' => $this->jdatnss,
      'DLDNSS' => $this->dldnss,
      'DLIGN3' => $this->dlign3,
      'DLIGN4' => $this->dlign4,
      'DLIGN6' => $this->dlign6,
      'L_CCODEM' => $this->l_ccodem,
      'L_CCODRO' => $this->l_ccodro,
      'GDESIP' => $this->gdesip,
    ];
  }
}
