<?php

namespace App\Module\Cadastre\WebService\Entity\FicheDescriptive\Parcelle;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\JoinColumn;
use Doctrine\ORM\Mapping\ManyToOne;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour v_vmap_maj_fiche_prc_suf_v2
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="v_vmap_maj_fiche_prc_suf_v2")
 */
class SubdivisionFiscale extends AbstractEntity {
  /**
   * @var array
   * @ManyToOne(targetEntity="App\Module\Cadastre\WebService\Entity\FicheDescriptive\Parcelle\Description", inversedBy="aSubFisc")
   * @JoinColumn(name="id_par", referencedColumnName="id_par")
   */
  private $ParcelleDescription;

  /**
   * @var string
   * @Column(type="string", name="id_suf")
   * @Id
   */
  private $id_suf;

  /**
   * @var string
   * @Column(type="string", name="id_par")
   */
  private $id_par;

  /**
   * @var string
   * @Column(type="string", name="ccosub")
   */
  private $ccosub;

  /**
   * @var string
   * @Column(type="string", name="dsgrpf")
   */
  private $dsgrpf;

  /**
   * @var string
   * @Column(type="string", name="cnatsp")
   */
  private $cnatsp;

  /**
   * @var string
   * @Column(type="string", name="l_dsgrpf")
   */
  private $l_dsgrpf;

  /**
   * @var string
   * @Column(type="string", name="dclssf")
   */
  private $dclssf;

  /**
   * @var string
   * @Column(type="string", name="dcntsf")
   */
  private $dcntsf;

  /**
   * @var integer
   * @Column(type="integer", name="drcsuba")
   */
  private $drcsuba;

  /**
   * @var integer
   * @Column(type="integer", name="drcsub")
   */
  private $drcsub;

  /**
   * @return string
   */
  public function getIdSuf(): string {
    return $this->id_suf;
  }
  /**
   * @return string
   */
  public function getIdPar(): string {
    return $this->id_par;
  }

  /**
   * @return string
   */
  public function getCcosub(): string {
    return $this->ccosub;
  }

  /**
   * @return string
   */
  public function getDsgrpf(): string {
    return $this->dsgrpf;
  }

  /**
   * @return string
   */
  public function getCnatsp(): string {
    return $this->cnatsp;
  }

  /**
   * @return string
   */
  public function getLDsgrpf(): string {
    return $this->l_dsgrpf;
  }

  /**
   * @return string
   */
  public function getDclssf(): string {
    return $this->dclssf;
  }

  /**
   * @return string
   */
  public function getDcntsf(): string {
    return $this->dcntsf;
  }

  /**
   * @return integer
   */
  public function getDrcsuba(): int {
    return $this->drcsuba;
  }

  /**
   * @return integer
   */
  public function getDrcsub(): int {
    return $this->drcsub;
  }

  public function getParcelleSubFiscData(): array{
    return [
      'ID_PAR' => $this->id_par,
      'CCOSUB' => $this->ccosub,
      'DSGRPF' => $this->dsgrpf,
      'CNATSP' => $this->cnatsp,
      'L_DSGRPF' => $this->l_dsgrpf,
      'DCLSSF' => $this->dclssf,
      'DCNTSF' => $this->dcntsf,
      'DRCSUBA' => $this->drcsuba,
      'DRCSUB' => $this->drcsub,
    ];
  }
}
