<?php

namespace App\Module\Cadastre\WebService\Entity;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour la vue "cadastre_views.invariant" dans les properties.
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="@prop(cadastre_views:invariant)")
 */
class Invariant extends AbstractEntity {
  /**
   * @var string
   * @Column(type="string", name="id_local")
   * @Id
   */
  private $id_local;

  /**
   * @var string
   * @Column(type="string", name="id_com")
   */
  private $id_com;

  /**
   * @var string
   * @Column(type="string", name="invar")
   */
  private $invar;

  /**
   * @var string
   * @Column(type="string", name="dnupro")
   */
  private $dnupro;

  /**
   * @var string
   * @Column(type="string", name="id_par")
   */
  private $id_par;

  /**
   * @var string
   * @Column(type="string", name="ccosec")
   */
  private $ccosec;

  /**
   * @var integer
   * @Column(type="integer", name="dnupla")
   */
  private $dnupla;

  /**
   * @return string
   */
  public function getIdLocal(): string {
    return $this->id_local;
  }

  /**
   * @return string
   */
  public function getIdCom(): string {
    return $this->id_com;
  }

  /**
   * @return string
   */
  public function getInvar(): string {
    return $this->invar;
  }

  /**
   * @return string
   */
  public function getDnupro(): string {
    return $this->dnupro;
  }

  /**
   * @return string
   */
  public function getIdPar(): string {
    return $this->id_par;
  }

  /**
   * @return string
   */
  public function getCcosec(): string {
    return $this->ccosec;
  }

  /**
   * @return integer
   */
  public function getDnupla(): int {
    return $this->dnupla;
  }

}
