<?php

namespace App\Module\Cadastre\WebService\Entity;

use App\Module\Vitis\WebService\Entity\AbstractGeomEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour la vue "cadastre_views.lieu_dit" dans les properties.
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Cadastre\WebService\Repository\GeometryRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_cadastre)",name="@prop(cadastre_views:lieu_dit)")
 */
class LieuDit extends AbstractGeomEntity {
  /**
   * @var integer
   * @Column(type="integer", name="id")
   * @Id
   */
  private $id;

  /**
   * @var string
   * @Column(type="string", name="id_com")
   */
  private $id_com;

  /**
   * @var string
   * @Column(type="string", name="section")
   */
  private $section;

  /**
   * @var string
   * @Column(type="string", name="pre")
   */
  private $pre;

  /**
   * @var string
   * @Column(type="string", name="texte")
   */
  private $texte;

  /**
   * @var integer
   * @Column(type="integer", name="oid")
   */
  private $oid;

  /**
   * @var string
   * @Column(type="geometry", name="geom")
   */
  private $geom;

  /**
   * @return integer
   */
  public function getId(): int {
    return $this->id;
  }

  /**
   * @return string
   */
  public function getIdCom(): string {
    return $this->id_com;
  }

  /**
   * @return string
   */
  public function getCodeCom(): string {
    return substr($this->id_com, 2, 3);
  }

  /**
   * @return string
   */
  public function getSection(): string {
    return $this->section;
  }

  /**
   * @return string
   */
  public function getPre(): string {
    return $this->pre;
  }

  /**
   * @return string
   */
  public function getTexte(): string {
    return $this->texte;
  }

  /**
   * @return integer
   */
  public function getOid(): int {
    return $this->oid;
  }

  /**
   * @return string geometry ewkt 2154
   */
  public function getGeom(): string {
    return $this->getReprojectedGeomForAPI($this->geom);

  }
}
