<?php

namespace App\Module\Cadastre\WebService\Entity\Majic;

use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour majic_commune
 *
 * @author Léo Navarro <leo.navarro@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Cadastre\WebService\Repository\MajicCommuneRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="@prop(cadastre_rp:rp_commune_annee_reference)")
 */
class Commune {
  /**
   * @var string
   * @Column(type="string", name="id_com")
   * @Id
   */
  private $id_com;

  /**
   * @var string|null
   * @Column(type="string", name="libcom")
   */
  private $libcom;

  /**
   * @var string|null
   * @Column(type="string", name="annee")
   */
  private $annee;

  /**
   * @var date|null
   * @Column(type="date", name="date_charg")
   */
  private $date_charg;

  /**
   * @return string
   * Cette méthode permet de récupérer l'année
   */
  public function getAnnee(): string {
    return $this->annee;
  }
}
