<?php

namespace App\Module\Cadastre\WebService\Entity\Majic;

use App\Module\Cadastre\WebService\Repository\HabitDescrRepository;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 * Objet ORM pour s_majic.bati_40_descr_hab
 * Cette entité permet de sélectionner les attributs nécessaires afin de traiter la partie Description Habitation.
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Cadastre\WebService\Repository\HabitDescrRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="@prop(cadastre_rp:rp_habit_descr)")
 */
class HabitDescr implements MajicInterface {
  /**
   * @var string
   * @Column(type="string", name="id_pev")
   * @Id
   */
  private $id_pev;

  /**
   * @var string
   * @Column(type="string", name="dnudes")
   * @Id
   */
  private $dnudes;

  /**
   * @var string
   * @Column(type="string", name="dnupev")
   */
  private $dnupev;

  /**
   * @var string
   * @Column(type="string", name="invar")
   */
  private $invar;

  /**
   * @var string
   * @Column(type="string", name="cconad1")
   */
  private $cconad1;

  /**
   * @var string
   * @Column(type="string", name="cconad2")
   */
  private $cconad2;

  /**
   * @var string
   * @Column(type="string", name="cconad3")
   */
  private $cconad3;

  /**
   * @var string
   * @Column(type="string", name="cconad4")
   */
  private $cconad4;

  /**
   * @var integer
   * @Column(type="integer", name="dsueic1")
   */
  private $dsueic1;

  /**
   * @var integer
   * @Column(type="integer", name="dsueic2")
   */
  private $dsueic2;

  /**
   * @var integer
   * @Column(type="integer", name="dsueic3")
   */
  private $dsueic3;

  /**
   * @var integer
   * @Column(type="integer", name="dsueic4")
   */
  private $dsueic4;

  /**
   * @var string
   * @Column(type="string", name="geaulc")
   */
  private $geaulc;

  /**
   * @var string
   * @Column(type="string", name="gelelc")
   */
  private $gelelc;

  /**
   * @var string
   * @Column(type="string", name="gesclc")
   */
  private $gesclc;

  /**
   * @var string
   * @Column(type="string", name="ggazlc")
   */
  private $ggazlc;

  /**
   * @var string
   * @Column(type="string", name="gasclc")
   */
  private $gasclc;

  /**
   * @var string
   * @Column(type="string", name="gchclc")
   */
  private $gchclc;

  /**
   * @var string
   * @Column(type="string", name="gvorlc")
   */
  private $gvorlc;

  /**
   * @var string
   * @Column(type="string", name="gteglc")
   */
  private $gteglc;

  /**
   * @var string
   * @Column(type="string", name="dnbbai")
   */
  private $dnbbai;

  /**
   * @var string
   * @Column(type="string", name="dnbdou")
   */
  private $dnbdou;

  /**
   * @var string
   * @Column(type="string", name="dnblav")
   */
  private $dnblav;

  /**
   * @var string
   * @Column(type="string", name="dnbwc")
   */
  private $dnbwc;

  /**
   * @var string
   * @Column(type="string", name="dnbppr")
   */
  private $dnbppr;

  /**
   * @var string
   * @Column(type="string", name="dnbsam")
   */
  private $dnbsam;

  /**
   * @var string
   * @Column(type="string", name="dnbcha")
   */
  private $dnbcha;

  /**
   * @var string
   * @Column(type="string", name="dnbcu8")
   */
  private $dnbcu8;

  /**
   * @var string
   * @Column(type="string", name="dnbcu9")
   */
  private $dnbcu9;

  /**
   * @var string
   * @Column(type="string", name="dnbsea")
   */
  private $dnbsea;

  /**
   * @var string
   * @Column(type="string", name="dnbann")
   */
  private $dnbann;

  /**
   * @var string
   * @Column(type="string", name="dnbpdc")
   */
  private $dnbpdc;

  /**
   * @var string
   * @Column(type="string", name="dsupdc")
   */
  private $dsupdc;

  /**
   * @var string
   * @Column(type="string", name="dmagtm")
   */
  private $dmagtm;

  /**
   * @var string
   * @Column(type="string", name="dmatto")
   */
  private $dmatto;

  /**
   * @var string
   * @Column(type="string", name="jannat")
   */
  private $jannat;

  /**
   * @var string
   * @Column(type="string", name="detent")
   */
  private $detent;

  /**
   * @var string
   * @Column(type="string", name="dnbniv")
   */
  private $dnbniv;
  /**
   * @var string
   * @Column(type="string", name="l_dmatgm")
   */
  private $l_dmatgm;
  /**
   * @var string
   * @Column(type="string", name="l_dmatto")
   */
  private $l_dmatto;
  /**
   * @var string
   * @Column(type="string", name="l_detent")
   */
  private $l_detent;

  /**
   * @return string
   */
  public function getIdPev(): string {
    return $this->id_pev;
  }
  /**
   * @return string
   */
  public function getDnudes(): string {
    return $this->dnudes;
  }

  /**
   * @return string|null
   */
  public function getGarage(): ?string {
    return ($this->cconad1 == 'GA') ? 'Garage(s)' : null;
  }

  /**
   * @return string|null
   */
  public function getCave(): ?string {
    return ($this->cconad2 == 'CV') ? 'Cave(s)' : null;
  }

  /**
   * @return string|null
   */
  public function getGrenier(): ?string {
    return ($this->cconad3 == 'GR') ? 'Greniers(s)' : null;
  }

  /**
   * @return string|null
   */
  public function getTerrasse(): ?string {
    return ($this->cconad4 == 'TR') ? 'Terrasse(s)' : null;
  }

  /**
   * @return string|null
   */
  public function getEau(): ?string {
    return ($this->geaulc == 'O') ? 'EAU' : null;
  }

  /**
   * @return string|null
   */
  public function getElect(): ?string {
    return ($this->gelelc == 'O') ? 'ELECT' : null;
  }

  /**
   * @return string|null
   */
  public function getEsc(): ?string {
    return ($this->gesclc == 'O') ? 'ESC_SERV' : null;
  }

  /**
   * @return string|null
   */
  public function getGaz(): ?string {
    return ($this->ggazlc == 'O') ? 'GAZ' : null;
  }

  /**
   * @return string|null
   */
  public function getAsc(): ?string {
    return ($this->gasclc == 'O') ? 'ASC' : null;
  }

  /**
   * @return string|null
   */
  public function getChauf(): ?string {
    return ($this->gchclc == 'O') ? 'CHAUF' : null;
  }

  /**
   * @return string|null
   */
  public function getVide(): ?string {
    return ($this->gvorlc == 'O') ? 'VIDE_ORD' : null;
  }

  /**
   * @return string|null
   */
  public function getEgout(): ?string {
    return ($this->gteglc == 'O') ? 'EGOUT' : null;
  }

  /**
   * {@inheritDoc}
   * Cette méthode permet de construire un tableau correspondant à HabitDescr dans le relevé de propriété
   */
  public function getMajicData(): array{
    return [
      'num_invar' => $this->invar,
      'num_pev' => $this->dnupev,
      'garage' => $this->getGarage(),
      'suf_garage' => $this->dsueic1,
      'cave' => $this->getCave(),
      'suf_cave' => $this->dsueic2,
      'grenier' => $this->getGrenier(),
      'suf_grenier' => $this->dsueic3,
      'terrasse' => $this->getTerrasse(),
      'suf_terrasse' => $this->dsueic4,
      'nb_baignoires' => $this->dnbbai,
      'nb_douches' => $this->dnbdou,
      'nb_lavabos' => $this->dnblav,
      'nb_wc' => $this->dnbwc,
      'nb_piece_principal' => $this->dnbppr,
      'nb_sam' => $this->dnbsam,
      'nb_chambre' => $this->dnbcha,
      'nb_cuisine_m9' => $this->dnbcu8,
      'nb_cuisine_p9' => $this->dnbcu9,
      'nb_salle_eau' => $this->dnbsea,
      'nb_annexe' => $this->dnbann,
      'nb_piece_total' => $this->dnbpdc,
      'suf_piece_total' => $this->dsupdc,
      'mat_gros_mur' => $this->dmagtm,
      'lib_mat_gros_mur' => $this->l_dmatgm,
      'mat_toiture' => $this->dmatto,
      'lib_mat_toiture' => $this->l_dmatto,
      'annee_constr' => $this->jannat,
      'Etat' => $this->detent,
      'l_Etat' => $this->l_detent,
      'nb_niveaux' => $this->dnbniv,
      'eau' => $this->getEau(),
      'elect' => $this->getElect(),
      'esc_serv' => $this->getEsc(),
      'gaz' => $this->getGaz(),
      'asc' => $this->getAsc(),
      'chauf' => $this->getChauf(),
      'vide_ord' => $this->getVide(),
      'egout' => $this->getEgout(),
    ];
  }
}
