<?php

namespace App\Module\Cadastre\WebService\Entity\Majic;

use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour bati_50_descr_pro
 *  Cette entité permet de sélectionner les attributs nécessaires afin de traiter la partie Description Locaux Professionelle.
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="bati_50_descr_pro")
 */
class ProfDescr implements MajicInterface {
  /**
   * @var string
   * @Column(type="string", name="id_pev")
   * @Id
   */
  private $id_pev;

  /**
   * @var string
   * @Column(type="string", name="invar")
   */
  private $invar;

  /**
   * @var string
   * @Column(type="string", name="dnupev")
   */
  private $dnupev;

  /**
   * @var string
   * @Column(type="string", name="dnudes")
   */
  private $dnudes;

  /**
   * @var string
   * @Column(type="string", name="vsurzt")
   */
  private $vsurzt;

  /**
   * @return string
   */
  public function getIdPev(): string {
    return $this->id_pev;
  }

  /**
   * {@inheritDoc}
   * Cette méthode permet de construire un tableau correspondant à ProfDescr dans le relevé de propriété
   */
  public function getMajicData(): array{
    return [
      'num_invar' => $this->invar,
      'num_pev' => $this->dnupev,
      'num_prof' => $this->dnudes,
      'surface' => $this->vsurzt,
    ];
  }
}
