<?php

namespace App\Module\Cadastre\WebService\Entity;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour la vue "cadastre_views.proprietaire" dans les properties.
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="@prop(cadastre_views:proprietaire)")
 */
class Proprietaire extends AbstractEntity {
  /**
   * @var string
   * @Column(type="string", name="id_com")
   */
  private $id_com;

  /**
   * @var string
   * @Column(type="string", name="ddenom")
   */
  private $ddenom;

  /**
   * @var string
   * @Column(type="string", name="dnupro")
   */
  private $dnupro;

  /**
   * @var string
   * @Column(type="string", name="commune")
   */
  private $commune;

  /**
   * @var string
   * @Column(type="string", name="id")
   * @Id
   */
  private $id;

  /**
   * @return string
   */
  public function getId(): string {
    return $this->id;
  }

  /**
   * @return string
   */
  public function getIdCom(): string {
    return $this->id_com;
  }

  /**
   * @return string
   */
  public function getDdenom(): string {
    return $this->ddenom;
  }

  /**
   * @return string
   */
  public function getDnupro(): string {
    return $this->dnupro;
  }

  /**
   * @return string
   */
  public function getCommune(): string {
    return $this->commune;
  }
}
