<?php

namespace App\Module\Cadastre\WebService\Entity;

use App\Module\Vitis\WebService\Entity\AbstractGeomEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour la vue "cadastre_views.section" dans les properties.
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Cadastre\WebService\Repository\GeometryRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_cadastre)",name="@prop(cadastre_views:section)")
 */
class Section extends AbstractGeomEntity {
  /**
   * @var string
   * @Column(type="string", name="id_sec")
   * @Id
   */
  private $id_sec;

  /**
   * @var string
   * @Column(type="string", name="id_com")
   */
  private $id_com;

  /**
   * @var string
   * @Column(type="string", name="commune")
   */
  private $commune;

  /**
   * @var string
   * @Column(type="string", name="pre")
   */
  private $pre;

  /**
   * @var string
   * @Column(type="geometry", name="geom")
   */
  private $geom;

  /**
   * @var string
   * @Column(type="string", name="section")
   */
  private $section;

  /**
   * @return string
   */
  public function getIdSec(): string {
    return $this->id_sec;
  }

  /**
   * @return string
   */
  public function getIdCom(): string {
    return $this->id_com;
  }

  /**
   * @return string
   */
  public function getCommune(): string {
    return $this->commune;
  }

  /**
   * @return string
   */
  public function getPre(): string {
    return $this->pre;
  }

  /**
   * @return string geometry ewkt 2154
   */
  public function getGeom(): string {
    return $this->getReprojectedGeomForAPI($this->geom);
  }

  /**
   * @return string
   */
  public function getCodeCom(): string {
    return substr($this->id_com, 2, 3);
  }

  /**
   * @return string
   */
  public function getSection(): string {
    return $this->section;
  }

  /**
   * @return string
   */
  public function getSectionCode(): string {
    return str_replace('000', '', $this->pre) . str_replace('0', '', $this->section);
  }

  /**
   * @return string
   */
  public function getIdu(): string {
    return substr($this->id_sec, 2, 8);
  }

}
