<?php

namespace App\Module\Cadastre\WebService\Entity;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour la vue "cadastre_views.voie" dans les properties.
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="@prop(cadastre_views:voie)")
 */
class Voie extends AbstractEntity {
  /**
   * @var string
   * @Column(type="string", name="id_voie")
   * @Id
   */
  private $id_voie;

  /**
   * @var string
   * @Column(type="string", name="id_com", nullable=true)
   */
  private $id_com;

  /**
   * @var string
   * @Column(type="string", name="l_nature_voie", nullable=true)
   */
  private $l_nature_voie;

  /**
   * @var string
   * @Column(type="string", name="dvoilib")
   */
  private $dvoilib;

  /**
   * @return string
   */
  public function getIdVoie(): string {
    return $this->id_voie;
  }

  /**
   * @return string
   */
  public function getIdCom(): string {
    return $this->id_com;
  }

  /**
   * @return string|null
   */
  public function getLNatureVoie(): ?string {
    return $this->l_nature_voie;
  }

  /**
   * @return string
   */
  public function getDvoilib(): string {
    return $this->dvoilib;
  }
}
