<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Cadastre\WebService\Collection\BatiCollection;
use App\Module\Vitis\WebService\Repository\GenericRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;

class BatiRepository extends GenericRepository {
  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * @param string $sIdDnupro id_dnupro de CompteCommunal
   * @return BatiCollection|null
   * Cette méthode permet d'obtenir les bâtis en fonction de l'id_dnupro
   */
  public function findByIdDnupro($sIdDnupro): ?BatiCollection{
    $qb = $this->createQueryBuilder('a');
    $qb->where('a.b_iddnupro=:IdDnupro')
      ->orderBy('a.id_local')
      ->setParameter('IdDnupro', $sIdDnupro);
    return new BatiCollection($qb->getQuery()->getResult());
  }

  /**
   * @param string $sIdDnupro id_dnupro de CompteCommunalParcelle
   * @param string $sIdPar id_par de CompteCommunalParcelle
   * @return BatiCollection|null
   * Cette méthode permet d'obtenir les bâtis en fonction de l'id_dnupro et de l'id_par
   */
  public function findByIdDnuproIdPar($sIdDnupro, $sIdPar): ?BatiCollection{
    $qb = $this->createQueryBuilder('a');
    $qb->where('a.b_iddnupro=:IdDnupro AND a.id_par=:IdPar')
      ->setParameter('IdDnupro', $sIdDnupro)
      ->setParameter('IdPar', $sIdPar);
    return new BatiCollection($qb->getQuery()->getResult());
  }

  /**
   * @param string $sIdPar id_par de BatiParcelle
   * @return BatiCollection|null
   * Cette méthode permet d'obtenir les bâtis en fonction de l'id_par
   */
  public function findByIdPar($sIdPar): ?BatiCollection{
    $qb = $this->createQueryBuilder('a');
    $qb->where('a.id_par=:IdPar')
      ->setParameter('IdPar', $sIdPar);
    return new BatiCollection($qb->getQuery()->getResult());
  }
}
