<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Vitis\WebService\Repository\GenericRepository;
use App\Module\Cadastre\WebService\Collection\CompteCommunalParcelleCollection;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;

class CompteCommunalRepository extends GenericRepository {
  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * @param string $sIdDnupro id_dnupro de relevé de propriété
   * @param string $sIdPar id_par de relevé de propriété
   * @return array|null
   * Cette méthode permet d'obtenir le Compte communal parcelle en fonction de l'id_dnupro et de l'id_par
   */
  public function findByIdDnuproIdPar($sIdDnupro, $sIdPar): ?array{
    $qb = $this->createQueryBuilder('a');
    $qb->where('a.id_par=:IdPar')
      ->setParameter('IdDnupro', $sIdDnupro)
      ->setParameter('IdPar', $sIdPar);
    return $qb->getQuery()->getResult();
  }

  /**
   * @param array $aId liste des id_par de RapportCadastreParcelleController
   * @return CompteCommunalParcelleCollection
   * Cette méthode permet d'obtenir les comptes communaux par parcelle en fonction des id_par
   */
  public function findByIdParInRange(array $aId): CompteCommunalParcelleCollection {
    return new CompteCommunalParcelleCollection(parent::findByIdInRange($aId));
  }
}