<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Cadastre\WebService\Collection\ExonSufCollection;
use App\Module\Vitis\WebService\Repository\GenericRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;

class ExonSufRepository extends GenericRepository {
  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * @param string $sIdSuf id_suf de Suf
   * @return ExonSufCollection|null
   * Cette méthode permet d'obtenir les ExonSuf en fonction de l'id_Suf
   */
  public function findByIdSuf($sIdSuf): ?ExonSufCollection{
    $qb = $this->createQueryBuilder('a');
    $qb->where('a.id_suf=:IdSuf')
      ->setParameter('IdSuf', $sIdSuf);
    return new ExonSufCollection($qb->getQuery()->getResult());
  }
}
