<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Cadastre\WebService\Collection\MajicCollection;
use App\Module\Vitis\WebService\Repository\GenericRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;

class ExonePevRepository extends GenericRepository {
  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * @param string $sIdPev id_pev de PEV
   * @return MajicCollection|null
   * Cette méthode permet d'obtenir les Exone Pev en fonction de l'id_pev
   */
  public function findByIdPev($sIdPev): ?MajicCollection{
    $qb = $this->createQueryBuilder('a');
    $qb->where('a.id_pev=:IdPev')
      ->orderBy('a.id_ex')
      ->setParameter('IdPev', $sIdPev);
    return new MajicCollection($qb->getQuery()->getResult());
  }
}
