<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Vitis\WebService\Repository\GenericRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;

class FicheUrbanismeRepository extends GenericRepository {
  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * @param string $sIdPar id_par de FicheUrbanismeController
   * @return array|null
   * Cette méthode permet d'obtenir les fiches d'urbanisme en fonction de l'id_par
   */
  public function findByIdPar($sIdPar): ?array{
    $qb = $this->createQueryBuilder('a');
    $qb->where('a.id_par=:IdPar')
      ->setParameter('IdPar', $sIdPar);
    return $qb->getQuery()->getResult();
  }
}
