<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Vitis\WebService\Repository\GenericRepository;
use App\Module\Vitis\WebService\Service\DataAccessor\CommonAccessorFunctions;

class GeometryRepository extends GenericRepository {
  /**
   * surcharge la recherche pour forcer le schema et la table
   *
   * @param  array                   $aParams
   * @param  CommonAccessorFunctions $oAccessorFunc
   * @param  string|null             $sSchema
   * @param  string|null             $sTable
   * @return array
   */
  public function search(array $aParams, CommonAccessorFunctions $oAccessorFunc, ?string $sSchema = null, ?string $sTable = null): array{
    $sSchema = $sSchema ?? $this->getClassMetadata()->getSchemaName();
    $sTable = $sTable ?? $this->getClassMetadata()->getTableName();

    return parent::search($aParams, $oAccessorFunc, $sSchema, $sTable);
  }

}
