<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Cadastre\WebService\Collection\LotLocalCollection;
use App\Module\Vitis\WebService\Repository\GenericRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;

class LotLocalRepository extends GenericRepository {
  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * @param string $sIdLocal id_local de Bati
   * @return LotLocalCollection|null
   * Cette méthode permet d'obtenir les bâtis en fonction de l'id_local
   */
  public function findByIdLocal($sIdLocal): ?LotLocalCollection{
    $qb = $this->createQueryBuilder('a');
    $qb->where('a.id_local=:IdLocal')
      ->orderBy('a.klot')
      ->setParameter('IdLocal', $sIdLocal);
    return new LotLocalCollection($qb->getQuery()->getResult());
  }
}
