<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Vitis\WebService\Repository\GenericRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;

class MajicCommuneRepository extends GenericRepository {
  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * @param string $sIdCom id_com de Commune
   * @return string
   * Cette méthode permet de récupérer l'année de référence d'une commune
   */
  public function getAnneeReference($sIdCom): string {
    $qb = $this->createQueryBuilder('a');
    $qb->where('a.id_com=:IdCom')
      ->setParameter('IdCom', $sIdCom)
      ->setMaxResults(1);
      return $qb->getQuery()->getSingleResult()->getAnnee();
  }
}
