<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Cadastre\WebService\Collection\ProprietaireCollection;
use App\Module\Vitis\WebService\Repository\GenericRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;

class ProprietaireRepository extends GenericRepository {
  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * @param string $sIdDnupro id_dnupro de AbstractSuf
   * @return ProprietaireCollection|null
   * Cette méthode permet d'obtenir les propriétaires en fonction de l'id_dnupro
   */
  public function findByIdDnupro($sIdDnupro): ?ProprietaireCollection{
    $qb = $this->createQueryBuilder('a');
    $qb->distinct(true)
      ->where('a.id_dnupro=:IdDnupro')
      ->orderBy('a.id_pro')
      ->setParameter('IdDnupro', $sIdDnupro);
    return new ProprietaireCollection($qb->getQuery()->getResult());
  }
}
