<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Vitis\WebService\Repository\GenericRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;

class SufRepository extends GenericRepository {
  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * @param string $sIdPar id_par de parcelle
   * @param string $sIdDnupro id_dnupro du compte communal
   * @param string $sDnupro substr de l'id_dnupro du compte communal
   * @return array|null
   * Cette méthode permet d'obtenir les id_suf et id_sufBnd en fonction de l'id_par
   */
  public function findByIdPar($sIdPar, $sIdDnupro, $sDnupro): ?array{
    $qb = $this->getEntityManager()->getConnection()->createQueryBuilder();
    $qb->select('b.id_suf, b.dnupro')
      ->from('s_majic.nb_10_parcelle', 'a')
      ->rightJoin('a', 's_majic.nb_21_suf_descr', 'b', 'a.id_par = b.id_par')
      ->where('(a.dnupro=:sDnupro OR b.dnupro=:sDnupro) AND b.id_par=:sIdPar AND (a.id_dnupro=:sIdDnupro OR b.dnupro=:sDnupro)')
      ->setParameter('sDnupro', $sDnupro, 'string')
      ->setParameter('sIdPar', $sIdPar, 'string')
      ->setParameter('sIdDnupro', $sIdDnupro, 'string');
    try {
      $result = $qb->execute()->fetchAllAssociative();
    } catch (\Exception $e) {
      error_log('Suf : can\'t get Suf object : ' . $e->getMessage());
      $result = null;
    }
    return $result;
  }
}
