#!/usr/bin/env python3
# coding: utf-8

import shutil
import os

class Command:
  def __init__(self, **kwargs):
    self.settings = kwargs.get('settings')
    self.logging = kwargs.get('logging')
    self.env = kwargs.get('env')

  def execute(self):
    self.logging.info('vMap postinstall')

    self.logging.info('Copy Mapserver files')
    originPath = self.settings['INSTALL_PATH'] + '/_install/module_vmap/mapserver'
    destPath = self.settings['INSTALL_PATH'] + '/vas/var/mapserver'

    originDirs = next(os.walk(originPath))[1]
    for originDir in originDirs:
      if not os.path.isdir(destPath + '/' + originDir):
        shutil.copytree(originPath + '/' + originDir, destPath + '/' + originDir)

    self.logging.info('Edit Mapserver htaccess')
    template = self.env.get_template('module_vmap/.htaccess')
    htaccess_conf = template.render(self.settings)

    modules = self.settings['application']['modules']
    mapserver_path = ""

    for module in modules:
      if module['name'] == 'module_vmap':
        for ressource in module['ressources']:
          if ressource['name'] == 'mapserver':
            mapserver_path = ressource['path'][self.settings.getPlatform()]

    htaccess_conf_path = self.settings['INSTALL_PATH'] + '/' + mapserver_path + '/.htaccess'
    self.logging.info("Écrit \".htaccess\" dans : \"%s\"" % htaccess_conf_path)
    with open(htaccess_conf_path, 'w', encoding='utf-8') as htaccess_file:
      htaccess_file.write(htaccess_conf)
