import { Routes, RouterModule } from '@angular/router';
import { ModuleWithProviders } from '@angular/core';
import { CanDeactivateGuard } from 'src/app/vitis/core/services/deactivate/can-deactivate.guard';
import { AdminDatasourceComponent } from './admin-datasource.component';
import { AdminDatasourceFormComponent } from './components/admin-datasource-form/admin-datasource-form.component';
import { datasourceTreeviewPostgisForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPostgis.form';
import { datasourceTreeviewPgConnectionForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgConnection.form';
import { datasourceTreeviewPgDatabaseForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgDatabase.form';
import { datasourceTreeviewPgLayerListForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgLayerList.form';
import { datasourceTreeviewPgMaterializedViewListForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgMaterializedViewList.form';
import { datasourceTreeviewPgPublicationForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgPublication.form';
import { datasourceTreeviewPgPublicationListForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgPublicationList.form';
import { datasourceTreeviewPgSchemaForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgSchema.form';
import { datasourceTreeviewPgTableForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgTable.form';
import { datasourceTreeviewPgTableListForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgTableList.form';
import { datasourceTreeviewPgViewListForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgViewList.form';
import { datasourceTreeviewWMSForm } from './forms/DatasourceTreeviewWMS/DatasourceTreeviewWMS.form';
import { datasourceTreeviewWMSConnectionForm } from './forms/DatasourceTreeviewWMS/DatasourceTreeviewWMSConnection.form';
import { datasourceTreeviewWMTSConnectionForm } from './forms/DatasourceTreeviewWMTS/DatasourceTreeviewWMTSConnection.form';
import { DatasourceTreeviewWMTSConnectionFormJS } from './forms/DatasourceTreeviewWMTS/DatasourceTreeviewWMTSConnection.formjs';
import { AdminDatasourceDataGridComponent } from './components/admin-datasource-data-grid/admin-datasource-data-grid.component';
import { AdminDatasourceTabsComponent } from './components/admin-datasource-tabs/admin-datasource-tabs.component';
import { datasourceTreeviewPgTableMapForm } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgTableMap.form';
import { DatasourceTreeviewPgTableMapFormJS } from './forms/DatasourceTreeviewPg/DatasourceTreeviewPgTableMap.formjs';
import { datasourceTreeviewWMSConnectionGetCapabilitiesForm } from './forms/DatasourceTreeviewWMS/DatasourceTreeviewWMSConnectionGetCapabilities.form';
import { datasourceTreeviewWMSConnectionLayersForm } from './forms/DatasourceTreeviewWMS/DatasourceTreeviewWMSConnectionLayers.form';
import { DatasourceTreeviewWMSConnectionLayersFormJS } from './forms/DatasourceTreeviewWMS/DatasourceTreeviewWMSConnectionLayers.formjs';
import { DatasourceTreeviewWMSLayerMapFormJS } from './forms/DatasourceTreeviewWMS/DatasourceTreeviewWMSLayerMap.formjs';
import { datasourceTreeviewWMSLayerMapForm } from './forms/DatasourceTreeviewWMS/DatasourceTreeviewWMSLayerMap.form';
import { datasourceTreeviewWMTSForm } from './forms/DatasourceTreeviewWMTS/DatasourceTreeviewWMTS.form';
import { datasourceTreeviewWMTSConnectionGetCapabilitiesForm } from './forms/DatasourceTreeviewWMTS/DatasourceTreeviewWMTSConnectionGetCapabilities.form';
import { datasourceTreeviewWMTSConnectionLayersForm } from './forms/DatasourceTreeviewWMTS/DatasourceTreeviewWMTSConnectionLayers.form';
import { DatasourceTreeviewWMTSConnectionLayersFormJS } from './forms/DatasourceTreeviewWMTS/DatasourceTreeviewWMTSConnectionLayers.formjs';
import { datasourceTreeviewWMTSLayerMapForm } from './forms/DatasourceTreeviewWMTS/DatasourceTreeviewWMTSLayerMap.form';
import { DatasourceTreeviewWMTSLayerMapFormJS } from './forms/DatasourceTreeviewWMTS/DatasourceTreeviewWMTSLayerMap.formjs';
import { DatasourceTreeviewWMSConnectionFormJS } from './forms/DatasourceTreeviewWMS/DatasourceTreeviewWMSConnection.formjs';
import { datasourceTreeviewOSMForm } from './forms/DatasourceTreeviewOSM/DatasourceTreeviewOSM.form';
import { datasourceTreeviewOSMConnectionForm } from './forms/DatasourceTreeviewOSM/DatasourceTreeviewOSMConnection.form';
import { datasourceTreeviewXYZForm } from './forms/DatasourceTreeviewXYZ/DatasourceTreeviewXYZ.form';
import { datasourceTreeviewXYZConnectionForm } from './forms/DatasourceTreeviewXYZ/DatasourceTreeviewXYZConnection.form';
import { datasourceTreeviewVectortilesForm } from './forms/DatasourceTreeviewVectortiles/DatasourceTreeviewVectortiles.form';
import { datasourceTreeviewVectortilesConnectionForm } from './forms/DatasourceTreeviewVectortiles/DatasourceTreeviewVectortilesConnection.form';
import { datasourceTreeviewFilesForm } from './forms/DatasourceTreeviewFiles/DatasourceTreeviewFiles.form';
import { datasourceTreeviewFilesConnectionForm } from './forms/DatasourceTreeviewFiles/DatasourceTreeviewFilesConnection.form';
import { datasourceTreeviewFileForm } from './forms/DatasourceTreeviewFiles/DatasourceTreeviewFile.form';
import { datasourceTreeviewFilePublicationListForm } from './forms/DatasourceTreeviewFiles/DatasourceTreeviewFilePublicationList.form';
import { datasourceTreeviewXYZLayerMapForm } from './forms/DatasourceTreeviewXYZ/DatasourceTreeviewXYZLayerMap.form';
import { DatasourceTreeviewXYZLayerMapFormJS } from './forms/DatasourceTreeviewXYZ/DatasourceTreeviewXYZLayerMap.formjs';


export const routes: Routes = [
  {
    path: '',
    component: AdminDatasourceComponent,
    canDeactivate: [CanDeactivateGuard],
    children: [
      {
        path: 'postgis/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewPostgisForm
        }
      },
      {
        path: 'pgconnection/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewPgConnectionForm,
          ressource: 'vmap/datasources',
          id_field: 'datasource_id'
        }
      },
      {
        path: 'pgdatabase/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewPgDatabaseForm,
        }
      },
      {
        path: 'pgschema/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewPgSchemaForm,
        }
      },
      {
        path: 'pgtable',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_PG_TABLE_LIST_TABS_INFORMATION',
                active: ['display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewPgTableForm,
            }
          },
          {
            path: 'datas/:treeid',
            component: AdminDatasourceDataGridComponent,
            data: {
              parentButton: {
                url: 'datas',
                name: 'ADMIN_DATASOURCE_PG_TABLE_LIST_TABS_DATA',
                condition: '= {{iCountData}} > 0',
                params: [
                  'treeid'
                ]
              },
              get_url_func: 'getDataGridUrlAndParams'
            }
          },
          {
            path: 'map/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'map',
                name: 'ADMIN_DATASOURCE_PG_TABLE_LIST_TABS_MAPS',
                condition: '= {{isGeomTable}} == 1 && {{iCountData}} > 0',
                params: [
                  'formName',
                  'treeid'
                ]
              },
              formobject: DatasourceTreeviewPgTableMapFormJS,
              form: datasourceTreeviewPgTableMapForm,
              get_function: 'getTableDatas'
            }
          }
        ]
      },
      {
        path: 'pgtablelist/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewPgTableListForm,
        }
      },
      {
        path: 'pgviewlist/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewPgViewListForm,
        }
      },
      {
        path: 'pgmatviewlist/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewPgMaterializedViewListForm,
        }
      },
      {
        path: 'pglayerlist/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewPgLayerListForm,
        }
      },
      {
        path: 'pglayer',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_PG_LAYER_TABS_INFORMATION',
                active: ['insert', 'update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              formobject: 'modules/vmap/forms/layers/layer.js',
              form: 'modules/vmap/forms/layers/layerpg_simple.json',
              ressource: 'vmap/datasourcetreeview/pglayers',
              id_field: 'layer_id'
            }
          },
          {
            path: 'advanced/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'advanced',
                name: 'ADMIN_DATASOURCE_PG_LAYER_TABS_ADVANCED',
                active: ['update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              formobject: 'modules/vmap/forms/layers/layer.js',
              form: 'modules/vmap/forms/layers/layerpg_advanced.json',
              ressource: 'vmap/datasourcetreeview/pglayers',
              id_field: 'layer_id'
            }
          },
          {
            path: 'form/:formName/:treeid/:id',
            loadChildren: () => import('src/app/vitis/studio/studio.module').then(m => m.StudioModule),
            data: {
              parentButton: {
                url: 'form',
                name: 'ADMIN_DATASOURCE_PG_LAYER_TABS_FORM',
                active: ['update'],
                condition: '= {{isLocation}} == 1 || {{isMapSelection}} == 1 || {{isRequestorLayer}} == 1',
                params: [
                  'formName',
                  'treeid',
                  'layerId'
                ]
              },
              options: {
                ressource: 'vmap/datasourcetreeview/pglayers/:id/form/:form',
                ressource_result_attr: 'data.json_form',
                js_ressource_result_attr: 'data.js_form',
                available_form_names: ['insert', 'update', 'search', 'display', 'multi_update'],
                default_form_name: 'update',
                available_form_types: ['Published', 'Perso'],
                default_form_type: 'Perso',
                field_list_ressource: 'vmap/pglayers/:id/columns',
                field_list_ressource_result_attr: 'data',
                // Liste complete des types d'attr-form-fields affiché
                attr_form_fields_list: [
                  'radio', 'checkbox', 'button', 'map_bing', 'map_osm', 'map_vmap', 'date',
                  'datetime', 'upload', 'image_wsdata', 'hr', 'title', 'subtitle', 'label',
                  'list', 'select', 'double_select', 'integer', 'float', 'slider', 'text', 'textarea',
                  'email', 'password', 'linkurl', 'imageurl', 'angularurl', 'hidden', 'color_picker', 'tinymce', 'dessin',
                  'data_grid'
                ],
                attr_form_fields_specification: {
                  upload: {
                    multiple: true,
                    display_only: true,
                  },
                  data_grid: {
                    vmap_grid: true
                  }
                }
                // GTF
                // 'radio', 'map_bing', 'map_osm', 'map_vmap', 'date', 'datetime', 'upload', 'hr', 'title', 'label', 'list', 'select', 'integer', 'float', 'slider', 'text', 'textarea', 'email', 'password', 'url', 'hidden', 'color_picker'
              }
            }
          },
          {
            path: 'symbology/:formName/:treeid/:id',
            loadChildren: () => import('src/app/modules/vmap/layer-symbology/section-layer-symbology/section-layer-symbology.module').then(m => m.SectionLayerSymbologyModule),
            data: {
              parentButton: {
                url: 'symbology',
                name: 'ADMIN_DATASOURCE_PG_LAYER_TABS_SYMBOLOGY',
                active: ['update'],
                params: [
                  'formName',
                  'treeid',
                  'layerId',
                ]
              },
              options: {
                module_name: 'SectionLayerSymbologyModule',
                ressource: 'vmap/layers',
                ressourceTest: 'vmap/datasourcetreeview/pglayers',
                id_field: 'layer_id',
                update: true,
                insert: true,
                delete: true,
              }
            }
          },
        ]
      },
      {
        path: 'pgpublicationlist/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewPgPublicationListForm,
        }
      },
      {
        path: 'pgpublication',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_PG_PUBLICATION_TABS_INFORMATION',
                active: ['insert', 'update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: 'modules/vmap/forms/publications/publicationpostgres_simple.json',
              ressource: 'vmap/datasourcetreeview/pgpublications',
              id_field: 'publication_id'
            }
          },
          {
            path: 'advanced/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'advanced',
                name: 'ADMIN_DATASOURCE_PG_PUBLICATION_TABS_ADVANCED',
                active: ['update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: 'modules/vmap/forms/publications/publicationpostgres_advanced.json',
              ressource: 'vmap/datasourcetreeview/pgpublications',
              id_field: 'publication_id'
            }
          },
          {
            path: 'symbology/:formName/:treeid/:id',
            loadChildren: () => import('src/app/modules/vmap/layer-symbology/section-layer-symbology/section-layer-symbology.module').then(m => m.SectionLayerSymbologyModule),
            data: {
              parentButton: {
                url: 'symbology',
                name: 'ADMIN_DATASOURCE_PG_PUBLICATION_TABS_SYMBOLOGY',
                active: ['update'],
                params: [
                  'formName',
                  'treeid',
                  'publicationId',
                ]
              },
              options: {
                module_name: 'SectionLayerSymbologyModule',
                ressource: 'vmap/publications',
                ressourceTest: 'vmap/datasourcetreeview/pgpublications',
                id_field: 'publication_id',
                update: true,
                insert: true,
                delete: true,
              }
            }
          }
        ]
      },
      {
        path: 'filepublicationlist/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewFilePublicationListForm,
        }
      },
      {
        path: 'filepublication',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_PG_PUBLICATION_TABS_INFORMATION',
                active: ['insert', 'update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: 'modules/vmap/forms/publications/publicationfile_simple.json',
              ressource: 'vmap/datasourcetreeview/filepublications',
              id_field: 'publication_id'
            }
          },
          {
            path: 'advanced/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'advanced',
                name: 'ADMIN_DATASOURCE_PG_PUBLICATION_TABS_ADVANCED',
                active: ['update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: 'modules/vmap/forms/publications/publicationfile_advanced.json',
              ressource: 'vmap/datasourcetreeview/filepublications',
              id_field: 'publication_id'
            }
          },
          {
            path: 'symbology/:formName/:treeid/:id',
            loadChildren: () => import('src/app/modules/vmap/layer-symbology/section-layer-symbology/section-layer-symbology.module').then(m => m.SectionLayerSymbologyModule),
            data: {
              parentButton: {
                url: 'symbology',
                name: 'ADMIN_DATASOURCE_PG_PUBLICATION_TABS_SYMBOLOGY',
                active: ['update'],
                params: [
                  'formName',
                  'treeid',
                  'publicationId',
                ]
              },
              options: {
                module_name: 'SectionLayerSymbologyModule',
                ressource: 'vmap/publications',
                ressourceTest: 'vmap/datasourcetreeview/pgpublications',
                id_field: 'publication_id',
                update: true,
                insert: true,
                delete: true,
              }
            }
          }
        ]
      },
      {
        path: 'osm/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewOSMForm,
        }
      },
      {
        path: 'osmconnection',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_OSM_CONNECTION_TABS_INFORMATION',
                active: ['display', 'update', 'insert'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewOSMConnectionForm,
              ressource: 'vmap/datasources',
              id_field: 'datasource_id'
            }
          },
        ]
      },
      {
        path: 'osmlayer',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_OSM_LAYER_TABS_INFORMATION',
                active: ['insert', 'update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              formobject: 'modules/vmap/forms/layers/layer.js',
              form: 'modules/vmap/forms/layers/layerosm.json',
              ressource: 'vmap/datasourcetreeview/osmlayers',
              id_field: 'layer_id'
            }
          }
        ]
      },
      {
        path: 'wms/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewWMSForm,
        }
      },
      {
        path: 'wmsconnection',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_WMS_CONNECTION_TABS_INFORMATION',
                active: ['display', 'update', 'insert'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewWMSConnectionForm,
              formobject: DatasourceTreeviewWMSConnectionFormJS,
              ressource: 'vmap/datasources',
              id_field: 'datasource_id'
            }
          },
          {
            path: 'layers/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'layers',
                name: 'ADMIN_DATASOURCE_WMS_CONNECTION_TABS_LAYERS',
                active: ['display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewWMSConnectionLayersForm,
              formobject: DatasourceTreeviewWMSConnectionLayersFormJS,
              get_function: 'beforeInitForm'
            }
          },
          {
            path: 'capabilities/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'capabilities',
                name: 'ADMIN_DATASOURCE_WMS_CONNECTION_TABS_CAPABILITIES',
                active: ['display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewWMSConnectionGetCapabilitiesForm,
              get_function: 'getCapabilitiesWMS'
            }
          }
        ]
      },
      {
        path: 'wmslayer',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_WMS_LAYER_TABS_INFORMATION',
                active: ['insert', 'update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              formobject: 'modules/vmap/forms/layers/layer.js',
              form: 'modules/vmap/forms/layers/layerwms.json',
              ressource: 'vmap/datasourcetreeview/wmslayers',
              id_field: 'layer_id'
            }
          },
          {
            path: 'map/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'map',
                name: 'ADMIN_DATASOURCE_WMS_LAYER_TABS_MAP',
                active: ['update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewWMSLayerMapForm,
              formobject: DatasourceTreeviewWMSLayerMapFormJS
            }
          }
        ]
      },
      {
        path: 'wmts/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewWMTSForm,
        }
      },
      {
        path: 'wmtsconnection',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_WMTS_CONNECTION_TABS_INFORMATION',
                active: ['display', 'update', 'insert'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewWMTSConnectionForm,
              formobject: DatasourceTreeviewWMTSConnectionFormJS,
              ressource: 'vmap/datasources',
              id_field: 'datasource_id'
            }
          },
          {
            path: 'layers/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'layers',
                name: 'ADMIN_DATASOURCE_WMTS_CONNECTION_TABS_LAYERS',
                active: ['display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewWMTSConnectionLayersForm,
              formobject: DatasourceTreeviewWMTSConnectionLayersFormJS,
              get_function: 'beforeInitForm'
            }
          },
          {
            path: 'capabilities/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'capabilities',
                name: 'ADMIN_DATASOURCE_WMTS_CONNECTION_TABS_CAPABILITIES',
                active: ['display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewWMTSConnectionGetCapabilitiesForm,
              get_function: 'getCapabilitiesWMTS'
            }
          }
        ]
      },
      {
        path: 'wmtslayer',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_WMTS_LAYER_TABS_INFORMATION',
                active: ['insert', 'update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              formobject: 'modules/vmap/forms/layers/layer.js',
              form: 'modules/vmap/forms/layers/layerwmts.json',
              ressource: 'vmap/datasourcetreeview/wmtslayers',
              id_field: 'layer_id'
            }
          },
          {
            path: 'map/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'map',
                name: 'ADMIN_DATASOURCE_WMTS_LAYER_TABS_MAP',
                active: ['update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewWMTSLayerMapForm,
              formobject: DatasourceTreeviewWMTSLayerMapFormJS
            }
          }
        ]
      },
      {
        path: 'xyz/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewXYZForm,
        }
      },
      {
        path: 'xyzconnection',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_XYZ_CONNECTION_TABS_INFORMATION',
                active: ['display', 'update', 'insert'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewXYZConnectionForm,
              ressource: 'vmap/datasources',
              id_field: 'datasource_id'
            }
          },
        ]
      },
      {
        path: 'xyzlayer',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_XYZ_LAYER_TABS_INFORMATION',
                active: ['insert', 'update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              formobject: 'modules/vmap/forms/layers/layer.js',
              form: 'modules/vmap/forms/layers/layerxyz.json',
              ressource: 'vmap/datasourcetreeview/xyzlayers',
              id_field: 'layer_id'
            }
          },
          {
            path: 'map/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'map',
                name: 'ADMIN_DATASOURCE_XYZ_LAYER_TABS_MAP',
                active: ['update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewXYZLayerMapForm,
              formobject: DatasourceTreeviewXYZLayerMapFormJS
            }
          }
        ]
      },
      {
        path: 'vectortiles/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewVectortilesForm,
        }
      },
      {
        path: 'vectortilesconnection',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_VECTORTILES_CONNECTION_TABS_INFORMATION',
                active: ['display', 'update', 'insert'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewVectortilesConnectionForm,
              ressource: 'vmap/datasources',
              id_field: 'datasource_id'
            }
          },
        ]
      },
      {
        path: 'vectortileslayer',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_VECTORTILES_LAYER_TABS_INFORMATION',
                active: ['insert', 'update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              formobject: 'modules/vmap/forms/layers/layer.js',
              form: 'modules/vmap/forms/layers/layervectortiles.json',
              ressource: 'vmap/datasourcetreeview/vectortileslayers',
              id_field: 'layer_id'
            }
          }
        ]
      },
      {
        path: 'files/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewFilesForm,
        }
      },
      {
        path: 'filesconnection',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_FILES_CONNECTION_TABS_INFORMATION',
                active: ['display', 'update', 'insert'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              form: datasourceTreeviewFilesConnectionForm,
              ressource: 'vmap/datasources',
              id_field: 'datasource_id'
            }
          },
        ]
      },
      {
        path: 'file/:formName/:treeid',
        component: AdminDatasourceFormComponent,
        data: {
          form: datasourceTreeviewFileForm,
        }
      },
      {
        path: 'filelayer',
        component: AdminDatasourceTabsComponent,
        children: [
          {
            path: 'info/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'info',
                name: 'ADMIN_DATASOURCE_PG_LAYER_TABS_INFORMATION',
                active: ['insert', 'update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              formobject: 'modules/vmap/forms/layers/layer.js',
              form: 'modules/vmap/forms/layers/layerfile_simple.json',
              ressource: 'vmap/datasourcetreeview/filelayers',
              id_field: 'layer_id'
            }
          },
          {
            path: 'advanced/:formName/:treeid',
            component: AdminDatasourceFormComponent,
            data: {
              parentButton: {
                url: 'advanced',
                name: 'ADMIN_DATASOURCE_PG_LAYER_TABS_ADVANCED',
                active: ['update', 'display'],
                params: [
                  'formName',
                  'treeid'
                ]
              },
              formobject: 'modules/vmap/forms/layers/layer.js',
              form: 'modules/vmap/forms/layers/layerfile_advanced.json',
              ressource: 'vmap/datasourcetreeview/filelayers',
              id_field: 'layer_id'
            }
          },
          {
            path: 'symbologyraster/:formName/:treeid/:id',
            loadChildren: () => import('src/app/modules/vmap/layer-symbology/section-layer-symbology/section-layer-symbology.module').then(m => m.SectionLayerSymbologyModule),
            data: {
              parentButton: {
                url: 'symbologyraster',
                name: 'ADMIN_DATASOURCE_FILE_LAYER_TABS_RASTER_SYMBOLOGY',
                active: ['update'],
                params: [
                  'formName',
                  'treeid',
                  'layer_id',
                ]
              },
              options: {
                module_name: 'SectionLayerSymbologyModule',
                ressource: 'vmap/layers',
                ressourceTest: 'vmap/datasourcetreeview/pglayers',
                id_field: 'layer_id',
                update: true,
                insert: true,
                delete: true,
              }
            }
          },
        ]
      },
    ]
  },
];

export const routing: ModuleWithProviders<any> = RouterModule.forChild(routes);
