export const datasourceTreeviewPgTableForm = {
  'display': {
    'name': 'custom-form',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_PG_TABLE_TITLE',
            'nb_cols': 12,
            'class': 'h1',
            'dynamic_visible': '= {{parentType}} == "table"'
          },
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_PG_VIEW_TITLE',
            'nb_cols': 12,
            'class': 'h1',
            'dynamic_visible': '= {{parentType}} == "view"'
          },
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_PG_MATERIALIZED_VIEW_TITLE',
            'nb_cols': 12,
            'class': 'h1',
            'dynamic_visible': '= {{parentType}} == "matview"'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'parentType',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'name',
            'label': 'DATASOURCE_FORM_NAME',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'count_data',
            'label': 'DATASOURCE_FORM_PG_TABLE_VIEW_MVIEW_COUNT',
            'nb_cols': 12,
            'dynamic_visible': '= {{parentType}} !== "view"'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'isGeomTable',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'srid',
            'label': 'DATASOURCE_FORM_PG_TABLE_VIEW_MVIEW_SRID',
            'nb_cols': 12,
            'dynamic_visible': '= {{isGeomTable}}'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'geom_type',
            'label': 'DATASOURCE_FORM_PG_TABLE_VIEW_MVIEW_GEOM_TYPE',
            'nb_cols': 12,
            'dynamic_visible': '= {{isGeomTable}}'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'geom_column_finded',
            'label': 'DATASOURCE_FORM_PG_TABLE_VIEW_MVIEW_GEOM_COLUMN_FINDED',
            'nb_cols': 12,
            'dynamic_visible': '= {{isGeomTable}}'
          }
        ]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'title',
            'parentType',
            'name',
            'count_data',
            'isGeomTable',
            'srid',
            'geom_type',
            'geom_column_finded'
          ]
        }
      ]
    }
  },
  'insert': {
    'name': 'custom-form',
    'title': 'Postgres table',
    'event': 'sendForm()',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': []
        }
      ]
    }
  },
  'update': {
    'name': 'custom-form',
    'title': 'Postgres table',
    'input_size': 'xxs',
    'nb_cols': 12,
    'event': 'sendForm()',
    'javascript': false,
    'rows': [],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
          ]
        }
      ]
    }
  }
};
