export const datasourceTreeviewVectortilesConnectionForm = {
  'display': {
    'name': 'custom-form',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_VECTORTILES_CONNECTION_TITLE',
            'nb_cols': 12,
            'class': 'h1'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'name',
            'label': 'DATASOURCE_FORM_NAME',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'description',
            'label': 'DATASOURCE_FORM_DESCRIPTION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'monaco-editor',
            'name': 'headers',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_HEADERS',
            'nb_cols': 12,
            'height': 200,
            'options': {
              'theme': 'vs',
              'language': 'json',
              'fontFamily': 'Arial',
              'fontSize': 13,
              'wordWrap': 'wordWrapColumn',
              'readOnly': true
            }
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'flux_login',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_LOGIN',
            'nb_cols': 12
          }
        ]
      }
    ],
    'tabs': {
      'type': 'container',
      'list': [
        {
          'label': 'FORM_GENERAL_SECTION',
          'elements': [
            'title',
            'name',
            'description'
          ]
        },
        {
          'label': 'FORM_GENERAL_SECTION_ADVANCED',
          'elements': [
            'headers',
            'flux_login'
          ]
        }
      ]
    }
  },
  'insert': {
    'name': 'custom-form',
    'title': 'Vectortiles connexion',
    'event': 'sendForm()',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_INSERT_VECTORTILES_CONNECTION_TITLE',
            'nb_cols': 12,
            'class': 'h1'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'name',
            'label': 'DATASOURCE_FORM_NAME',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'textarea',
            'name': 'description',
            'label': 'DATASOURCE_FORM_DESCRIPTION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'datasourcetype_id',
            'default_value': 8,
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'monaco-editor',
            'name': 'headers',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_HEADERS',
            'nb_cols': 12,
            'height': 200,
            'options': {
              'theme': 'vs',
              'language': 'json',
              'fontFamily': 'Arial',
              'fontSize': 13,
              'wordWrap': 'wordWrapColumn',
              'readOnly': false
            },
            'tooltip': {
              'title': '',
              'content': 'DATASOURCE_FORM_CONNECTION_HEADERS_TOOLTIP',
              'container': 'body',
              'html': true
            },
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_login',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_LOGIN',
            'nb_cols': 12,
            'tooltip': {
              'title': '',
              'content': 'DATASOURCE_FORM_CONNECTION_HEADERS_TOOLTIP',
              'container': 'body',
              'html': true
            },
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'password',
            'name': 'flux_password',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_PASSWORD',
            'nb_cols': 12,
            'tooltip': {
              'title': '',
              'content': 'DATASOURCE_FORM_CONNECTION_HEADERS_TOOLTIP',
              'container': 'body',
              'html': true
            },
          }
        ]
      },
      {
        'fields': [{
          'type': 'button',
          'class': 'btn-ungroup btn-group-sm',
          'nb_cols': 10,
          'buttons': [
            {
              'type': 'submit',
              'name': 'form_submit',
              'label': 'FORM_CREATE',
              'id': 'form_submit_WMS_connection',
              'class': 'btn-primary'
            },
            {
              'type': 'button',
              'name': 'return_list',
              'label': 'CONFIRM_CANCEL',
              'class': 'btn-default',
              'id': 'return_list_WMS_connection',
              'event': 'cancelForm()'
            }
          ],
        }]
      }
    ],
    'tabs': {
      'type': 'container',
      'list': [
        {
          'label': 'FORM_GENERAL_SECTION',
          'elements': [
            'title',
            'name',
            'description',
            'datasourcetype_id'
          ]
        },
        {
          'label': 'FORM_GENERAL_SECTION_ADVANCED',
          'elements': [
            'headers',
            'flux_login',
            'flux_password'
          ]
        },
        {
          'elements': [
            'return_list',
            'form_submit'
          ],
          'class': 'tabs-container-transparent'
        }
      ]
    }
  },
  'update': {
    'name': 'custom-form',
    'title': 'Vectortiles connexion',
    'input_size': 'xxs',
    'nb_cols': 12,
    'event': 'sendForm()',
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_UPDATE_VECTORTILES_CONNECTION_TITLE',
            'nb_cols': 12,
            'class': 'h1'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'datasource_id',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'name',
            'label': 'DATASOURCE_FORM_NAME',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'textarea',
            'name': 'description',
            'label': 'DATASOURCE_FORM_DESCRIPTION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'datasourcetype_id',
            'default_value': 8,
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'monaco-editor',
            'name': 'headers',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_HEADERS',
            'nb_cols': 12,
            'height': 200,
            'options': {
              'theme': 'vs',
              'language': 'json',
              'fontFamily': 'Arial',
              'fontSize': 13,
              'wordWrap': 'wordWrapColumn',
              'readOnly': false
            },
            'tooltip': {
              'title': '',
              'content': 'DATASOURCE_FORM_CONNECTION_HEADERS_TOOLTIP',
              'container': 'body',
              'html': true
            },
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_login',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_LOGIN',
            'nb_cols': 12,
            'tooltip': {
              'title': '',
              'content': 'DATASOURCE_FORM_CONNECTION_HEADERS_TOOLTIP',
              'container': 'body',
              'html': true
            },
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'password',
            'name': 'flux_password',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_PASSWORD',
            'nb_cols': 12,
            'tooltip': {
              'title': '',
              'content': 'DATASOURCE_FORM_CONNECTION_HEADERS_TOOLTIP',
              'container': 'body',
              'html': true
            },
          }
        ]
      },
      {
        'fields': [{
          'type': 'button',
          'class': 'btn-ungroup btn-group-sm',
          'nb_cols': 10,
          'buttons': [
            {
              'type': 'submit',
              'name': 'form_submit',
              'label': 'FORM_UPDATE',
              'class': 'btn-primary'
            },
            {
              'type': 'button',
              'name': 'return_list',
              'label': 'CONFIRM_CANCEL',
              'class': 'btn-default',
              'id': 'return_list_WMS_connection',
              'event': 'cancelForm()'
            }
          ],
        }]
      }
    ],
    'tabs': {
      'type': 'container',
      'list': [
        {
          'label': 'FORM_GENERAL_SECTION',
          'elements': [
            'title',
            'datasource_id',
            'name',
            'description',
            'datasourcetype_id'
          ]
        },
        {
          'label': 'FORM_GENERAL_SECTION_ADVANCED',
          'elements': [
            'headers',
            'flux_login',
            'flux_password'
          ]
        },
        {
          'elements': [
            'return_list',
            'form_submit'
          ],
          'class': 'tabs-container-transparent'
        }
      ]
    }
  }
};
