import { Component, OnInit, Input, OnChanges } from '@angular/core';

@Component({
  selector: 'app-vmap-cadastre-tools-invariant',
  templateUrl: './vmap-cadastre-tools-invariant.component.html',
  styleUrls: ['./vmap-cadastre-tools-invariant.component.scss']
})


export class VmapCadastreToolsInvariantComponent implements OnInit, OnChanges {

  @Input() public aInvariant: any;
  public isOpen = false;

  /**
   * Constructeur
   */
  constructor() { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

  /**
   * Appelé lorsqu'il y a des changements sur les input
   */
  ngOnChanges(): void {
    this.getDatas();
  }

  /**
 * Prépare la fiche invariant
 */
  private getDatas(): void {
    this.aInvariant['DESC'] ? this.aInvariant['DESC'] = parseFloat(this.aInvariant['DESC']) : this.aInvariant['DESC'] = null;
    this.aInvariant['DNIV'] ? this.aInvariant['DNIV'] = parseFloat(this.aInvariant['DNIV']) : this.aInvariant['DNIV'] = null;
    const day = this.aInvariant['JDATAT'].slice(0, 2);
    const month = this.aInvariant['JDATAT'].slice(2, 4);
    const year = this.aInvariant['JDATAT'].slice(4, 8);
    this.aInvariant['JDATAT'] ? this.aInvariant['JDATAT'] = day + '/' + month + '/' + year : this.aInvariant['JDATAT'] = this.aInvariant['JDATAT'];
    this.aInvariant['CCHPR'] === '*' ? this.aInvariant['CCHPR'] = 'Oui' : this.aInvariant['CCHPR'] = 'Non';
    this.aInvariant['DNBNIV'] ? this.aInvariant['DNBNIV'] = parseFloat(this.aInvariant['DNBNIV']) : this.aInvariant['DNBNIV'] = null;
    if (this.aInvariant['PEV']) {
      for (let i = 0; i < this.aInvariant['PEV'].length; i++) {
        this.aInvariant['PEV'][i]['DNUPEV'] ? this.aInvariant['PEV'][i]['DNUPEV'] = parseFloat(this.aInvariant['PEV'][i]['DNUPEV']) : this.aInvariant['PEV'][i]['DNUPEV'] = null;
      }
    }
    if (this.aInvariant['habitations']) {
      for (let i = 0; i < this.aInvariant['habitations'].length; i++) {
        this.aInvariant['habitations'][i]['DNUPEV'] ? this.aInvariant['habitations'][i]['DNUPEV'] = parseFloat(this.aInvariant['habitations'][i]['DNUPEV']) : this.aInvariant['habitations'][i]['DNUPEV'] = null;
        this.aInvariant['habitations'][i]['DNBBAI'] ? this.aInvariant['habitations'][i]['DNBBAI'] = parseFloat(this.aInvariant['habitations'][i]['DNBBAI']) : this.aInvariant['habitations'][i]['DNBBAI'] = null;
        this.aInvariant['habitations'][i]['DNBDOU'] ? this.aInvariant['habitations'][i]['DNBDOU'] = parseFloat(this.aInvariant['habitations'][i]['DNBDOU']) : this.aInvariant['habitations'][i]['DNBDOU'] = null;
        this.aInvariant['habitations'][i]['DNBLAV'] ? this.aInvariant['habitations'][i]['DNBLAV'] = parseFloat(this.aInvariant['habitations'][i]['DNBLAV']) : this.aInvariant['habitations'][i]['DNBLAV'] = null;
        this.aInvariant['habitations'][i]['DNBWC'] ? this.aInvariant['habitations'][i]['DNBWC'] = parseFloat(this.aInvariant['habitations'][i]['DNBWC']) : this.aInvariant['habitations'][i]['DNBWC'] = null;
        this.aInvariant['habitations'][i]['DSUPDC'] ? this.aInvariant['habitations'][i]['DSUPDC'] = parseFloat(this.aInvariant['habitations'][i]['DSUPDC']) : this.aInvariant['habitations'][i]['DSUPDC'] = null;
        this.aInvariant['habitations'][i]['DNBPDC'] ? this.aInvariant['habitations'][i]['DNBPDC'] = parseFloat(this.aInvariant['habitations'][i]['DNBPDC']) : this.aInvariant['habitations'][i]['DNBPDC'] = null;
        this.aInvariant['habitations'][i]['DNBPPR'] ? this.aInvariant['habitations'][i]['DNBPPR'] = parseFloat(this.aInvariant['habitations'][i]['DNBPPR']) : this.aInvariant['habitations'][i]['DNBPPR'] = null;
        this.aInvariant['habitations'][i]['DNBNIV'] ? this.aInvariant['habitations'][i]['DNBNIV'] = parseFloat(this.aInvariant['habitations'][i]['DNBNIV']) : this.aInvariant['habitations'][i]['DNBNIV'] = null;
        this.aInvariant['habitations'][i]['DNBSAM'] ? this.aInvariant['habitations'][i]['DNBSAM'] = parseFloat(this.aInvariant['habitations'][i]['DNBSAM']) : this.aInvariant['habitations'][i]['DNBSAM'] = null;
        this.aInvariant['habitations'][i]['DNBCHA'] ? this.aInvariant['habitations'][i]['DNBCHA'] = parseFloat(this.aInvariant['habitations'][i]['DNBCHA']) : this.aInvariant['habitations'][i]['DNBCHA'] = null;
        this.aInvariant['habitations'][i]['DNBCU8'] ? this.aInvariant['habitations'][i]['DNBCU8'] = parseFloat(this.aInvariant['habitations'][i]['DNBCU8']) : this.aInvariant['habitations'][i]['DNBCU8'] = null;
        this.aInvariant['habitations'][i]['DNBCU9'] ? this.aInvariant['habitations'][i]['DNBCU9'] = parseFloat(this.aInvariant['habitations'][i]['DNBCU9']) : this.aInvariant['habitations'][i]['DNBCU9'] = null;
        this.aInvariant['habitations'][i]['DNBSEA'] ? this.aInvariant['habitations'][i]['DNBSEA'] = parseFloat(this.aInvariant['habitations'][i]['DNBSEA']) : this.aInvariant['habitations'][i]['DNBSEA'] = null;
        this.aInvariant['habitations'][i]['DNBANN'] ? this.aInvariant['habitations'][i]['DNBANN'] = parseFloat(this.aInvariant['habitations'][i]['DNBANN']) : this.aInvariant['habitations'][i]['DNBANN'] = null;
      }
    }

    if (this.aInvariant['locauxPros']) {
      for (let i = 0; i < this.aInvariant['locauxPros'].length; i++) {
        this.aInvariant['locauxPros'][i]['DNUPEV'] ? this.aInvariant['locauxPros'][i]['DNUPEV'] = parseFloat(this.aInvariant['locauxPros'][i]['DNUPEV']) : this.aInvariant['locauxPros'][i]['DNUPEV'] = null;
        this.aInvariant['locauxPros'][i]['DSUPOT'] ? this.aInvariant['locauxPros'][i]['DSUPOT'] = parseFloat(this.aInvariant['locauxPros'][i]['DSUPOT']) : this.aInvariant['locauxPros'][i]['DSUPOT'] = null;
        this.aInvariant['locauxPros'][i]['DSUP1'] ? this.aInvariant['locauxPros'][i]['DSUP1'] = parseFloat(this.aInvariant['locauxPros'][i]['DSUP1']) : this.aInvariant['locauxPros'][i]['DSUP1'] = null;
        this.aInvariant['locauxPros'][i]['DSUP2'] ? this.aInvariant['locauxPros'][i]['DSUP2'] = parseFloat(this.aInvariant['locauxPros'][i]['DSUP2']) : this.aInvariant['locauxPros'][i]['DSUP2'] = null;
        this.aInvariant['locauxPros'][i]['DSUP3'] ? this.aInvariant['locauxPros'][i]['DSUP3'] = parseFloat(this.aInvariant['locauxPros'][i]['DSUP3']) : this.aInvariant['locauxPros'][i]['DSUP3'] = null;
        this.aInvariant['locauxPros'][i]['DSUPK1'] ? this.aInvariant['locauxPros'][i]['DSUPK1'] = parseFloat(this.aInvariant['locauxPros'][i]['DSUPK1']) : this.aInvariant['locauxPros'][i]['DSUPK1'] = null;
        this.aInvariant['locauxPros'][i]['DSUPK2'] ? this.aInvariant['locauxPros'][i]['DSUPK2'] = parseFloat(this.aInvariant['locauxPros'][i]['DSUPK2']) : this.aInvariant['locauxPros'][i]['DSUPK2'] = null;
      }
    }

    if (this.aInvariant['dependances']) {
      for (let i = 0; i < this.aInvariant['dependances'].length; i++) {
        this.aInvariant['dependances'][i]['DNUPEV'] ? this.aInvariant['dependances'][i]['DNUPEV'] = parseFloat(this.aInvariant['dependances'][i]['DNUPEV']) : this.aInvariant['dependances'][i]['DNUPEV'] = null;
        this.aInvariant['dependances'][i]['DNBBAI'] ? this.aInvariant['dependances'][i]['DNBBAI'] = parseFloat(this.aInvariant['dependances'][i]['DNBBAI']) : this.aInvariant['dependances'][i]['DNBBAI'] = null;
        this.aInvariant['dependances'][i]['DNBDOU'] ? this.aInvariant['dependances'][i]['DNBDOU'] = parseFloat(this.aInvariant['dependances'][i]['DNBDOU']) : this.aInvariant['dependances'][i]['DNBDOU'] = null;
        this.aInvariant['dependances'][i]['DNBLAV'] ? this.aInvariant['dependances'][i]['DNBLAV'] = parseFloat(this.aInvariant['dependances'][i]['DNBLAV']) : this.aInvariant['dependances'][i]['DNBLAV'] = null;
        this.aInvariant['dependances'][i]['DNBWC'] ? this.aInvariant['dependances'][i]['DNBWC'] = parseFloat(this.aInvariant['dependances'][i]['DNBWC']) : this.aInvariant['dependances'][i]['DNBWC'] = null;
      }
    }
  }

  /**
  * Imprime la fiche invariant
  */
  public selectPrint(): void {
    const printWindow = window.open('', '', 'height=800, width=800');
    const css = '<style> .container-btn {display: none;} .white-space{white-space: normal;} .odd {background - color: #E9E9E9;} .even {background - color: #F5F5F5;} .subtitle{background-color:#212121; height:42px;} .header-invariant{position: sticky; width: 100%;top: 0;background-color: #212121; height: 42px;text-align: center; color: white; padding-top:8px;} .body-modal{flex-direction: column;}  .title{line-height: 42px; float: left; margin-left: 8px; font-size: 21px !important; color: white;} table,th,td{border: 1px solid black;border-collapse: collapse;white-space: pre-wrap;} table{margin-top: 8px;margin-left: 5%;margin-bottom: 5px;width: 90%;} .table-header{background-color: #464646;color: white;text-align: center;} *{ color-adjust: exact;  -webkit-print-color-adjust: exact; print-color-adjust: exact; } </style>';
    const data = document.getElementById('header-invariant').innerHTML;
    printWindow.document.write('<html><head>' + css + '</head><body>' + data + '</body></html>');
    printWindow.print();
    printWindow.close();
  }
}
