import { Component, OnInit, EventEmitter, Input, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
import { Map } from 'ol';

@Component({
  selector: 'app-vmap-cadastre-tools-parcelle',
  templateUrl: './vmap-cadastre-tools-parcelle.component.html',
  styleUrls: ['./vmap-cadastre-tools-parcelle.component.scss']
})

export class VmapCadastreToolsParcelleComponent implements OnInit, OnDestroy {

  public oAttribute: string;
  public oSelectedAttributeEmiter: EventEmitter<string> = new EventEmitter();

  // Subscription de l'attribut
  private subscriptionAttribute: Subscription;

  @Input() olMap: Map;

  /**
   * Constructeur
   */
  constructor() {
  }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
    this.subscriptionAttribute = this.oSelectedAttributeEmiter.subscribe((next) => {
      this.oAttribute = next;
    });
  }

  /**
   * Destruction du composant
   */
  ngOnDestroy(): void {
    // Désinscriptions
    this.unsubscribeAttribute();
  }

  /**
  * Permet de ne plus observer les changements d'attribut
  */
  private unsubscribeAttribute(): void {
    // désinscription de la fiche descriptive si subscription
    if (this.subscriptionAttribute) {
      this.subscriptionAttribute.unsubscribe();
    }
  }
}
