import { ComponentRef, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { FormreaderModule } from 'src/app/vitis/formreader/formreader.module';
import { HttpClient, HttpClientModule } from '@angular/common/http';
import { DataGridModule } from 'src/app/vitis/data-grid/data-grid.module';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MapCoreModule } from 'src/app/vitis/map-core/map-core.module';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { VmapToolsCadastreComponent } from './vmap-tools-cadastre.component';
import { VmapCadastreToolsDropDownListComponent } from './form-components/vmap-cadastre-tools-drop-down-list/vmap-cadastre-tools-drop-down-list.component';
import { VmapCadastreToolsCommuneComponent } from './form-attributive/vmap-cadastre-tools-commune/vmap-cadastre-tools-commune.component';
import { VmapCadastreToolsSearchInputComponent } from './form-components/vmap-cadastre-tools-search-input/vmap-cadastre-tools-search-input.component';
import { VmapCadastreToolsGridComponent } from './form-components/vmap-cadastre-tools-grid/vmap-cadastre-tools-grid.component';
import { VmapCadastreToolsSectionComponent } from './form-attributive/vmap-cadastre-tools-section/vmap-cadastre-tools-section.component';
import { VmapCadastreToolsLieuDitComponent } from './form-attributive/vmap-cadastre-tools-lieu-dit/vmap-cadastre-tools-lieu-dit.component';
import { VmapCadastreToolsBatiComponent } from './form-attributive/vmap-cadastre-tools-bati/vmap-cadastre-tools-bati.component';
import { VmapCadastreToolsParcelleComponent } from './form-attributive/vmap-cadastre-tools-parcelle/vmap-cadastre-tools-parcelle.component';
import { VmapCadastreToolsParcelleSectionComponent } from './form-attributive/vmap-cadastre-tools-parcelle-section/vmap-cadastre-tools-parcelle-section.component';
import { VmapCadastreToolsParcelleDgfipComponent } from './form-attributive/vmap-cadastre-tools-parcelle-dgfip/vmap-cadastre-tools-parcelle-dgfip.component';
import { VmapCadastreToolsParcelleProprietaireComponent } from './form-attributive/vmap-cadastre-tools-parcelle-proprietaire/vmap-cadastre-tools-parcelle-proprietaire.component';
import { VmapCadastreToolsListBatiComponent } from './form-components/vmap-cadastre-tools-list-bati/vmap-cadastre-tools-list-bati.component';
import { VmapCadastreToolsButtonRapportComponent } from './form-components/vmap-cadastre-tools-button-rapport/vmap-cadastre-tools-button-rapport.component';
import { VmapCadastreToolsModalComponent } from './form-components/vmap-cadastre-tools-modal/vmap-cadastre-tools-modal.component';
import { VmapCadastreToolsFicheDescriptiveModalComponent } from './form-attributive/vmap-cadastre-tools-fiche-descriptive-modal/vmap-cadastre-tools-fiche-descriptive-modal.component';
import { VmapCadastreToolsReleveDeProprieteModalComponent } from './form-attributive/vmap-cadastre-tools-releve-de-propriete-modal/vmap-cadastre-tools-releve-de-propriete-modal.component';
import { VmapCadastreToolsInvariantComponent } from './form-attributive/vmap-cadastre-tools-invariant/vmap-cadastre-tools-invariant.component';
import { VmapCadastreToolsFicheDescriptiveComponent } from './vmap-cadastre-tools-fiche-descriptive/vmap-cadastre-tools-fiche-descriptive.component';
import { VmapCadastreToolsReleveDeProprieteComponent } from './vmap-cadastre-tools-releve-de-propriete/vmap-cadastre-tools-releve-de-propriete.component';
import { VmapCadastreToolsFicheUrbanismeComponent } from './vmap-cadastre-tools-fiche-urbanisme/vmap-cadastre-tools-fiche-urbanisme.component';


@NgModule({
  declarations: [
    VmapToolsCadastreComponent,
    VmapCadastreToolsDropDownListComponent,
    VmapCadastreToolsCommuneComponent,
    VmapCadastreToolsGridComponent,
    VmapCadastreToolsSectionComponent,
    VmapCadastreToolsLieuDitComponent,
    VmapCadastreToolsBatiComponent,
    VmapCadastreToolsListBatiComponent,
    VmapCadastreToolsParcelleComponent,
    VmapCadastreToolsParcelleSectionComponent,
    VmapCadastreToolsParcelleDgfipComponent,
    VmapCadastreToolsParcelleProprietaireComponent,
    VmapCadastreToolsSearchInputComponent,
    VmapCadastreToolsButtonRapportComponent,
    VmapCadastreToolsModalComponent,
    VmapCadastreToolsFicheDescriptiveModalComponent,
    VmapCadastreToolsReleveDeProprieteModalComponent,
    VmapCadastreToolsFicheDescriptiveComponent,
    VmapCadastreToolsReleveDeProprieteComponent,
    VmapCadastreToolsFicheUrbanismeComponent,
    VmapCadastreToolsInvariantComponent,
  ],
  imports: [
    SharedModule,
    FormreaderModule,
    CommonModule,
    HttpClientModule,
    DataGridModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    FormsModule,
    MapCoreModule,
    ReactiveFormsModule,
    NgbModule,
  ],
  exports: []
})
export class VmapToolsCadastreModule { }
