import { MapToolsDef } from './map-tools.model';

// Définition des boutons outils natifs
export const nativeMapToolsDef: MapToolsDef = {
  location: {
    name: 'location',
    icon: 'icon-vitis-search',
    title: 'COMPONENT_MAP_SEARCH_TITLE',
    type: 'panel',
    panelPosition: 'right',
    panelSize: 1,
    component: 'app-vmap-tools-search',
  },
  home: {
    name: 'centerHome',
    icon: 'icon-vitis-home',
    type: 'action',
    event: 'centerHome',
    title: 'COMPONENT_MAP_CENTER_HOME_TITLE',
  },
  refresh: {
    name: 'refreshMap',
    icon: 'icon-vitis-repeat',
    type: 'submenu',
    title: 'COMPONENT_MAP_REFRESH_TITLE',
    menuTitle: 'COMPONENT_MAP_REFRESH_TITLE',
    submenuSize: 350,
    component: 'app-vmap-tools-refresh',
  },
  measure: {
    name: 'measure',
    icon: 'icon-vitis-measure',
    type: 'submenu',
    title: 'COMPONENT_MAP_MEASURE_TITLE',
    menuTitle: 'Mesures',
    submenuSize: 200,
    component: 'app-vmap-tools-measure',
  },
  select: {
    name: 'select',
    icon: 'icon-vitis-info',
    type: 'submenu',
    title: 'COMPONENT_MAP_SELECT_TITLE',
    menuTitle: 'COMPONENT_MAP_SELECT_TITLE_2',
    component: 'app-vmap-tools-select',
  },
  print: {
    name: 'print',
    icon: 'icon-vitis-print',
    title: 'COMPONENT_MAP_PRINT_TOOL_TITLE',
    type: 'panel',
    panelPosition: 'right',
    panelSize: 1,
    component: 'app-vmap-tools-print',
  },
  compare: {
    name: 'compare',
    icon: 'icon-vitis-mirror',
    title: 'COMPONENT_MAP_COMPARE_TOOL_TITLE',
    type: 'panel',
    panelPosition: 'right',
    panelSize: 2,
    component: 'app-vmap-tools-compare-map',
  },
  filter: {
    name: 'filter',
    icon: 'icon-vitis-filter',
    title: 'COMPONENT_MAP_FILTER_TOOL',
    type: 'panel',
    panelPosition: 'right',
    panelSize: 1,
    component: 'app-vmap-tools-filter',
  },
  requestor: {
    name: 'requestor',
    icon: 'fa fa-server',
    title: 'COMPONENT_MAP_REQUESTOR_TITLE',
    type: 'panel',
    panelPosition: 'bottom',
    panelSize: 1,
    component: 'app-vmap-tools-requestor',
    canExpand: true,
    hasTabs: true,
  },
  cadastre: {
    name: 'cadastre',
    icon: 'icon-vitis-cadastre1',
    title: 'COMPONENT_MAP_CADASTRE_TITLE',
    type: 'panel',
    panelPosition: 'right',
    panelSize: 2,
    component: 'app-vmap-tools-cadastre',
    privilege: ['vmap_cadastre_user', 'vmap_cadastre_medium_user', 'vmap_cadastre_light_user']
  },
  releveDePropriete: {
    name: 'releve de propriete',
    icon: 'icon-vitis-cadastre-rapportPropriete',
    title: 'COMPONENT_MAP_PROPERTY_STATEMENT_TITLE',
    type: 'submenu',
    menuTitle: 'COMPONENT_MAP_PROPERTY_STATEMENT_TITLE',
    submenuSize: 350,
    component: 'app-vmap-cadastre-tools-releve-de-propriete',
    privilege: ['vmap_cadastre_user']
  },
  ficheUrbanisme: {
    name: 'fiche d\'urbanisme',
    icon: 'icon-vitis-cadastre-ficheUrbanisme',
    title: 'COMPONENT_MAP_URBANISM_SHEET_TITLE',
    type: 'submenu',
    menuTitle: 'COMPONENT_MAP_URBANISM_SHEET_TITLE',
    submenuSize: 315,
    component: 'app-vmap-cadastre-tools-fiche-urbanisme',
    privilege: ['vmap_cadastre_user', 'vmap_cadastre_medium_user']
  },
  ficheDescriptive: {
    name: 'fiche descriptive',
    icon: 'icon-vitis-cadastre-ficheDescriptive',
    title: 'COMPONENT_MAP_DESCRIPTION_SHEET_TITLE',
    type: 'submenu',
    menuTitle: 'COMPONENT_MAP_DESCRIPTION_SHEET_TITLE',
    submenuSize: 315,
    component: 'app-vmap-cadastre-tools-fiche-descriptive',
    privilege: ['vmap_cadastre_user', 'vmap_cadastre_medium_user', 'vmap_cadastre_light_user']
  },
  helper: {
    name: 'helper',
    icon: 'icon-vitis-help',
    title: 'TITLE_MODE_HELP',
    type: 'submenu',
    menuTitle: 'TITLE_MODE_HELP',
    menuSubTitle: 'TITLE_MODE_HELP_DESCRIPTION',
    visible: true,
    component: 'app-vmap-tools-helper'
  }
};
