import { Subject } from 'rxjs';

export class MapToolDef {
  id?: string; // Mis en place automatiquement, id HTML de l'objet
  name: string; // Nom de l'outil
  icon: string; // Nom de la classe servant d'icone
  type: string; // action / submenu / panel
  panelPosition?: string; // Pour les types panel
  panelTitle?: string; // Pour les types panel
  panelSize?: number; // Pour les types panel
  submenuSize?: number; // Pour les types submenu (taille en px)
  event?: string; // Pour les type action
  component?: any; // Pour les type submenu ou panel
  title?: string; // Titre à afficher quand on passe la souris
  menuTitle?: string; // Titre à afficher dans la dropdown
  menuSubTitle?: string; // Sous-titre à afficher dans la dropdown
  collapsed_?: boolean; // variable de fonctionnement
  onOpen?: Subject<boolean>; // Mis en place automatiquement, event d'ouverture de l'outil
  onClose?: Subject<boolean>; // Mis en place automatiquement, event de fermeture de l'outil
  open?: Function;
  close?: Function;
  canExpand?: boolean; // Gère la possibilité d'étendre un panneau en fullscreen
  hasTabs?: boolean; // Si le panneau a plusieurs onglets d'outils
  tabsId?: string; // Mis en place automatiquement, id HTML de la barre d'onglets
  htmlContent?: string; // Contenu HTML à charger sans compilation
  jsContent?: string; // Contenu JS à charger sans compilation,
  cssContent?: string; // Contenu CSS à charger sans compilation,
  privilege?: string | Array<any>; // Affichage de l'outil en fonction d'un ou plusieurs privilèges.
  visible?: boolean; // Visibilité de l'outil (true par défaut)
  secondIcon?: string; // Nom de la classe css pour un deuxième icône optionnel (voir filtrer une couche).
  icon_svg?: string; // Contenu de la balise SVG pour l'afficher comme icon
}

export class MapToolsDef {
  [key: string]: MapToolDef;
}
