import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LayerFilterRequestFormComponent } from './layer-filter-request-form.component';
import { MultiTranslateHttpLoader } from 'ngx-translate-multi-http-loader';
import { TranslateLoader, TranslateModule } from '@ngx-translate/core';
import { environment } from 'src/environments/environment';
import { HttpClient, HttpClientModule } from '@angular/common/http';
import { FormreaderModule } from 'src/app/vitis/formreader/formreader.module';
import { MapCoreModule } from 'src/app/vitis/map-core/map-core.module';
import { routing } from './layer-filter-request-form.route';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
/**
 * Chargement des fichiers de traduction
 * @param http
 * @returns
 */
export function HttpLoaderFactory(http: HttpClient) {
  return new MultiTranslateHttpLoader(http, environment.appStruct['translate']);
}


@NgModule({
  declarations: [LayerFilterRequestFormComponent],

  imports: [

    SharedModule,
    MapCoreModule,
    FormreaderModule,
    CommonModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    routing,
    FormsModule,
    ReactiveFormsModule,
  ],
})
export class LayerFilterRequestFormModule { }
