import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyClusterDef } from 'src/modules/vmap/components/models/json-symbology/json-symbology-cluster.model';
import { LayerSymbologyService } from '../../../services/layer-symbology/layer-symbology.service';

@Component({
  selector: 'app-cluster',
  templateUrl: './cluster.component.html',
  styleUrls: ['./cluster.component.scss']
})
export class ClusterComponent implements OnInit {

  @Input() oField: JsonSymbologyClusterDef;
  @Input() sAttribut: string;
  @Output() isValidField = new EventEmitter<any>();
  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyClusterDef> = new EventEmitter();


  /**
   * Retoune les régions
   */
  get regions() {
    return this.service.regions['_value'];
  }

  /**
   * Constructeur
   */
  constructor(private service: LayerSymbologyService) { }


  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

}
