import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { VitisCheck } from 'src/app/vitis/core/services/utils/vitis-utils';
import { LayerSymbologyService } from 'src/modules/vmap/components/layer-symbology/services/layer-symbology/layer-symbology.service';
import { StyleSubFields } from 'src/modules/vmap/components/models/json-symbology/json-symbology-style.model';

@Component({
  selector: 'app-container',
  templateUrl: './container.component.html',
  styleUrls: ['./container.component.scss']
})
export class ContainerComponent implements OnInit {

  @Input() oField: StyleSubFields;
  @Input() sLeftIcon: string;
  @Input() sLabel: string;
  @Input() sElement: string;
  @Input() deleteAction: boolean = true;
  @Input() currGeomType: string;
  @Input() sAttribut: string;

  public bOpen: boolean = false;

  @Output() setJsonSymboValue: EventEmitter<StyleSubFields> = new EventEmitter();

  @Output() isValidField = new EventEmitter<any>();

  @Output() deleteVal = new EventEmitter<any>();

  public sTooltipOpacityTitle: string = 'COMPONENT_MAP_EDIT_SYMBOLOGY_CLASS_STYLES_OPACITY_TOOLTIP_TITLE';
  public sTooltipOpacityContent: string = 'COMPONENT_MAP_EDIT_SYMBOLOGY_CLASS_STYLES_OPACITY_TOOLTIP_CONTENT';
  public sTooltipVisibilityTitle: string = 'COMPONENT_MAP_EDIT_SYMBOLOGY_CLASS_STYLES_VISIBILITY_TOOLTIP_TITLE';
  public sTooltipVisibilityContent: string = 'COMPONENT_MAP_EDIT_SYMBOLOGY_CLASS_STYLES_VISIBILITY_TOOLTIP_CONTENT';

  public sXYPattern: string = '(-)?[0-9]{1,}[ ]{1}(-)?[0-9]{1,}';

  /**
   * Constructeur
   */
  constructor(
    public service: LayerSymbologyService,
    private vitisCheck: VitisCheck) { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

  /**
   * Supprime la valeur
   * @param oField
   */
  public trash(oField) {
    this.deleteVal.next(oField);
  }

  /**
   * Retourne un pourcentage arrondi
   * @param iVal
   * @returns
   */
  public getPrettyPercent(iVal: number): string {
    return this.service.getPrettyPercent(iVal);
  }
}
