import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { LayerSymbologyService } from 'src/modules/vmap/components/layer-symbology/services/layer-symbology/layer-symbology.service';
import { JsonSymbologyStyle } from 'src/modules/vmap/components/models/json-symbology/json-symbology-style.model';

@Component({
  selector: 'app-default-fields-point',
  templateUrl: './default-fields-point.component.html',
  styleUrls: ['./default-fields-point.component.scss']
})
export class DefaultFieldsPointComponent implements OnInit {

  @Input() oField: JsonSymbologyStyle;
  @Input() sAttribut: string;
  @Output() isValidField = new EventEmitter<any>();

  /**
   * Constructeur
   */
  constructor(private service: LayerSymbologyService) { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

  /**
   * Retourne les symboles
   */
  get symbols() {
    return this.service.symbols['_value'];
  }
}
