import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyLabelsWrap } from 'src/app/modules/vmap/models/json-symbology/json-symbology-label.model';
import { LayerSymbologyService } from 'src/modules/vmap/components/layer-symbology/services/layer-symbology/layer-symbology.service';

@Component({
  selector: 'app-label-wrap',
  templateUrl: './label-wrap.component.html',
  styleUrls: ['./label-wrap.component.scss']
})
export class LabelWrapComponent implements OnInit {

  @Input() oField: JsonSymbologyLabelsWrap;
  @Input() sAttribut: string;
  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyLabelsWrap> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();

  /**
   * Constructeur
   */
  constructor(private service: LayerSymbologyService) { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

  /**
   * Retourne les allignements
   */
  get aligns() {
    return this.service.aligns['_value'];
  }
}
