import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyStylesLineDash } from 'src/app/modules/vmap/models/json-symbology/json-symbology-style.model';
import { LayerSymbologyService } from 'src/modules/vmap/components/layer-symbology/services/layer-symbology/layer-symbology.service';

@Component({
  selector: 'app-line-dash',
  templateUrl: './line-dash.component.html',
  styleUrls: ['./line-dash.component.scss']
})
export class LineDashComponent implements OnInit {

  @Input() oField: JsonSymbologyStylesLineDash;
  @Input() sAttribut: string;
  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyStylesLineDash> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();
  @Input() sXYPattern: string;

  /**
   * Constructeur
   */
  constructor(private service: LayerSymbologyService) { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

  /**
   * Retourne les lineCap
   */
  get linecaps() {
    return this.service.lineCap['_value'];
  }
}
