import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { LayerSymbologyService } from 'src/modules/vmap/components/layer-symbology/services/layer-symbology/layer-symbology.service';
import { JsonSymbologyStylesLineSymbol } from 'src/modules/vmap/components/models/json-symbology/json-symbology-style.model';

@Component({
  selector: 'app-line-symbol',
  templateUrl: './line-symbol.component.html',
  styleUrls: ['./line-symbol.component.scss']
})
export class LineSymbolComponent implements OnInit {

  @Input() oField: JsonSymbologyStylesLineSymbol;
  @Input() sAttribut: string;
  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyStylesLineSymbol> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();
  @Input() sXYPattern: string;

  /**
   * Constructeur
   */
  constructor(private service: LayerSymbologyService) { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

  /**
   * Retourne la valeur de symbols
   */
  get symbols() {
    return this.service.symbols['_value'];
  }

  /**
   * Retourne la valeur de linejoin
   */
  get linejoin() {
    return this.service.linejoin['_value'];
  }
}
