import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyUnits } from 'src/app/modules/vmap/models/json-symbology/json-symbology-params.model';
import { LayerSymbologyService } from 'src/modules/vmap/components/layer-symbology/services/layer-symbology/layer-symbology.service';

@Component({
  selector: 'app-units',
  templateUrl: './units.component.html',
  styleUrls: ['./units.component.scss']
})
export class UnitsComponent implements OnInit {

  @Input() oField: JsonSymbologyUnits;
  @Input() sAttribut: string;

  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyUnits> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();

  /**
   * Retourne la valeur de sizeunits
   */
  get sizeunits() {
    return this.service.sizeunits['_value'];
  }

  /**
   * Constructeur
   */
  constructor(private service: LayerSymbologyService) { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

}
