import { Component, Input, OnInit, EventEmitter, Output } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'app-layer-symbology-form-select',
  templateUrl: './layer-symbology-form-select.component.html',
  styleUrls: ['./layer-symbology-form-select.component.scss']
})
export class LayerSymbologyFormSelectComponent implements OnInit {

  @Input() public value: any;
  @Input() public options: any;
  @Input() public optionNullable: boolean = true;
  @Input() public label: any;
  @Input() public disabled: boolean = false;
  @Input() public tooltipContent: string;
  @Input() public tooltipTitle: string;

  @Output() changeVal = new EventEmitter<string>();

  public aOptionsSorted: Array<object> = [];

  /**
   * Constructeur
   */
  constructor(
    private translate: TranslateService
  ) { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {

    this.aOptionsSorted = Object.entries(this.options).map(([key, value]) => {
      return { key, value };
    });
    this.aOptionsSorted.sort((a: any, b: any) => this.translate.instant(a.value).localeCompare(this.translate.instant(b.value)));

  }
}
