import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SectionLayerSymbologyComponent } from './section-layer-symbology.component';
import { LayerSymbologyModule } from 'src/modules/vmap/components/layer-symbology/layer-symbology.module';
import { TranslateLoader, TranslateModule } from '@ngx-translate/core';
import { HttpClient } from '@angular/common/http';
import { MultiTranslateHttpLoader } from 'ngx-translate-multi-http-loader';
import { environment } from 'src/environments/environment';
import { FormsModule } from '@angular/forms';
import { routing } from './section-layer-symbology.route';
import { MonacoEditorModule } from 'ngx-monaco-editor';
import { MapCoreModule } from 'src/app/vitis/map-core/map-core.module';

/**
 * Chargement des fichiers de traduction
 * @param http
 * @returns
 */
export function HttpLoaderFactory(http: HttpClient) {
  return new MultiTranslateHttpLoader(http, environment.appStruct['translate']);
}

@NgModule({
  declarations: [SectionLayerSymbologyComponent],
  imports: [
    CommonModule,
    FormsModule,
    LayerSymbologyModule,
    MonacoEditorModule,
    MapCoreModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    routing
  ],
  exports: [SectionLayerSymbologyComponent],

})
export class SectionLayerSymbologyModule { }
