export class JsonSymbologyLabelsVisibility { // Visibilité
  minscale: number;
  maxscale: number;

  /**
   * Constructeur
   */
  constructor(style: any = {}) {
    if (style) {
      this.minscale = style.minscale;
      this.maxscale = style.maxscale;
    }
  }
}

export class JsonSymbologyLabelsShadow {
  shadowcolor?: string; // SHADOWCOLOR
  shadowsize?: string; // SHADOWSIZE

  /**
   * Constructeur
   */
  constructor(label: any = {}) {
    this.shadowcolor = label.shadowcolor || '';
    this.shadowsize = label.shadowsize || '';
  }
}

export class JsonSymbologyLabelsBackgroundShadow {
  backgroundcolor?: string; // BACKGROUNDCOLOR
  backgroundshadowsize?: string; // BACKGROUNDSHADOWSIZE

  /**
   * Constructeur
   */
  constructor(label: any = {}) {
    this.backgroundcolor = label.backgroundcolor || '';
    this.backgroundshadowsize = label.backgroundshadowsize || '';
  }
}

export class JsonSymbologyLabelsWrap {
  wrap?: string; // WRAP
  maxlength?: number; // MAXLENGTH
  align?: string; // ALIGN

  /**
   * Constructeur
   */
  constructor(label: any = {}) {
    this.wrap = label.wrap || '';
    this.maxlength = label.maxlength || '';
    this.align = label.align || '';
  }
}

export class JsonSymbologyLabelsSizeAndPosition {
  maxsize?: number; // MAXSIZE
  minsize?: number; // MINSIZE
  buffer?: number; // BUFFER
  minfeaturesize?: number; // MINFEATURESIZE
  rotation?: string; // ANGLE
  offset?: string; // OFFSET
  priority?: string; // PRIORITY

  /**
   * Constructeur
   */
  constructor(label: any = {}) {
    this.maxsize = label.maxsize || null;
    this.minsize = label.minsize || null;
    this.buffer = label.buffer || null;
    this.minfeaturesize = label.minfeaturesize || null;
    this.offset = label.offset || '';
    this.rotation = label.rotation || '0';
    this.priority = label.priority || '';
  }
}

export class JsonSymbologyLabelsColorAndSizeOutline {
  outlineColor?: string; // OUTLINECOLOR
  outlineWidth?: string; // OUTLINEWIDTH

  /**
   * Constructeur
   */
  constructor(label: any = {}) {
    this.outlineColor = label.outlineColor || '';
    this.outlineWidth = label.outlineWidth || '';
  }
}

export class JsonSymbologyLabelsOther {
  repeatdistance?: number; // REPEATDISTANCE
  mindistance?: number; // MINDISTANCE
  type?: string; // TYPE
  partials?: string; // PARTIALS
  force?: string; // FORCE
  antialias?: string; // ANTIALIAS

  /**
   * Constructeur
   */
  constructor(label: any = {}) {
    this.mindistance = label.mindistance || null;
    this.repeatdistance = label.repeatdistance || null;
    this.type = label.type || null;
    this.partials = label.partials || null;
    this.force = label.force || null;
    this.antialias = label.antialias || null;

  }
}

export class SubFields {
  visibility?: JsonSymbologyLabelsVisibility;
  shadow?: JsonSymbologyLabelsShadow;
  shadowBackground?: JsonSymbologyLabelsBackgroundShadow;
  wrap?: JsonSymbologyLabelsWrap;
  sizeAndPosition?: JsonSymbologyLabelsSizeAndPosition;
  other?: JsonSymbologyLabelsOther;
  outline?: JsonSymbologyLabelsColorAndSizeOutline;
}

/**
 * Label
 */
export class JsonSymbologyLabel {
  text: string; // TEXT
  font?: string; // FONT
  size?: string; // SIZE (défaut 10)
  symbol?: string; // ???
  fillcolor?: string; // COLOR
  position?: string; // POSITION

  otherFields?: SubFields = {};

  /**
   * Constructeur
   */
  constructor(label: any = {}) {

    if (label) {
      this.text = label.text || '';
      this.font = label.font || '';
      this.size = (label.size && label.size != '') ? label.size : '10';
      this.symbol = label.symbol || '';
      this.fillcolor = label.fillcolor || '';

      this.position = label.position || 'auto';


      if (label.otherFields) {
        this.otherFields = new SubFields();
        if (label.otherFields.visibility) {
          this.otherFields.visibility = new JsonSymbologyLabelsVisibility(label.otherFields.visibility);
        }
        if (label.otherFields.shadow) {
          this.otherFields.shadow = new JsonSymbologyLabelsShadow(label.otherFields.shadow);
        }
        if (label.otherFields.shadowBackground) {
          this.otherFields.shadowBackground = new JsonSymbologyLabelsBackgroundShadow(label.otherFields.shadowBackground);
        }
        if (label.otherFields.wrap) {
          this.otherFields.wrap = new JsonSymbologyLabelsWrap(label.otherFields.wrap);
        }
        if (label.otherFields.sizeAndPosition) {
          this.otherFields.sizeAndPosition = new JsonSymbologyLabelsSizeAndPosition(label.otherFields.sizeAndPosition);
        }
        if (label.otherFields.outline) {
          this.otherFields.outline = new JsonSymbologyLabelsColorAndSizeOutline(label.otherFields.outline);
        }
        if (label.otherFields.other) {
          this.otherFields.other = new JsonSymbologyLabelsOther(label.otherFields.other);
        }
      }
    }
  }
}
