/**
 *
 * Fichier servant à l'injection de composants et modules angular
 * présents sur les modules Vitis et ne devant pas faire partie
 * du code du noyeau.
 *
 *
 * Exemple : import d'un composant et d'un module
 *
 * import { VmapAdminDatasourceModule } from './admin-datasource/admin-datasource.module';
 * export const oVmapModules = { VmapAdminDatasourceModule };
 * export const oVmapModulesComponents = {};
 *
 *
 *
 *
 * Exemple : import d'un module en lazy loading
 *
 * export const oModules = {
 *   VmapCartoModule: {
 *     loadChildren: () => import('src/app/modules/vmap/carto/carto.module').then(m => m.VmapCartoModule),
 *   },
 * };
 * export const oModulesComponents = { };
 */
export const oVmapModules = {
  VmapAdminDatasourceModule: {
    loadChildren: () => import('src/app/modules/vmap/admin-datasource/admin-datasource.module').then(m => m.VmapAdminDatasourceModule),
  },
  VmapCartoModule: {
    loadChildren: () => import('src/app/modules/vmap/carto/carto.module').then(m => m.VmapCartoModule),
  },
  SectionLayerSymbologyModule: {
    loadChildren: () => import('src/app/modules/vmap/layer-symbology/section-layer-symbology/section-layer-symbology.module').then(m => m.SectionLayerSymbologyModule),
  },
  MapToolsDesignerModule: {
    loadChildren: () => import('src/app/modules/vmap/map-tools-designer/map-tools-designer.module').then(m => m.MapToolsDesignerModule),
  },
  LayerFilterRequestFormModule: {
    loadChildren: () => import('src/app/modules/vmap/layer-filter-request-form/layer-filter-request-form').then(m => m.LayerFilterRequestFormModule),
  },
};
export const oVmapModulesComponents = {};
