/**
 * constructor_form
 * Fonction lancée au chargement du formulaire
 * @param {object} scope Formreader
 * @param {object} env environment
 * @param {object} services
 * @returns {undefined} 
 */
var constructor_form = function (scope, env, services) {

  scope.visible = function () {
    updateVisibleStatut(true);
  }

  scope.unvisible = function () {
    updateVisibleStatut(false);
  }

  updateVisibleStatut = function (statut) {
    const aIds = scope.oDataGrid.getSelectedIds_();
    if (!aIds.length) {
      return services.vitisAlert.alert({
        type: 'error',
        title: this.translate.instant('LIST_NO_ELEMENT_SELECTED'),
      });
    }

    services.vitisRequest.ajaxRequestPromise({
      method: 'PUT',
      url: env.properties.app_api_url + '/' + scope.mode.options.ressource,
      data: {
        data: aIds.reduce((acc, curr) => {
          return [...acc, { [scope.mode.options.id_field]: curr, is_visible: statut }];
        }, [])
      }
    }).then((resp) => {
      if (resp.data) {
        if (resp.data.status === 1) {
          // Message succès
          services.translate.get('LIST_EDIT_OK').subscribe((translation) => {
            services.vitisAlert.fireToast({
              icon: 'success',
              title: translation
            });
          });
          scope.oDataGrid.reloadTable();
        } else {
          services.vitisAlert.alert({
            type: 'error',
            title: this.translate.instant('LIST_EDIT_ERROR'),
          });
        }
      }
    });
  }
}
