<?php

namespace App\Module\Vmap\WebService\Controller;

use App\Module\Vitis\WebService\Controller\GenericController;
use Symfony\Component\HttpFoundation\Response;

/**
 * Controller pour générer les widget vmap
 */
class WidgetController extends GenericController {

  /**
   * Renvoie les widgets lié à une carte
   */
  public function getMapWidgets($map_id): Response {
    $aData = $this->requestToArray();

    // Gestion de récupération des widget de la map avec l'id $map_id
    $filter = (array) json_decode($aData['filter'], true);
    $aMapIdFilter = [
      'column' => 'map_id',
      'compare_operator' => '=',
      'value' => $map_id,
    ];

    if (count($filter) < 1) {
      $aData['filter'] = [
        'relation' => 'AND',
        'operators' => [$aMapIdFilter],
      ];
    } else {
      $aData['filter'] = [
        'relation' => 'AND',
        'operators' => [$filter, $aMapIdFilter],
      ];
    }

    // chargement de la connexion à la base de donnée
    $aEntities = $this->getDataWithRequestParams($aData);
    if ($aEntities['status'] == 0) {
      return $this->formatGenericResponseForErrorOnSelect();
    }

    $aSerializerContext = $this->getSerializerContext();

    // transforme le tableau de réponse dans le résultat souhaité
    return $this->formatResponse($aEntities, Response::HTTP_OK, $aSerializerContext);
  }
}
