<?php

namespace App\Module\Vmap\WebService\Entity;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\GeneratedValue;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\SequenceGenerator;
use Doctrine\ORM\Mapping\Table;

/**
 * Objet ORM pour datasourcetype
 *
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(schema_vmap)",name="datasourcetype")
 */
class DatasourceType extends AbstractEntity {
  /**
   * @var int
   * @Column(type="integer", name="datasourcetype_id", nullable=false)
   * @Id
   * @GeneratedValue(strategy="SEQUENCE")
   * @SequenceGenerator(sequenceName="@prop(schema_vmap).datasourcetype_datasourcetype_id_seq")
   */
  private $datasourcetype_id;

  /**
   * @var string
   * @Column(type="string", length=255, nullable=true)
   */
  private $label;

  /**
   * @return int identifiant de la source de données
   */
  public function getDatasourceTypeId(): int {
    return $this->datasourcetype_id;
  }

  /**
   * @return string|null nom de la source de données
   */
  public function getLabel(): ?string {
    return $this->label;
  }

  /**
   * @param string $label nom de la source de données
   * @return self
   */
  public function setLabel(?string $label): self {
    $this->label = $label;
    return $this;
  }
}
