<?php

namespace App\Module\Vmap\WebService\Entity;

use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 * Objet ORM pour layerxyz
 *
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(schema_vmap)",name="layerxyz")
 */
class LayerXYZ extends AbstractLayer {
  /**
   * @var string
   */
  public const TYPE = 'xyz';

  /**
   * @var int
   * @Id
   * @Column(type="integer", name="layer_id", nullable=false)
   */
  protected $layer_id;

  /**
   * {@inheritdoc}
   */
  public static function getLayerParams(array $aLayer): array{
    $aParamsLayer = [
      'layerType' => self::TYPE,
      'url' => $aLayer['datasource']['flux_url'],
      'headers' => $aLayer['datasource']['headers'],
      'pictogram' => $aLayer['pictogram']
    ];
    return array_merge(parent::getLayerParams($aLayer), $aParamsLayer);
  }
}
