<?php

namespace App\Module\Vmap\WebService\Entity;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\GeneratedValue;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\OneToMany;
use Doctrine\ORM\Mapping\SequenceGenerator;
use Doctrine\ORM\Mapping\Table;

/**
 * Objet ORM pour ms_geomtype
 *
 * @author Ludivine Premont <ludivine.premont@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Vitis\WebService\Repository\GenericRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(schema_vmap)",name="ms_geomtype")
 */
class MsGeomType extends AbstractEntity {
  /**
   * @var int
   * @Column(type="integer", name="ms_geomtype_id", nullable=false)
   * @Id
   * @GeneratedValue(strategy="SEQUENCE")
   * @SequenceGenerator(sequenceName="@prop(schema_vmap).ms_geomtype_ms_geomtype_id_seq")
   */
  private $ms_geomtype_id;

  /**
   * @var string
   * @Column(type="string", length=100, nullable=true)
   */
  private $label;

  /**
   * @var ArrayCollection<\App\Module\Vmap\WebService\Entity\LayerPostgres>
   * @OneToMany(targetEntity="App\Module\Vmap\WebService\Entity\LayerPostgres", mappedBy="ms_geomtype")
   */
  private $aLayersPostgres;

  public function __construct() {
    $this->aLayersPostgres = new ArrayCollection();
  }

  /**
   * @return int identifiant du theme
   */
  public function getMsGeomTypeId(): int {
    return $this->ms_geomtype_id;
  }

  /**
   * @return string|null label du theme
   */
  public function getLabel(): ?string {
    return $this->label;
  }

  /**
   * @param string $label label du theme
   * @return self
   */
  public function setLabel(?string $label): self {
    $this->label = $label;
    return $this;
  }

  /**
   * retourne la liste des couches postgres
   * @return array
   */
  public function getLayersPostgres(): array{
    return $this->aLayersPostgres->toArray();
  }
}
