#!/bin/bash
#
#
# 	Script à lancer pour la compilation de jobsRunner
#
#   Paramètres obligatoires :
#       --app_path : chemin vers le répertoire d'installation d'application
#
#

for i in "$@"
do
case $i in
  # param app_path
  --app_path=*)
  app_path="${i#*=}"
  shift
  ;;
esac
done

if [ -z ${app_path+x} ]
then
  echo "--app_path required"
  exit 1
fi

echo "Begin build Vitis jobsrunner"
#cd $app_path
cd $app_path/src/vitis/engine/vitis
echo "Linux"
cp package-lock.json package-lock.json.bak
npm install
npm run build
# Sauvegarde de node_modules pour linux, sera décompressée en post-install
tar -czvf node_modules_lin.tar.gz node_modules
# Récupération du fichier pour userid à placer à coté de l'executable final
mkdir build
cp node_modules/userid/build/Release/userid.node build/
npm run compile-jobsrunner-lin
npm run compile-taskrunner-lin
npm run compile-printservice-lin
if [ -f "/usr/bin/wine" ]; then
  echo "Windows"
  # On reset le node_modules pour windows
  npm cache clear --force
  cp package-lock.json.bak package-lock.json
  rm -rf node_modules
  # on réinstalle car il y a des différences entre les deux 
  wine cmd /c "npm install < NUL"
  wine cmd /c "npm build < NUL"
  wine cmd /c "npm run compile-jobsrunner-win < NUL"
  wine cmd /c "npm run compile-taskrunner-win < NUL"
  wine cmd /c "npm run compile-printservice-win < NUL"
  npm cache clear --force
  # Sauvegarde de node_modules pour Windows, sera décompressée en post-install
  tar -czvf node_modules_win.tar.gz node_modules
else
  echo "Wine n'est pas installé : Impossible de compiler jobsrunner pour Windows"
fi
rm package-lock.json.bak
echo "End build Vitis jobsrunner"