import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AdditionalRouteComponent } from './additional-route.component';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { FormsModule } from '@angular/forms';
import { routing } from './additional-route.routing';
import { FormreaderModule } from '../formreader/formreader.module';
import { ModuleConfFormComponent } from './components/module-conf-form/module-conf-form.component';


@NgModule({
  imports: [
    SharedModule,
    CommonModule,
    FormsModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    FormreaderModule,
    routing,
  ],
  declarations: [
    AdditionalRouteComponent,
    ModuleConfFormComponent
  ]
})
export class AdditionalRouteModule { }
