import { Routes, RouterModule } from '@angular/router';
import { ModuleWithProviders } from '@angular/core';
import { CanDeactivateGuard } from 'src/app/vitis/core/services/deactivate/can-deactivate.guard';
import { AdditionalRouteComponent } from './additional-route.component';
import { ModuleConfFormComponent } from './components/module-conf-form/module-conf-form.component';

export const routes: Routes = [
  {
    path: '',
    component: AdditionalRouteComponent,
    canDeactivate: [CanDeactivateGuard],
    children: [
      {
        path: 'module-conf/:id/:form',
        component: ModuleConfFormComponent,
      }
    ]
  }, // composant par défaut
];

export const routing: ModuleWithProviders<any> = RouterModule.forChild(routes);
