import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-generic',
  templateUrl: './generic.component.html',
  styleUrls: ['./generic.component.scss']
})
export class GenericComponent implements OnInit {

  public data: any;
  public params: any;

  /**
   * Constructeur
   */
  constructor(
    private route: ActivatedRoute
  ) { }

  /**
   * Chargement du composant
   */
  ngOnInit() {
    const self = this;
    // Get route's params
    this.route.paramMap.subscribe({
      next(params) {
        self.params = params;
      },
      error(msg) { console.error(msg); }
    });
    // Get route's data
    this.route.data.subscribe({
      next(data) {
        self.data = data;
      },
      error(msg) { console.error(msg); }
    });
  }
}
