import { Component, OnInit } from '@angular/core';
import { environment } from 'src/environments/environment';
import { VersionService } from '../../services/utils/version/version.service';

@Component({
  selector: 'app-widget',
  templateUrl: './widget.component.html',
  styleUrls: ['./widget.component.scss']
})
export class WidgetComponent implements OnInit {

  /**
   * Constructeur
   */
  constructor(
    private versionService: VersionService
  ) {
    // Empêche l'appli de se mettre en mode mobile
    environment.properties.smallscreen_limit = 1;
    environment.properties.is_widget = true;
  }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
    // Récupère la dernière version en cours de l'application
    this.versionService.getAppLatestVersion(true);
  }

}
