import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import { TranslateModule } from '@ngx-translate/core';
import { DashboardComponent } from './components/dashboard/dashboard.component';
import { GenericComponent } from './components/generic/generic.component';
import { ConfigurationSupervisionComponent } from './components/supervision/supervision.component';
import { LocalizedDatePipe } from './filters/localizedDate/localized-date.pipe';
import { ErrorPageComponent } from './components/error-page/error-page.component';
import { WidgetComponent } from './components/widget/widget.component';
import { SharedModule } from '../shared/shared.module';

/**
 * Contien les composants du noyeau
 */
@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    RouterModule,
    ReactiveFormsModule,
    TranslateModule,
    SharedModule,
  ],
  declarations: [
    DashboardComponent,
    GenericComponent,
    ConfigurationSupervisionComponent,
    LocalizedDatePipe,
    ErrorPageComponent,
    WidgetComponent,
  ],
  exports: [
    DashboardComponent,
    GenericComponent,
    ConfigurationSupervisionComponent,
    LocalizedDatePipe,
    ErrorPageComponent,
    WidgetComponent,
  ],
})
export class CoreModule { }
