import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { VitisRequest } from '../vitis-utils';

@Injectable({
  providedIn: 'root'
})
export class VersionService {

  /**
   *
   */
  constructor(
    private vitisRequest: VitisRequest,
  ) { }

  /**
   * Récupère la dernière version disponible de l'application
   * @param isWidget
   */
  public getAppLatestVersion(isWidget = false) {

    // Ne lance pas la requête si ça vient de localhost pour éviter de surcharger la database
    if (!(location.hostname === 'localhost' ||
      location.hostname === '127.0.0.1')) {
      if (environment &&
        environment.appStruct &&
        environment.appStruct.name) {
        try {
          this.vitisRequest.ajaxRequestPromise({
            method: 'GET',
            url: 'https://tncferasqjnrei6hpkgff6pydy0ndpvi.lambda-url.eu-west-3.on.aws/',
            displayErrorMessage: false,
            params: {
              app: environment.appStruct.name,
              widget: isWidget,
            }
          }).then((resp) => {
            if (resp && resp.data && resp.data.latest_version) {
              environment.properties.latest_version = resp.data.latest_version;
            }
          });
        } catch (error) {

        }
      }
    }
  }
}
