import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { MonacoEditorModule } from 'ngx-monaco-editor';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { FormsModule } from '@angular/forms';
import { routing } from './customtranslation.routing';
import { CustomTranslationComponent } from './customtranslation.component';
import { DataGridModule } from '../data-grid/data-grid.module';
import { FormreaderModule } from '../formreader/formreader.module';
import { WorkspacelistModule } from '../workspacelist/workspacelist.module';


@NgModule({
  imports: [
    routing,
    SharedModule,
    WorkspacelistModule,
    MonacoEditorModule,
    CommonModule,
    FormsModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    DataGridModule,
    FormreaderModule,
  ],
  declarations: [
    CustomTranslationComponent
  ],
  exports: [],
})
export class CustomTranslationModule { }
