import { WorkspaceListColumn, WorkspaceListButton } from '../workspacelist/workspacelist.model';

/**
 * Définition du composant de type DataGrid
 */
export class DataGridDefinition {
  id_field?: string; // (ex: order_id) colonne id de l'API
  columns: Array<WorkspaceListColumn>; // Définition des colonnes
  buttons: Array<WorkspaceListButton>; // Définition des boutons
}

export class DataGridOptions {
  datatableOptions: any = {}; // type DataTableOptions
  buttons?: Array<any>;
  iconButtons?: Array<any>;
  datagridOptions?: any = {};
  displayEvent?: Function;  // Evènement appelé par le bouton "display".
  updateEvent?: Function;  // Evènement appelé par le bouton "update".
  observableData?;
  loadingData_?: boolean; // True/false suivant si on est en train de charger de la donnée;
}

export class DataTableOptions {
  select?: any; // Autorise le select
  displayStart?: number; // Offset
  pageLength?: any; // Nombre d'éléments par page
  lengthMenu?: any; // Tableau choix du nombre d'éléments par page
  order?: any[]; // [numero colonne, asc/desc]
  colReorder?: boolean; // Possibilité de re-ordonner les colonnes
  listSettings?: any; // Paramètres pour colReorder
  ajax?: Function; // Fonction pour le récupération des données
  oResults?: any;
  tableHeight?: any;
  rowId?: any;
  selectMode?: string; // single
  clientPagination?: boolean; // Si true alors effectue la pagination et l'ordre de la connée côté client
  columns?: any[];
  searching?: boolean; // Deprecated
  selected?: any; // Deprecated
  info?: any; // Deprecated
  paging?: any; // Deprecated
  destroy?: any; // Deprecated
  processing?: any; // Deprecated
  serverSide?: any; // Deprecated
  scrollCollapse?: any; // Deprecated
  scrollX?: any; // Deprecated
  editableColumns?: any; // Deprecated
}
