import { Routes, RouterModule } from '@angular/router';
import { ModuleWithProviders } from '@angular/core';
import { CanDeactivateGuard } from 'src/app/vitis/core/services/deactivate/can-deactivate.guard';
import { LoginComponent } from './login.component';
import { ForgottenPasswordComponent } from './components/forgotten-password/forgotten-password.component';
import { SignupComponent } from './components/signup/signup.component';

export const routes: Routes = [
  {
    path: '',
    component: LoginComponent,
    canDeactivate: [CanDeactivateGuard]
  }, // composant par défaut
  { path: 'forgotten-pwd', component: ForgottenPasswordComponent },
  { path: 'sign-up', component: SignupComponent },
];

export const routing: ModuleWithProviders<any> = RouterModule.forChild(routes);
