import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LogsComponent } from './logs.component';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { MonacoEditorModule } from 'ngx-monaco-editor';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { routing } from './logs.routing';
import { FormsModule } from '@angular/forms';

@NgModule({
  imports: [
    SharedModule,
    MonacoEditorModule,
    CommonModule,
    FormsModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    routing,
  ],
  declarations: [
    LogsComponent,
  ],
  exports: [],
})
export class LogsModule { }
