import { Component, Input, OnInit } from '@angular/core';
import { Map } from 'ol';

@Component({
  selector: 'app-core-controls-default-extent',
  templateUrl: './core-controls-default-extent.component.html',
  styleUrls: ['./core-controls-default-extent.component.scss']
})
export class CoreControlsDefaultExtentComponent implements OnInit {

  @Input() olMap: Map;

  /**
   * Constructeur
   */
  constructor() { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

  /**
   * Zoom sur l'étendue initiale de la carte
   */
  public zoomToExtent() {
    const currentView = this.olMap.getView();
    const homePosition = currentView.get('home_position');
    currentView.setCenter(homePosition.center);
    currentView.setResolution(homePosition.resolution);
  }
}
