import { Injectable } from '@angular/core';
import { Observable, Subject } from 'rxjs';
import { IsSmallScreenService } from 'src/app/vitis/core/services/utils/is-small-screen/is-small-screen.service';

/**
 * DEPRECATED : utiliser plutôt IsSmallScreenService
 */
@Injectable({
  providedIn: 'root'
})
export class MapCoreSmallScreenService {

  public resizeScreenObservable: Observable<Event>;
  public smallScreenObservable = new Subject<boolean | null>();

  /**
   * Constructeur
   */
  constructor(
    isSmallScreenService: IsSmallScreenService
  ) {
    this.setSmallScreen(isSmallScreenService.getIsSmallScreen());
    isSmallScreenService.isSmallScreenObservable.subscribe(isMobile => {
      this.setSmallScreen(isMobile);
    });
  }

  /**
   * Setter quand on change l'état de la fenêtre
   * @param isSmallScreen
   */
  private setSmallScreen(isSmallScreen: boolean) {
    this.smallScreenObservable.next(isSmallScreen);
  }
}
