import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { routing } from './oauth2.routing';
import { FormreaderModule } from '../formreader/formreader.module';
import { MarkdownModule } from 'ngx-markdown';
import { OAuth2Component } from './oauth2.component';

/**
 * Module workspacelist sans routing
 */
@NgModule({
  imports: [
    SharedModule,
    CommonModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    routing,
  ],
  declarations: [
    OAuth2Component,
  ],
  exports: [],
})
export class OAuth2Module { }
