import { Component, Input, ViewChild } from '@angular/core';
import { ChartOptions, ChartType, ChartDataset } from 'chart.js';
import { BaseChartDirective } from 'ng2-charts';

@Component({
  selector: 'app-statistics',
  templateUrl: './statistics.component.html',
  styleUrls: ['./statistics.component.scss']
})
export class StatisticsComponent {

  // Paramètres du graphique.
  @Input() public datasets: ChartDataset[];
  @Input() public data: number[];
  @Input() public labels: string[];
  @Input() public legend: boolean;
  @Input() public chartType: ChartType;
  @Input() public options: ChartOptions;

  // BaseChartDirective du graphique (contient l'instance "chart").
  @ViewChild('baseChart') baseChartDirective: BaseChartDirective;

  /**
   * Constructeur
   */
  constructor(
  ) { }
}
