import { Directive, ElementRef, EventEmitter, HostListener, Output } from '@angular/core';

@Directive({
  selector: '[appClickOutside]'
})
export class ClickOutsideDirective {

  @Output() clickOutside: EventEmitter<any> = new EventEmitter();

  /**
   * Constructeur
   */
  constructor(private elementRef: ElementRef) {
  }

  /**
   * Event du navigateur
   * @param target
   */
  @HostListener('document:click', ['$event.target'])

  /**
   * Appelé au click
   */
  public onClick(target) {
    const clickedInside = this.elementRef.nativeElement.contains(target);
    if (!clickedInside) {
      this.clickOutside.emit();
    }
  }

  /**
   * Event du navigateur
   * @param target
   */
  @HostListener('document:contextmenu', ['$event.target'])

  /**
   * Appelé au click droit
   */
  public onRightClick(target) {
    const clickedInside = this.elementRef.nativeElement.contains(target);
    if (!clickedInside) {
      this.clickOutside.emit();
    }
  }

}
