import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { SimpleformComponent } from './simpleform.component';
import { FormreaderModule } from '../formreader/formreader.module';

/**
 * Module workspacelist sans routing
 */
@NgModule({
  imports: [
    SharedModule,
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    FormreaderModule,
  ],
  declarations: [
    SimpleformComponent,
  ],
  exports: [],
})
export class SimpleformModule {
  /**
   * Constructeur
   */
  constructor() {}
}
