import { Component, Inject, OnInit } from '@angular/core';

@Component({
  selector: 'app-wkl-boolean-icon',
  templateUrl: './wkl-boolean-icon.component.html',
  styleUrls: ['./wkl-boolean-icon.component.scss']
})
export class WklBooleanIconComponent implements OnInit {

  public value: any;
  public trueClass = 'fa fa-check text-success';
  public falseClass = 'fa fa-close text-danger';
  public condition = true;

  /**
   * Constructeur
   */
  constructor(
    @Inject('DatagridProvider') public providedValues,
  ) {
    this.value = this.providedValues.oRow[this.providedValues.oColumn.field];
    if (this.providedValues.true_class) {
      this.trueClass = this.providedValues.true_class;
    }
    if (this.providedValues.false_class) {
      this.falseClass = this.providedValues.false_class;
    }
    if (this.providedValues.condition) {
      this.condition = this.providedValues.condition;
    }
  }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

}
