import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { MonacoEditorModule } from 'ngx-monaco-editor';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { FormsModule } from '@angular/forms';
import { WorkspacelistComponent } from './workspacelist.component';
import { FormfilterComponent } from './formfilter/formfilter.component';
import { StatusfilterComponent } from './statusfilter/statusfilter.component';
import { DataGridModule } from '../data-grid/data-grid.module';
import { FormreaderModule } from '../formreader/formreader.module';
import { WklBooleanIconComponent } from './template/wkl-boolean-icon/wkl-boolean-icon.component';
import { WklDownloadBtnComponent } from './template/wkl-download-btn/wkl-download-btn.component';
import { WklInternalLinkComponent } from './template/wkl-internal-link/wkl-internal-link.component';
import { WklDateComponent } from './template/wkl-date/wkl-date.component';
import { WklParamsComponent } from './template/wkl-params/wkl-params.component';
import { WklStateTranslationComponent } from './template/wkl-state-translation/wkl-state-translation.component';
import { WklStateIconComponent } from './template/wkl-state-icon/wkl-state-icon.component';
import { WklTooltipComponent } from './template/wkl-tooltip/wkl-tooltip.component';
import { WklTranslateComponent } from './template/wkl-translate/wkl-translate.component';
import { RouterModule } from '@angular/router';
import { WklExternalLinkComponent } from './template/wkl-external-link/wkl-external-link.component';

/**
 * Module workspacelist sans routing
 */
@NgModule({
  imports: [
    SharedModule,
    MonacoEditorModule,
    CommonModule,
    FormsModule,
    RouterModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    DataGridModule,
    FormreaderModule,
  ],
  declarations: [
    WorkspacelistComponent,
    FormfilterComponent,
    StatusfilterComponent,
    WklBooleanIconComponent,
    WklDownloadBtnComponent,
    WklDateComponent,
    WklParamsComponent,
    WklStateTranslationComponent,
    WklStateIconComponent,
    WklTooltipComponent,
    WklInternalLinkComponent,
    WklExternalLinkComponent,
    WklTranslateComponent
  ],
  exports: [
    WorkspacelistComponent
  ],
})
export class WorkspacelistModule { }
