/**
 * constructor_form
 * Fonction lancée au chargement du formulaire
 * @param {object} scope Formreader
 * @param {object} env environment
 * @param {object} services
 * @returns {undefined} 
 */
var constructor_form = function (scope, env, services) {

  /**
   * Fonction appelée à l'initialisation du formulaire
   * Permet de remplir les valeurs du formulaire
   * @return {boolean|promise}
   */
  scope.loadCredits = function () {

    if (!services.vitisCheck.isDefAndNotNull(env.properties.credits)){
      env.properties.credits = {};
    }

    var aDate = env.properties.month_year.split('_');
    var aAuthor = (env.properties.credits.authors) ? env.properties.credits.authors : env.appStruct.credits.authors;
    var aLibs = (env.properties.credits.libs) ? env.properties.credits.libs : env.appStruct.credits.libs;
    var aGraphics = (env.properties.credits.graphics) ? env.properties.credits.graphics : env.appStruct.credits.graphics;

    var oCredits = {
      "software": env.properties.application,
      "version": env.properties.version,
      "date": aDate[0] + '/' + aDate[1],
      "author": aAuthor.sort().join('\r'),
      "graphics": aGraphics.sort().join('\r'),
      "libs": aLibs.sort().join('\r'),
      "contact": env.properties.credits.contact ? env.properties.credits.contact : env.appStruct.credits.contact,
      "license": env.properties.credits.licence ? env.properties.credits.licence : env.appStruct.credits.licence,
      "editor": env.properties.credits.editor ? env.properties.credits.editor : env.appStruct.credits.editor,
    }

    if (oCredits.editor && oCredits.editor != ''){
      scope.getFormField('editor').visible = true
    }

    scope.setFormValues(oCredits);
    return true
  }
}