/**
 * constructor_form
 * Fonction lancée au chargement du formulaire
 * @param {object} scope Formreader
 * @param {object} env environment
 * @param {object} services
 * @returns {undefined} 
 */
var constructor_form = function (scope, env, services) {

  /**
   * Fonction appelée à l'initialisation du formulaire
   * Permet d'affihcier les liens vers les docs
   * @return {boolean|promise}
   */
  scope.loadDocLinks = function () {
    setTimeout(function () {
      if (services.vitisCheck.isDefAndNotNull(env.properties.app_documentation) &&
        env.properties.app_documentation.trim() !== '') {
        scope.getFormField('app_documentation').setValue(env.properties.app_documentation);
      } else if (services.vitisCheck.isArray(env.appStruct.documentation)) {
        if (env.appStruct.documentation.length === 1) {
          window.open(env.appStruct.documentation[0].url);
          $('#dashboard-simpleform-modal').modal('hide');
        } else {
          let rows = [];
          let aDocumentation = [];

          if (services.vitisCheck.isArray(env.appStruct.documentation)) {
            aDocumentation = [...aDocumentation, ...env.appStruct.documentation]
          }
          if (services.vitisCheck.isArray(env.properties.documentation)) {
            aDocumentation = [...aDocumentation, ...env.properties.documentation]
          }

          for (const doc of aDocumentation) {
            rows.push({
              "fields": [{
                "type": "linkurl",
                "name": "documentation_link_" + doc.name.replace(/ /g, "_"),
                "label": "",
                "nb_cols": 12,
                "size": "m",
                "text": doc.name,
                "default_value": doc.url
              }]
            });
          }
          // ne se lance qu'une fois
          if (scope.oFormDefinition[scope.sFormDefinitionName].rows.length === 0) {
            setTimeout(() => {
              if (scope.oFormDefinition) {
                if (scope.sFormDefinitionName) {
                  if (scope.oFormDefinition[scope.sFormDefinitionName]) {

                    // Définition
                    scope.oFormDefinition[scope.sFormDefinitionName].rows = rows;
                    scope.oFormDefinition[scope.sFormDefinitionName].tabs = undefined;
                  }
                }
              }

              scope.initForm(scope.oFormDefinition, scope.sFormDefinitionName);
            });
          }
        }
      } else {
        console.error('properties.app_documentation not defined');
      }
    })
    return true;
  }
}