import { appStruct } from '../conf/app.struct';

/**
 * Récupère le contenu d'un fichier JSON
 * @param  {string} url
 */
const getJSONFile = (url: string) => {
  let oResponse: any;
  const req = new XMLHttpRequest();
  req.open('GET', url, false);
  req.send(null);

  if (req.status === 200) {
    try {
      oResponse = JSON.parse(req.responseText);
    } catch (error) {
      console.error('Could not get JSON response', url);
    }

  } else {
    console.error('Could not get JSON response', url, req.status, req.statusText);
  }
  return oResponse;
};

// Properties
const properties = getJSONFile('conf/properties.json');
for (const key in properties) {
  if (properties.hasOwnProperty(key)) {

    // Remplace la balise [hostname]
    if (typeof (properties[key]) === 'string') {
      properties[key] = properties[key].replace('[hostname]', window.location.hostname);
    }
  }
}

export const environment: any = {
  production: false,
  properties,
  appStruct,
  replacePropertiesInString: function (sEval: string): string {
    const regex: RegExp = /@prop\(([a-zA-Z0-9_-]+)\)/gm;
    // const result = [...sEval.matchAll(regex)];
    const result = Array.from(sEval.matchAll(regex));
    let sResult: string = sEval;

    for (const aMatch of result) {
      const sKey = aMatch[1];
      if (sKey in environment.properties) {
        const tmpreg = new RegExp('@prop\\(' + sKey + '\\)', 'g');
        sResult = sResult.replace(tmpreg, environment.properties[sKey]);
      }
    }

    return sResult;
  }
};
