# Documentation Vitis 2020

## Application

Chaque application Vitis 2020 est structurée de la même manière et fonctionne sur le même principe.
On utilise au minimum trois différents dépôts pour une application:
1. Le dépôt de l'application
2. Le dépôt source Vitis
3. Un ou plusieurs dépôts de modules (Extraction, DtNet, GTF, vMap etc.)

Lors de l'installation en mode dev d'une application on clone l'application puis on crée un dossier src/ dans lequel seront clonés les
dépôts de Vitis ainsi que des modules. Le script `bin/clone_deps.sh` permet de faire cette opération sans avoir à se poser de questions.

**On ne commitera jamais les modules dans le dépôt de l'application**, dans le .gitignore le dossier src/ est mentionné comme dossier à
ignorer.

Une fois les sources mises en place il faut monter l'application, en effet le noyau de l'application se trouve dans Vitis et pour
fonctionner les modules devront placer leurs éléments dedans. Le script **bin/mount_project.sh** se chargera de créer les dossiers client/ et vas/
et d'effectuer des points de montage pour recréer une structure fonctionnelle pour Angular et Symfony.

## FrontEnd

La partie FrontEnd de l'application se trouve dans le dossier client/ elle est pacagée par npm et utilise le framework Angular

1. [Installation](./client/install.md)
1. [app.struct.ts ou app.json](./client/app_struct_ts.md)
1. [Composants Vitis](./client/vitis_components.md)
1. [Composants des modules Vitis](./client/modules_components.md)

## Backend

1. [Installation](./vas/install.md)
1. [Fonctionnement](./vas/fonctionnement.md)
1. [Changement dans les retours d'API](./vas/api.md)
1. [routes.json](./vas/route.md)
1. [Actions spécifiques dans les controllers](./vas/controller.md)