
export class CronJob {
    period?: string; // Période cron avec secondes
    command_lin?: string; // Commande à lancer sous linux
    command_win?: string; // Commande à lancer sous windows
    user_lin?: string; // Utilisateur à utiliser pour linux
    options?: any; // Options à ajouter à exec [https://nodejs.org/api/child_process.html#child_process_child_process_exec_command_options_callback]
    api_route?: string; // Route API à appeler au lieu de lancer une commande
    api_method?: string; // Methode à utiliser pour l'appel de la route API (GET, POST, PUT, DELETE)
    api_params?: string; // Paramètres à passer dans la requête
}

export class TaskJob {
    command_lin?: string; // Commande à lancer sous linux
    command_win?: string; // Commande à lancer sous windows
    user_lin?: string; // Utilisateur à utiliser pour linux
    options?: any; // Options à ajouter à exec [https://nodejs.org/api/child_process.html#child_process_child_process_exec_command_options_callback]
    api_route?: string; // Route API à appeler au lieu de lancer une commande
    api_method?: string; // Methode à utiliser pour l'appel de la route API (GET, POST, PUT, DELETE)
    api_params?: string; // Paramètres à passer dans la requête
    id_?: string;
    runned_?: boolean;
    command_?: string;
}

export class FileConfig {
    jobs?: Array<CronJob>;
    tasks?: Array<TaskJob>;
    nodes?: Array<dirNode | sqlNode>;
    modified?: boolean;
}


export class dirNode {
    path: string = ''; // chemin à nettoyer peut-être relatif ou être un properties (@prop, ...)
    expiration: number | string = -1; // age max des fichier dans le dossier en jours (peut être une properties si string)
}

export class sqlNode {
    // TODO
}