<?php

declare (strict_types = 1);

namespace Vitis\PHPStan\Rules;

use PhpParser\Node;
use PHPStan\Analyser\Scope;

class ClassMethodVisibilityRule implements \PHPStan\Rules\Rule {
  public function getNodeType(): string {
    return Node\Stmt\ClassMethod::class;
  }

  /**
   * @param Node\Stmt\ClassMethod    $node
   * @param Scope                $scope
   *
   * @return (string|\PHPStan\Rules\RuleError)[]
   */
  public function processNode(Node $node, Scope $scope): array{
    if (($node->flags & Node\Stmt\Class_::VISIBILITY_MODIFIER_MASK) === 0) {
      return [
        sprintf(
          'Method %s must declare explicitly a visibility keyword.',
          $node->name
        ),
      ];
    }

    return [];
  }

}
