<?php

namespace App\Module\Vitis\WebService\Controller;

use Symfony\Component\HttpFoundation\Response;

/**
 * Controller pour les paramètres de liste.
 *
 * @author Anthony Borghi <anthony.borghi@veremes.com>
 * @author Laurie Ambroise <laurie.ambroise@veremes.com>
 */
class ListSettingsController extends GenericController {
  /**
   * Si la mise à jour se fait sur une couche public on bloque avec une erreu
   *
   * {@inheritDoc}
   */
  public function updateData($id): Response {
    // chargement de la connexion à la base de donnée
    $oEntity = $this->getDataWithRequestParams([], $id);
    if ($oEntity['status'] == 0) {
      return $this->formatGenericResponseForErrorOnSelect();
    }
    // si la couche est publique on bloc la mise à jour
    if (array_key_exists('ispublic', $oEntity['data']) && $oEntity['data']['ispublic'] === true) {
      return $this->formatGenericError('CANNOT_UPDATE_PUBLIC_LIST_SETTINGS', '', 'Cannot update a public list settings', Response::HTTP_UNAUTHORIZED);
    }

    return parent::updateData($id);
  }
}
