<?php

namespace App\Module\Vitis\WebService\Query\Functions;

use Doctrine\ORM\Query\AST\Functions\FunctionNode;
use Doctrine\ORM\Query\Lexer;
use Doctrine\ORM\Query\Parser;
use Doctrine\ORM\Query\SqlWalker;

/**
 * Class :  CurrentUser
 *
 * Usage : current_user() : string
 * @author Anthony Borghi <anthony.borghi@veremes.com>
 */
class CurrentUser extends FunctionNode {

  /**
   * Parse la requête DQL pour extraire l'appel d'une fonction
   *
   * @param Parser $parser Parser DQL, utilise Doctrine\ORM\Query\Lexer pour parser le DQL
   * @return void
   */
  public function parse(Parser $parser) {
    $parser->match(Lexer::T_IDENTIFIER); // current_user
    $parser->match(Lexer::T_OPEN_PARENTHESIS); // (
    $parser->match(Lexer::T_CLOSE_PARENTHESIS); // )
  }
  /**
   * Retourne le texte à utiliser pour le SQL pour la classe parente
   *
   * @param SqlWalker $sqlWalker permet de parcourir la requete SQL
   * @return string chaine de caractère à utiliser à travers DBAL pour le SQL
   */
  public function getSql(SqlWalker $sqlWalker) {
    return '"current_user"()'; // SQL à utiliser
  }
}
?>