<?php

namespace App\Module\Vitis\WebService\Service\Encoder;

/**
 * Permet d'avoir un base 64 légérement offusqué
 *
 * @author Anthony Borghi <anthony.borghi@veremes.com>
 */

final class VitisBase64 {
  /**
   * @param string $sToEncode chaine à encoder
   * @return string
   */
  public static function base64encode(string $sToEncode): string {
    return rtrim(strtr(base64_encode($sToEncode), '+/', '-_'), '=');
  }
  /**
   * @param string $sToDecode chaine à décodé
   * @return string
   */
  public static function base64decode(string $sToDecode): string {
    return base64_decode(str_pad(strtr($sToDecode, '-_', '+/'), strlen($sToDecode) % 4, '=', STR_PAD_RIGHT));
  }

}
