<?php

namespace App\Module\Vitis\WebService\Service\Mail\Context;

use App\Module\Vitis\WebService\Service\Mail\MailContextInterface;

/**
 * Ce contexte permet d'envoyer un mail depuis l'API en utilisant des données bruts
 * Utilisé pour l'envoi de mail
 *
 * Il est préférable que vous fassiez votre propre contexte propre.
 * CEPENDANT si vous voulez tester ou envoyer un mail rapidement vous pouvez utiliser ce contexte
 *
 * @author Anthony Borghi <anthony.borghi@veremes.com>
 */
class BasicContext implements MailContextInterface {
  /**
   * @var array
   */
  private $aData = [];

  /**
   * Donnée à injecter dans le scope du mail
   *
   * @param  array $aData
   */
  public function __construct(array $aData) {
    $this->aData = $aData;
  }

  /**
   * @return array
   */
  public function getData(): array{
    return $this->aData;
  }
  /**
   * @param  array $aData
   * @return void
   */
  public function setData(array $aData): void {
    $this->aData = $aData;
  }

  /* ---------------------------------------------------------------- */
  /* -------------------------- Interfaces -------------------------- */
  /* ---------------------------------------------------------------- */
  /**
   * {{@inheritdoc}}
   */
  public function haveToSendMail(): bool {
    return true;
  }
  /**
   * {{@inheritdoc}}
   */
  public function getContextData(): array{
    return $this->aData;
  }
}
