# API Vitis

Base URL : [domaine]/rest/v2/vitis

Schemes : HTTPS

## Formatdates

```{eval-rst}
.. csv-table::
   :widths: 10, 20, 20

   "	GET	", "	​/formatdates	", "	GET formatdates	"

```

---

## Groups

```{eval-rst}
.. csv-table::
   :widths: 10, 20, 20

   "	GET	", "	​/groups	", "	GET Groups List	"
   "	POST​	", "	​/groups	", "	POST Group	"
   "	DELETE​	", "	​/groups	", "	DELETE Groups	"
   "	GET	", "	​/groups​/{id}	", "	GET Group item	"
   "	PUT	", "	​/groups​/{id}	", "	PUT Group	"
   "	DELETE	", "	​/groups​/{id}	", "	DELETE Group	"


```

---

## Login Token (jetons de connexion)

```{eval-rst}
.. csv-table::
   :widths: 10, 20, 20

   "	GET	", "	​/logintoken	", "	GET Login Tokens	"
   "	POST	", "	​/logintoken	", "	POST Login Token	"
   "	DELETE	", "	​/logintoken	", "	DELETE Login Tokens	"
   "	PUT	", "	​/logintoken​/{id}	", "	PUT Login Token	"
   "	GET	", "	​/logintoken​/{id}	", "	GET Login Token	"


```

---

## Logs

```{eval-rst}
.. csv-table::
   :widths: 10, 20, 20

   "	GET​	", "	/logs	", "	get Logs	"
   "	GET	", "	​/logs​/content	", "	get connexion.log	"
   "	GET	", "	​/logs​/download	", "	get connexion.log Download	"
   "	DELETE	", "	​/logs​/purge	", "	purge Logs	"


```

---

## Mail Template

```{eval-rst}
.. csv-table::
   :widths: 10, 20, 20

   "	GET	", "	​/emailcontexts	", "	GET mail contexts	"
   "	GET	", "	​/emailtemplates	", "	GET mail templates	"
   "	POST	", "	​/emailtemplates	", "	Insert mail Template	"
   "	DELETE	", "	​/emailtemplates	", "	Delete Email Templates	"
   "	GET	", "	​/emailtemplates​/{id}	", "	GET mail template	"
   "	PUT	", "	​/emailtemplates​/{id}	", "	Update mail Template	"
   "	DELETE	", "	​/emailtemplates​/{id}	", "	Delete Email Template	"


```

---

## Privileges

```{eval-rst}
.. csv-table::
   :widths: 10, 20, 20

   "	GET	", "	​/privileges	", "	GET Privileges	"
   "	POST	", "	​/privileges	", "	POST Privilege	"
   "	DELETE	", "	​/privileges	", "	DELETE Privileges	"
   "	PUT	", "	​/privileges​/{id}	", "	PUT Privilege	"
   "	DELETE	", "	​/privileges​/{id}	", "	DELETE Privilege	"
   "	GET	", "	​/privileges​/{rolname}	", "	GET Privilege	"

```

---

## Properties

```{eval-rst}
.. csv-table::
   :widths: 10, 20, 20

   "	GET	", "	​/properties	", "	GET Properties	"

```

---

## SharedDir

```{eval-rst}
.. csv-table::
   :widths: 10, 20, 20

   "	GET	", "	​/exploitations​/shareddirectory	", "	SharedDir get tree	"
   "	DELETE	", "	​/exploitations​/shareddirectory​/delete	", "	SharedDir delete folder/file	"
   "	POST	", "	​/exploitations​/shareddirectory​/directory	", "	SharedDir add folder	"
   "	PUT	", "	​/exploitations​/shareddirectory​/file	", "	SharedDir add file	"


```

---

## Token

```{eval-rst}
.. csv-table::
   :widths: 10, 20, 20

   "	POST	", "	​/privatetoken	", "	POST Token	"
   "	GET	", "	​/privatetoken	", "	GET Token	"


```

---

## Users

```{eval-rst}
.. csv-table::
   :widths: 10, 20, 20

   "	GET	", "	​/users	", "	GET Users List	"
   "	POST​	", "	​/users	", "	POST User	"
   "	DELETE​	", "	​/users	", "	DELETE Users	"
   "	GET	", "	​/users​/{id}	", "	GET User Item	"
   "	PUT	", "	​/users​/{id}	", "	Update user	"
   "	DELETE	", "	​/users​/{id}	", "	DELETE User	"

```
