# Mode Journaux

Les journaux (logs) sont groupés par date de façon à simplifier l'exploitation.

Un seul fichier **php.log** n'est pas daté : celui-ci contient les erreurs qui interviennent avant la génération du fichier php/error.log daté (s'il y en a).

On y retrouve plusieurs dossiers :
- **engines** : relatif aux traitement des demandes FME et à la gestion des sources et résultats
  - ***engine.log*** : fichier principal utilisé pour le parser, l'assignation demande-moteur, allumage des instance cloud, ...
  - ***engine_\[id\]/engine.log*** : traitement des demandes sur ce moteur


- **mail** : Envoi de mail
  - ***notify.log***


- **php** : Erreurs génériques
  - ***error.log***


- **web** : Erreurs spécifiques dans l'API et logs conventionnels
  - ***connexion.log*** : liste des connexions à l'application
  - ***debug.log*** : log de débuggage
  - ***dql_error/sql_error*** : Log d'erreur avec la base de donnée
  - ***sql_requests.log*** : Liste des requêtes SQL exécutées
  - ***error.log*** : Erreurs dans l'utilisation de l'API

![composant logs](../images/administrator/logs/logs.png)
