# Procédure de mise à jour

## Téléchargement du fichier d'installation

Pour mettre à jour vMap2, téléchargez le .zip correspondant à votre système d'exploitation sur le <a href="https://vstore.veremes.net/vstore/dashboard/documents" target="_blank">vStore</a> :

- Sélectionnez la version et le système d'exploitation correspondant

![Sélection de la version et du système d'exploitation sur vStore](../images/installation/interface_vstore_pour_maj.png)

- Téléchargez le fichier .zip et positionnez le sur votre serveur

![Téléchargement du fichier sur vStore](../images/installation/interface_vstore_pour_maj_telechargement.png)

- Dézippez-le


## Edition du fichier de configuration

Maintenant que tous les fichiers ont bien été téléchargés, il faut s'occuper du fichier de configuration.

Editez le fichier **dependencies.json** afin de définir les paramètres de l'installation

Les variables à modifier pour l'installation sont les suivantes :

```{eval-rst}
+-----------------------+--------------------------------------------------------------------------------------------------------+
| Variable              |     Description                                                                                        |
+=======================+========================================================================================================+
|   API_ALIAS           | Alias pour accéder à l'API de vMap2 (par défaut : /rest)                                               |
+-----------------------+--------------------------------------------------------------------------------------------------------+
|   APP_ALIAS           | Alias pour accéder au client de vMap2 (par défaut : /vmap)                                             |
+-----------------------+--------------------------------------------------------------------------------------------------------+
|   WMS_ALIAS           | Alias pour accéder au Mapserver de vMap2 (par défaut : /mws)                                           |
+-----------------------+--------------------------------------------------------------------------------------------------------+
|   HTTPSERVER_PATH     | Chemin jusqu'au répertoire d'Apache24 (C:/.../Apache24/conf pour windows et /etc/apache2 pour linux)   |
+-----------------------+--------------------------------------------------------------------------------------------------------+
|   INSTALL_PATH        | Répertoire d'installation (/var/www/vmap préférable pour Linux C:/server/vmap conseillé pour Windows)  |
+-----------------------+--------------------------------------------------------------------------------------------------------+
|   POSTGRES_HOST       | Serveur de la base de données                                                                          |
+-----------------------+--------------------------------------------------------------------------------------------------------+
|   POSTGRES_PORT       | Port d'accès à la base de données                                                                      |
+-----------------------+--------------------------------------------------------------------------------------------------------+
|   POSTGRES_DB         | Nom de la base de données (la base de données peut être existante)                                     |
+-----------------------+--------------------------------------------------------------------------------------------------------+
|   POSTGRES_USER       | Compte d'un superutilisateur de la base                                                                |
+-----------------------+--------------------------------------------------------------------------------------------------------+
|   POSTGRES_PASSWORD   | Mot de passe du compte superutilisateur                                                                |
+-----------------------+--------------------------------------------------------------------------------------------------------+
```

Vérifier dans la section **application** situé en bas du fichier:

- Si vous ne souhaitez pas que l'application crée un nouveau compte administrateur lors du lancement de la mise à jour alors, faites la modification suivante :

```js
{
  ...
  "application" : {
    ...
    "users": {

    }
  }
}
```

- Sinon, si vous souhaitez rajouter un compte administrateur, vous n'avez qu'à modifier le login (ex ci-dessous : `"admin"`) et le `"password"` présent dans **users**

```js
{
  ...
  "application" : {
    ...
    "users": {
      "admin": {
        "grouproles": [
          "vitis_user",
          "vitis_admin"
        ],
        "login": true,
        "password": "admin",
        "roles": [
          "LOGIN",
          "CREATEROLE"
        ]
      }
    }
  }
}
```

Les clés dans *users* seront utilisées comme identifiants. En fonction des informations associées, l'utilisateur aura plus ou moins de droits :
- **grouproles** : permet de définir des privilèges qui seront associés à l'utilisateur
- **login** : identifiant permettant de se connecter à la base ainsi qu'à l'application
- **password** : mot de passe de l'utilisateur
- **roles** : roles de l'utilisateur dans postgres

L’installateur de vMap assure les opérations suivantes :
- Copie du code du serveur d’application Vitis
- Copie du code du moteur Vitis
- Installation et configuration de l'exécutable JobsRunner comme un service
- Installation de PHP et de pupeeter
- Installation de mapserver
- Configuration du serveur HTTPS Apache
- Création de la base de données dans PostgreSQL
- Création d’un compte administrateur dans PostgreSQL
- Nettoyage des caches

## Lancement de l'installateur

Après avoir bien édité le fichier **dependencies.json**, vous pouvez lancer l'installateur.

- Sous Windows : **installer.exe**

![installer_maj_windows](../images/installation/fichier_install_maj.png)

- Sous Linux : **installer.sh**

![installer_maj_linux](../images/installation/fichier_install_maj_linux.png)

<!--## Suite en cours de rédaction
-->
