# Prérequis

## Préconisations techniques

### Serveur applicatif

```{eval-rst}

+------------------------------+-----------------------------------------+-----------------------------------------+
|                              |     Configuration minimale              |     Configuration recommandée           |
+==============================+=========================================+=========================================+
|                              | - Debian 11 ou plus récent              | - Debian 11 ou plus récent              |
|   Système d'exploitation     | - Ubuntu 20.04 ou Ubuntu 22.04          | - Ubuntu 20.04 ou Ubuntu 22.04          |
|                              | - Windows Server 2016, 2019 ou 2022     | - Windows Server 2016, 2019 ou 2022     |
+------------------------------+-----------------------------------------+-----------------------------------------+
|   CPU                        | 2 cœurs                                 | 4 cœurs                                 |
+------------------------------+-----------------------------------------+-----------------------------------------+
|   Mémoire vive               | 8 GB                                    | 16 GB                                   |
+------------------------------+-----------------------------------------+-----------------------------------------+
|   Espace disque disponible   | 20 GB                                   | 60 GB                                   |
+------------------------------+-----------------------------------------+-----------------------------------------+
|   Base de données            | PostgreSQL 12 ou plus                   | PostgreSQL 12 ou plus                   |
+------------------------------+-----------------------------------------+-----------------------------------------+
|    Serveur HTTP              | Apache 2.4.13 ou plus (avec mod_ssl)    | Apache 2.4.13 ou plus (avec mod_ssl)    |
+------------------------------+-----------------------------------------+-----------------------------------------+

```

---

### Postes clients

Utilisation d'un navigateur web à jour (ou version de l'année courante) parmi les suivants :

- [Google Chrome (navigateur préconisé)](https://chromereleases.googleblog.com/)
- [Mozilla Firefox](https://wiki.mozilla.org/Release_Management/Calendar)
- [Microsoft Edge](https://learn.microsoft.com/fr-fr/deployedge/microsoft-edge-release-schedule)

## Installation des prérequis

### Installation d'Apache 2.4

vMap2 utilise le protocole sécurisé HTTPS qui assure le cryptage des échanges entre le Serveur d’Application Vitis et le poste client.

Il est donc nécessaire d’installer une version spécifique du serveur HTTP Apache compilé avec le module SSL.

- [Procédure d’installation Apache 2.4 pour Windows](http://www.veremes.com/installation-apache-2-4-mod_ssl-windows)
- [Procédure d’installation Apache 2.4 pour Linux](https://www.veremes.com/installation-apache-2-4-linux)

---

### Installation de PostgreSQL

vMap2 utilise une base PostgreSQL. Si PostgreSQL est déjà installé sur votre poste, cette étape est facultative.

- [Procédure d’installation PostgreSQL pour Windows](http://www.veremes.com/installation-postgresql-windows)
- [Procédure d’installation PostgreSQL pour Linux](https://www.veremes.com/installation-postgresql-linux)
